From 873605688052868e68609502afab5389b79e2e49 Mon Sep 17 00:00:00 2001
From: Marcos <marcos@f10.com.br>
Date: Wed, 14 May 2025 17:34:42 -0300
Subject: [PATCH] Trying to put some standard on default values of variables

---
 doc/src/sgml/config.sgml | 1559 +++++++++++++++++---------------------
 1 file changed, 687 insertions(+), 872 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -518,7 +518,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-data-directory" xreflabel="data_directory">
-      <term><varname>data_directory</varname> (<type>string</type>)
+      <term><varname>data_directory</varname> (<type>string</type>) - has no default value
       <indexterm>
        <primary><varname>data_directory</varname> configuration parameter</primary>
       </indexterm>
@@ -532,45 +532,42 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-config-file" xreflabel="config_file">
-      <term><varname>config_file</varname> (<type>string</type>)
+      <term><varname>config_file</varname> (<type>string</type>) - default is postgresql.conf
       <indexterm>
        <primary><varname>config_file</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-         Specifies the main server configuration file
-         (customarily called <filename>postgresql.conf</filename>).
+         Specifies the main server configuration file.
          This parameter can only be set on the <command>postgres</command> command line.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-hba-file" xreflabel="hba_file">
-      <term><varname>hba_file</varname> (<type>string</type>)
+      <term><varname>hba_file</varname> (<type>string</type>) - default is pg_hba.conf
       <indexterm>
        <primary><varname>hba_file</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-         Specifies the configuration file for host-based authentication
-         (customarily called <filename>pg_hba.conf</filename>).
+         Specifies the configuration file for host-based authentication.
          This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ident-file" xreflabel="ident_file">
-      <term><varname>ident_file</varname> (<type>string</type>)
+      <term><varname>ident_file</varname> (<type>string</type>) - default is pg_ident.conf
       <indexterm>
        <primary><varname>ident_file</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-         Specifies the configuration file for user name mapping
-         (customarily called <filename>pg_ident.conf</filename>).
+         Specifies the configuration file for user name mapping.
          This parameter can only be set at server start.
          See also <xref linkend="auth-username-maps"/>.
        </para>
@@ -578,7 +575,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-external-pid-file" xreflabel="external_pid_file">
-      <term><varname>external_pid_file</varname> (<type>string</type>)
+      <term><varname>external_pid_file</varname> (<type>string</type>) - has no default value
       <indexterm>
        <primary><varname>external_pid_file</varname> configuration parameter</primary>
       </indexterm>
@@ -642,7 +639,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-listen-addresses" xreflabel="listen_addresses">
-      <term><varname>listen_addresses</varname> (<type>string</type>)
+      <term><varname>listen_addresses</varname> (<type>string</type>) - default is localhost
       <indexterm>
        <primary><varname>listen_addresses</varname> configuration parameter</primary>
       </indexterm>
@@ -661,9 +658,8 @@ include_dir 'conf.d'
          to it.  If the list is not empty, the server will start if it
          can listen on at least one TCP/IP address.  A warning will be
          emitted for any TCP/IP address which cannot be opened.
-         The default value is <systemitem class="systemname">localhost</systemitem>,
-         which allows only local TCP/IP <quote>loopback</quote> connections to be
-         made.
+         Localhost value allows only local TCP/IP <quote>loopback</quote> 
+		 connections to be made.
        </para>
        <para>
          While client authentication (<xref
@@ -678,14 +674,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-port" xreflabel="port">
-      <term><varname>port</varname> (<type>integer</type>)
+      <term><varname>port</varname> (<type>integer</type>) - default is 5432
       <indexterm>
        <primary><varname>port</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        The TCP port the server listens on; 5432 by default.  Note that the
+        The TCP port the server listens on.  Note that the
         same port number is used for all IP addresses the server listens on.
         This parameter can only be set at server start.
        </para>
@@ -693,7 +689,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-connections" xreflabel="max_connections">
-      <term><varname>max_connections</varname> (<type>integer</type>)
+      <term><varname>max_connections</varname> (<type>integer</type>) - default is 100
       <indexterm>
        <primary><varname>max_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -701,8 +697,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Determines the maximum number of concurrent connections to the
-        database server. The default is typically 100 connections, but
-        might be less if your kernel settings will not support it (as
+        database server. This value can be less than 100 if your kernel settings does not support it (as
         determined during <application>initdb</application>).  This parameter can
         only be set at server start.
        </para>
@@ -722,7 +717,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-reserved-connections" xreflabel="reserved_connections">
-      <term><varname>reserved_connections</varname> (<type>integer</type>)
+      <term><varname>reserved_connections</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>reserved_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -744,8 +739,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default value is zero connections.  The value must be less than
-        <varname>max_connections</varname> minus
+        The value must be less than <varname>max_connections</varname> minus
         <varname>superuser_reserved_connections</varname>.  This parameter can
         only be set at server start.
        </para>
@@ -755,7 +749,7 @@ include_dir 'conf.d'
      <varlistentry id="guc-superuser-reserved-connections"
      xreflabel="superuser_reserved_connections">
       <term><varname>superuser_reserved_connections</varname>
-      (<type>integer</type>)
+      (<type>integer</type>) - default is 3
       <indexterm>
        <primary><varname>superuser_reserved_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -776,8 +770,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default value is three connections. The value must be less
-        than <varname>max_connections</varname> minus
+        The value must be less than <varname>max_connections</varname> minus
         <varname>reserved_connections</varname>.
         This parameter can only be set at server start.
        </para>
@@ -785,7 +778,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-directories" xreflabel="unix_socket_directories">
-      <term><varname>unix_socket_directories</varname> (<type>string</type>)
+      <term><varname>unix_socket_directories</varname> (<type>string</type>) - default is /tmp, on Windows ''
       <indexterm>
        <primary><varname>unix_socket_directories</varname> configuration parameter</primary>
       </indexterm>
@@ -816,10 +809,8 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default value is normally
-        <filename>/tmp</filename>, but that can be changed at build time.
-        On Windows, the default is empty, which means no Unix-domain socket is
-        created by default.
+        The value can be changed at build time.
+        On Windows, which means no Unix-domain socket is created by default.
         This parameter can only be set at server start.
        </para>
 
@@ -836,7 +827,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-group" xreflabel="unix_socket_group">
-      <term><varname>unix_socket_group</varname> (<type>string</type>)
+      <term><varname>unix_socket_group</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>unix_socket_group</varname> configuration parameter</primary>
       </indexterm>
@@ -848,7 +839,7 @@ include_dir 'conf.d'
         server.)  In combination with the parameter
         <varname>unix_socket_permissions</varname> this can be used as
         an additional access control mechanism for Unix-domain connections.
-        By default this is the empty string, which uses the default
+        If an empty string is used then it uses the default
         group of the server user.  This parameter can only be set at
         server start.
        </para>
@@ -862,7 +853,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-permissions" xreflabel="unix_socket_permissions">
-      <term><varname>unix_socket_permissions</varname> (<type>integer</type>)
+      <term><varname>unix_socket_permissions</varname> (<type>integer</type>) - default is 0777
       <indexterm>
        <primary><varname>unix_socket_permissions</varname> configuration parameter</primary>
       </indexterm>
@@ -879,7 +870,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default permissions are <literal>0777</literal>, meaning
+        If <literal>0777</literal> is used, then
         anyone can connect. Reasonable alternatives are
         <literal>0770</literal> (only user and group, see also
         <varname>unix_socket_group</varname>) and <literal>0700</literal>
@@ -912,7 +903,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-bonjour" xreflabel="bonjour">
-      <term><varname>bonjour</varname> (<type>boolean</type>)
+      <term><varname>bonjour</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>bonjour</varname> configuration parameter</primary>
       </indexterm>
@@ -920,14 +911,14 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Enables advertising the server's existence via
-        <productname>Bonjour</productname>.  The default is off.
+        <productname>Bonjour</productname>.  
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-bonjour-name" xreflabel="bonjour_name">
-      <term><varname>bonjour_name</varname> (<type>string</type>)
+      <term><varname>bonjour_name</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>bonjour_name</varname> configuration parameter</primary>
       </indexterm>
@@ -935,8 +926,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Specifies the <productname>Bonjour</productname> service
-        name.  The computer name is used if this parameter is set to the
-        empty string <literal>''</literal> (which is the default).  This parameter is
+        name.  The computer name is used if this parameter is set to an
+        empty string.  This parameter is
         ignored if the server was not compiled with
         <productname>Bonjour</productname> support.
         This parameter can only be set at server start.
@@ -952,7 +943,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-tcp-keepalives-idle" xreflabel="tcp_keepalives_idle">
-      <term><varname>tcp_keepalives_idle</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_idle</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_idle</varname> configuration parameter</primary>
       </indexterm>
@@ -962,7 +953,7 @@ include_dir 'conf.d'
         Specifies the amount of time with no network activity after which
         the operating system should send a TCP keepalive message to the client.
         If this value is specified without units, it is taken as seconds.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         On Windows, setting a value of 0 will set this parameter to 2 hours,
         since Windows does not provide a way to read the system default value.
         This parameter is supported only on systems that support
@@ -975,7 +966,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-keepalives-interval" xreflabel="tcp_keepalives_interval">
-      <term><varname>tcp_keepalives_interval</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_interval</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -985,7 +976,7 @@ include_dir 'conf.d'
         Specifies the amount of time after which a TCP keepalive message
         that has not been acknowledged by the client should be retransmitted.
         If this value is specified without units, it is taken as seconds.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         On Windows, setting a value of 0 will set this parameter to 1 second,
         since Windows does not provide a way to read the system default value.
         This parameter is supported only on systems that support
@@ -998,7 +989,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-keepalives-count" xreflabel="tcp_keepalives_count">
-      <term><varname>tcp_keepalives_count</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_count</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_count</varname> configuration parameter</primary>
       </indexterm>
@@ -1007,7 +998,7 @@ include_dir 'conf.d'
        <para>
         Specifies the number of TCP keepalive messages that can be lost before
         the server's connection to the client is considered dead.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         This parameter is supported only on systems that support
         <symbol>TCP_KEEPCNT</symbol> or an equivalent socket option (which does not include Windows);
         on other systems, it must be zero.
@@ -1018,7 +1009,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-user-timeout" xreflabel="tcp_user_timeout">
-      <term><varname>tcp_user_timeout</varname> (<type>integer</type>)
+      <term><varname>tcp_user_timeout</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_user_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -1028,7 +1019,7 @@ include_dir 'conf.d'
         Specifies the amount of time that transmitted data may
         remain unacknowledged before the TCP connection is forcibly closed.
         If this value is specified without units, it is taken as milliseconds.
-        A value of 0 (the default) selects the operating system's default.
+        A value of 0 selects the operating system's default.
         This parameter is supported only on systems that support
         <symbol>TCP_USER_TIMEOUT</symbol> (which does not include Windows); on other systems, it must be zero.
         In sessions connected via a Unix-domain socket, this parameter is
@@ -1038,7 +1029,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-client-connection-check-interval" xreflabel="client_connection_check_interval">
-      <term><varname>client_connection_check_interval</varname> (<type>integer</type>)
+      <term><varname>client_connection_check_interval</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>client_connection_check_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -1057,7 +1048,7 @@ include_dir 'conf.d'
        </para>
        <para>
         If the value is specified without units, it is taken as milliseconds.
-        The default value is <literal>0</literal>, which disables connection
+        If <literal>0</literal> is used, then disables connection
         checks.  Without connection checks, the server will detect the loss of
         the connection only at the next interaction with the socket, when it
         waits for, receives or sends data.
@@ -1082,7 +1073,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-authentication-timeout" xreflabel="authentication_timeout">
-      <term><varname>authentication_timeout</varname> (<type>integer</type>)
+      <term><varname>authentication_timeout</varname> (<type>integer</type>) - default is 1 minute
       <indexterm><primary>timeout</primary><secondary>client authentication</secondary></indexterm>
       <indexterm><primary>client authentication</primary><secondary>timeout during</secondary></indexterm>
       <indexterm>
@@ -1097,7 +1088,6 @@ include_dir 'conf.d'
         this much time, the server closes the connection. This prevents
         hung clients from occupying a connection indefinitely.
         If this value is specified without units, it is taken as seconds.
-        The default is one minute (<literal>1m</literal>).
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -1105,7 +1095,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-password-encryption" xreflabel="password_encryption">
-      <term><varname>password_encryption</varname> (<type>enum</type>)
+      <term><varname>password_encryption</varname> (<type>enum</type>) - default is scram-sha-256
       <indexterm>
        <primary><varname>password_encryption</varname> configuration parameter</primary>
       </indexterm>
@@ -1117,7 +1107,7 @@ include_dir 'conf.d'
         algorithm to use to encrypt the password.  Possible values are
         <literal>scram-sha-256</literal>, which will encrypt the password with
         SCRAM-SHA-256, and <literal>md5</literal>, which stores the password
-        as an MD5 hash.  The default is <literal>scram-sha-256</literal>.
+        as an MD5 hash.
        </para>
        <para>
         Note that older clients might lack support for the SCRAM authentication
@@ -1136,7 +1126,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-scram-iterations" xreflabel="scram_iterations">
-      <term><varname>scram_iterations</varname> (<type>integer</type>)
+      <term><varname>scram_iterations</varname> (<type>integer</type>) - default is 4096
       <indexterm>
        <primary><varname>scram_iterations</varname> configuration parameter</primary>
       </indexterm>
@@ -1144,7 +1134,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         The number of computational iterations to be performed when encrypting
-        a password using SCRAM-SHA-256. The default is <literal>4096</literal>.
+        a password using SCRAM-SHA-256. 
         A higher number of iterations provides additional protection against
         brute-force attacks on stored passwords, but makes authentication
         slower. Changing the value has no effect on existing passwords
@@ -1156,15 +1146,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-krb-server-keyfile" xreflabel="krb_server_keyfile">
-      <term><varname>krb_server_keyfile</varname> (<type>string</type>)
+      <term><varname>krb_server_keyfile</varname> (<type>string</type>) - default is FILE:/usr/local/pgsql/etc/krb5.keytab
       <indexterm>
        <primary><varname>krb_server_keyfile</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Sets the location of the server's Kerberos key file.  The default is
-        <filename>FILE:/usr/local/pgsql/etc/krb5.keytab</filename>
+        Sets the location of the server's Kerberos key file.  
         (where the directory part is whatever was specified
         as <varname>sysconfdir</varname> at build time; use
         <literal>pg_config --sysconfdir</literal> to determine that).
@@ -1178,7 +1167,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-krb-caseins-users" xreflabel="krb_caseins_users">
-      <term><varname>krb_caseins_users</varname> (<type>boolean</type>)
+      <term><varname>krb_caseins_users</varname> (<type>boolean</type>) - default is off (case sensitive)
       <indexterm>
        <primary><varname>krb_caseins_users</varname> configuration parameter</primary>
       </indexterm>
@@ -1187,14 +1176,14 @@ include_dir 'conf.d'
        <para>
         Sets whether GSSAPI user names should be treated
         case-insensitively.
-        The default is <literal>off</literal> (case sensitive). This parameter can only be
-        set in the <filename>postgresql.conf</filename> file or on the server command line.
+        This parameter can only be set in the <filename>postgresql.conf</filename> 
+		file or on the server command line.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-gss-accept-delegation" xreflabel="gss_accept_delegation">
-      <term><varname>gss_accept_delegation</varname> (<type>boolean</type>)
+      <term><varname>gss_accept_delegation</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>gss_accept_delegation</varname> configuration parameter</primary>
       </indexterm>
@@ -1202,7 +1191,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Sets whether GSSAPI delegation should be accepted from the client.
-        The default is <literal>off</literal> meaning credentials from the client will
+        Value <literal>off</literal> means credentials from the client will
         <emphasis>not</emphasis> be accepted.  Changing this to <literal>on</literal> will make the server
         accept credentials delegated to it from the client. This parameter can only be
         set in the <filename>postgresql.conf</filename> file or on the server command line.
@@ -1253,7 +1242,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-ssl" xreflabel="ssl">
-      <term><varname>ssl</varname> (<type>boolean</type>)
+      <term><varname>ssl</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>ssl</varname> configuration parameter</primary>
       </indexterm>
@@ -1263,13 +1252,12 @@ include_dir 'conf.d'
         Enables <acronym>SSL</acronym> connections.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>off</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-ca-file" xreflabel="ssl_ca_file">
-      <term><varname>ssl_ca_file</varname> (<type>string</type>)
+      <term><varname>ssl_ca_file</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_ca_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1281,14 +1269,14 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is empty, meaning no CA file is loaded,
+        An empty string for this value means no CA file is loaded,
         and client certificate verification is not performed.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-cert-file" xreflabel="ssl_cert_file">
-      <term><varname>ssl_cert_file</varname> (<type>string</type>)
+      <term><varname>ssl_cert_file</varname> (<type>string</type>) - default is server.crt
       <indexterm>
        <primary><varname>ssl_cert_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1299,13 +1287,12 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <filename>server.crt</filename>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-crl-file" xreflabel="ssl_crl_file">
-      <term><varname>ssl_crl_file</varname> (<type>string</type>)
+      <term><varname>ssl_crl_file</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_crl_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1317,14 +1304,14 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is empty, meaning no CRL file is loaded (unless
+        Value of an empty string means no CRL file is loaded (unless
         <xref linkend="guc-ssl-crl-dir"/> is set).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-ssl-crl-dir" xreflabel="ssl_crl_dir">
-      <term><varname>ssl_crl_dir</varname> (<type>string</type>)
+      <term><varname>ssl_crl_dir</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_crl_dir</varname> configuration parameter</primary>
       </indexterm>
@@ -1335,7 +1322,7 @@ include_dir 'conf.d'
         certificate revocation list (CRL).  Relative paths are relative to the
         data directory.  This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server command
-        line.  The default is empty, meaning no CRLs are used (unless
+        line.  Value of an empty string means no CRLs are used (unless
         <xref linkend="guc-ssl-crl-file"/> is set).
        </para>
 
@@ -1358,7 +1345,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-key-file" xreflabel="ssl_key_file">
-      <term><varname>ssl_key_file</varname> (<type>string</type>)
+      <term><varname>ssl_key_file</varname> (<type>string</type>) - default is server.key
       <indexterm>
        <primary><varname>ssl_key_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1369,7 +1356,6 @@ include_dir 'conf.d'
         Relative paths are relative to the data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <filename>server.key</filename>.
        </para>
       </listitem>
      </varlistentry>
@@ -1397,7 +1383,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-ciphers" xreflabel="ssl_ciphers">
-      <term><varname>ssl_ciphers</varname> (<type>string</type>)
+      <term><varname>ssl_ciphers</varname> (<type>string</type>) - default is HIGH:MEDIUM:+3DES:!aNULL
       <indexterm>
        <primary><varname>ssl_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1409,8 +1395,7 @@ include_dir 'conf.d'
         <xref linkend="guc-ssl-tls13-ciphers"/> for TLS version 1.3 connections. See
         the <citerefentry><refentrytitle>ciphers</refentrytitle></citerefentry>
         manual page in the <productname>OpenSSL</productname> package for the
-        syntax of this setting and a list of supported values.  The default value
-        is <literal>HIGH:MEDIUM:+3DES:!aNULL</literal>.  The default is usually a
+        syntax of this setting and a list of supported values. The default is usually a
         reasonable choice unless you have specific security requirements.
        </para>
 
@@ -1482,7 +1467,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-prefer-server-ciphers" xreflabel="ssl_prefer_server_ciphers">
-      <term><varname>ssl_prefer_server_ciphers</varname> (<type>boolean</type>)
+      <term><varname>ssl_prefer_server_ciphers</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>ssl_prefer_server_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1493,7 +1478,6 @@ include_dir 'conf.d'
         than the client's.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>on</literal>.
        </para>
 
        <para>
@@ -1507,7 +1491,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-groups" xreflabel="ssl_groups">
-      <term><varname>ssl_groups</varname> (<type>string</type>)
+      <term><varname>ssl_groups</varname> (<type>string</type>) - default is X25519:prime256v1
       <indexterm>
        <primary><varname>ssl_groups</varname> configuration parameter</primary>
       </indexterm>
@@ -1520,7 +1504,6 @@ include_dir 'conf.d'
         It does not need to be the same curve used by the server's Elliptic
         Curve key.  This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
-        The default is <literal>X25519:prime256v1</literal>.
        </para>
 
        <para>
@@ -1544,7 +1527,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-min-protocol-version" xreflabel="ssl_min_protocol_version">
-      <term><varname>ssl_min_protocol_version</varname> (<type>enum</type>)
+      <term><varname>ssl_min_protocol_version</varname> (<type>enum</type>) - default is TLSv1.2
       <indexterm>
        <primary><varname>ssl_min_protocol_version</varname> configuration parameter</primary>
       </indexterm>
@@ -1561,7 +1544,7 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        The default is <literal>TLSv1.2</literal>, which satisfies industry
+        Value of <literal>TLSv1.2</literal> usually satisfies industry
         best practices as of this writing.
        </para>
 
@@ -1573,7 +1556,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-max-protocol-version" xreflabel="ssl_max_protocol_version">
-      <term><varname>ssl_max_protocol_version</varname> (<type>enum</type>)
+      <term><varname>ssl_max_protocol_version</varname> (<type>enum</type>) - default is to allow any version
       <indexterm>
        <primary><varname>ssl_max_protocol_version</varname> configuration parameter</primary>
       </indexterm>
@@ -1582,8 +1565,7 @@ include_dir 'conf.d'
        <para>
         Sets the maximum SSL/TLS protocol version to use.  Valid values are as
         for <xref linkend="guc-ssl-min-protocol-version"/>, with addition of
-        an empty string, which allows any protocol version.  The default is to
-        allow any version.  Setting the maximum protocol version is mainly
+        an empty string, which allows any protocol version.  Setting the maximum protocol version is mainly
         useful for testing or if some component has issues working with a
         newer protocol.
        </para>
@@ -1596,7 +1578,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-dh-params-file" xreflabel="ssl_dh_params_file">
-      <term><varname>ssl_dh_params_file</varname> (<type>string</type>)
+      <term><varname>ssl_dh_params_file</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_dh_params_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1604,8 +1586,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Specifies the name of the file containing Diffie-Hellman parameters
-        used for so-called ephemeral DH family of SSL ciphers. The default is
-        empty, in which case compiled-in default DH parameters used. Using
+        used for so-called ephemeral DH family of SSL ciphers. Using an empty string a compiled-in 
+		default DH parameters is used. Using
         custom DH parameters reduces the exposure if an attacker manages to
         crack the well-known compiled-in DH parameters. You can create your own
         DH parameters file with the command
@@ -1620,7 +1602,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-passphrase-command" xreflabel="ssl_passphrase_command">
-      <term><varname>ssl_passphrase_command</varname> (<type>string</type>)
+      <term><varname>ssl_passphrase_command</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_passphrase_command</varname> configuration parameter</primary>
       </indexterm>
@@ -1628,9 +1610,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Sets an external command to be invoked when a passphrase for
-        decrypting an SSL file such as a private key needs to be obtained.  By
-        default, this parameter is empty, which means the built-in prompting
-        mechanism is used.
+        decrypting an SSL file such as a private key needs to be obtained. 
+		An empty string means the built-in prompting mechanism is used.
        </para>
        <para>
         The command must print the passphrase to the standard output and exit
@@ -1654,7 +1635,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-passphrase-command-supports-reload" xreflabel="ssl_passphrase_command_supports_reload">
-      <term><varname>ssl_passphrase_command_supports_reload</varname> (<type>boolean</type>)
+      <term><varname>ssl_passphrase_command_supports_reload</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>ssl_passphrase_command_supports_reload</varname> configuration parameter</primary>
       </indexterm>
@@ -1664,8 +1645,7 @@ include_dir 'conf.d'
         This parameter determines whether the passphrase command set by
         <varname>ssl_passphrase_command</varname> will also be called during a
         configuration reload if a key file needs a passphrase.  If this
-        parameter is off (the default), then
-        <varname>ssl_passphrase_command</varname> will be ignored during a
+        parameter is off, then <varname>ssl_passphrase_command</varname> will be ignored during a
         reload and the SSL configuration will not be reloaded if a passphrase
         is needed.  That setting is appropriate for a command that requires a
         TTY for prompting, which might not be available when the server is
@@ -1690,7 +1670,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-shared-buffers" xreflabel="shared_buffers">
-      <term><varname>shared_buffers</varname> (<type>integer</type>)
+      <term><varname>shared_buffers</varname> (<type>integer</type>) - default is 128MB
       <indexterm>
        <primary><varname>shared_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -1698,8 +1678,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Sets the amount of memory the database server uses for shared
-        memory buffers.  The default is typically 128 megabytes
-        (<literal>128MB</literal>), but might be less if your kernel settings will
+        memory buffers.  This value is typically (<literal>128MB</literal>), 
+		but might be less if your kernel settings does
         not support it (as determined during <application>initdb</application>).
         This setting must be at least 128 kilobytes.  However,
         settings significantly higher than the minimum are usually needed
@@ -1735,7 +1715,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-huge-pages" xreflabel="huge_pages">
-      <term><varname>huge_pages</varname> (<type>enum</type>)
+      <term><varname>huge_pages</varname> (<type>enum</type>) - default is try
       <indexterm>
        <primary><varname>huge_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -1743,7 +1723,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Controls whether huge pages are requested for the main shared memory
-        area. Valid values are <literal>try</literal> (the default),
+        area. Valid values are <literal>try</literal>,
         <literal>on</literal>, and <literal>off</literal>.  With
         <varname>huge_pages</varname> set to <literal>try</literal>, the
         server will try to request huge pages, but fall back to the default if
@@ -1758,8 +1738,7 @@ include_dir 'conf.d'
         At present, this setting is supported only on Linux and Windows. The
         setting is ignored on other systems when set to
         <literal>try</literal>.  On Linux, it is only supported when
-        <varname>shared_memory_type</varname> is set to <literal>mmap</literal>
-        (the default).
+        <varname>shared_memory_type</varname> is set to <literal>mmap</literal>, its default value.
        </para>
 
        <para>
@@ -1798,7 +1777,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-huge-page-size" xreflabel="huge_page_size">
-      <term><varname>huge_page_size</varname> (<type>integer</type>)
+      <term><varname>huge_page_size</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>huge_page_size</varname> configuration parameter</primary>
       </indexterm>
@@ -1807,7 +1786,6 @@ include_dir 'conf.d'
        <para>
         Controls the size of huge pages, when they are enabled with
         <xref linkend="guc-huge-pages"/>.
-        The default is zero (<literal>0</literal>).
         When set to <literal>0</literal>, the default huge page size on the
         system will be used. This parameter can only be set at server start.
        </para>
@@ -1825,7 +1803,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-temp-buffers" xreflabel="temp_buffers">
-      <term><varname>temp_buffers</varname> (<type>integer</type>)
+      <term><varname>temp_buffers</varname> (<type>integer</type>) - default is 8MB
       <indexterm>
        <primary><varname>temp_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -1837,7 +1815,6 @@ include_dir 'conf.d'
         for access to temporary tables.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is eight megabytes (<literal>8MB</literal>).
         (If <symbol>BLCKSZ</symbol> is not 8kB, the default value scales
         proportionally to it.)
         This setting can be changed within individual
@@ -1859,7 +1836,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-prepared-transactions" xreflabel="max_prepared_transactions">
-      <term><varname>max_prepared_transactions</varname> (<type>integer</type>)
+      <term><varname>max_prepared_transactions</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>max_prepared_transactions</varname> configuration parameter</primary>
       </indexterm>
@@ -1869,8 +1846,7 @@ include_dir 'conf.d'
         Sets the maximum number of transactions that can be in the
         <quote>prepared</quote> state simultaneously (see <xref
         linkend="sql-prepare-transaction"/>).
-        Setting this parameter to zero (which is the default)
-        disables the prepared-transaction feature.
+        With value of 0 then disables the prepared-transaction feature.
         This parameter can only be set at server start.
        </para>
 
@@ -1892,7 +1868,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-work-mem" xreflabel="work_mem">
-      <term><varname>work_mem</varname> (<type>integer</type>)
+      <term><varname>work_mem</varname> (<type>integer</type>) - default is 4MB
       <indexterm>
        <primary><varname>work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1902,7 +1878,6 @@ include_dir 'conf.d'
         Sets the base maximum amount of memory to be used by a query operation
         (such as a sort or hash table) before writing to temporary disk files.
         If this value is specified without units, it is taken as kilobytes.
-        The default value is four megabytes (<literal>4MB</literal>).
         Note that a complex query might perform several sort and hash
         operations at the same time, with each operation generally being
         allowed to use as much memory as this value specifies before
@@ -1931,7 +1906,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-hash-mem-multiplier" xreflabel="hash_mem_multiplier">
-      <term><varname>hash_mem_multiplier</varname> (<type>floating point</type>)
+      <term><varname>hash_mem_multiplier</varname> (<type>floating point</type>) - default is 2.0
       <indexterm>
        <primary><varname>hash_mem_multiplier</varname> configuration parameter</primary>
       </indexterm>
@@ -1941,8 +1916,8 @@ include_dir 'conf.d'
         Used to compute the maximum amount of memory that hash-based
         operations can use.  The final limit is determined by
         multiplying <varname>work_mem</varname> by
-        <varname>hash_mem_multiplier</varname>.  The default value is
-        2.0, which makes hash-based operations use twice the usual
+        <varname>hash_mem_multiplier</varname>.  
+		Value of 2.0 makes hash-based operations use twice the usual
         <varname>work_mem</varname> base amount.
        </para>
        <para>
@@ -1951,7 +1926,7 @@ include_dir 'conf.d'
         occurrence, especially when simply increasing
         <varname>work_mem</varname> results in memory pressure (memory
         pressure typically takes the form of intermittent out of
-        memory errors).  The default setting of 2.0 is often effective with
+        memory errors).  The value of 2.0 is often effective with
         mixed workloads.  Higher settings in the range of 2.0 - 8.0 or
         more may be effective in environments where
         <varname>work_mem</varname> has already been increased to 40MB
@@ -1961,7 +1936,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-maintenance-work-mem" xreflabel="maintenance_work_mem">
-      <term><varname>maintenance_work_mem</varname> (<type>integer</type>)
+      <term><varname>maintenance_work_mem</varname> (<type>integer</type>) - default is 64MB
       <indexterm>
        <primary><varname>maintenance_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1972,9 +1947,7 @@ include_dir 'conf.d'
         operations, such as <command>VACUUM</command>, <command>CREATE
         INDEX</command>, and <command>ALTER TABLE ADD FOREIGN KEY</command>.
         If this value is specified without units, it is taken as kilobytes.
-        It defaults
-        to 64 megabytes (<literal>64MB</literal>).  Since only one of these
-        operations can be executed at a time by a database session, and
+        Since only one of these operations can be executed at a time by a database session, and
         an installation normally doesn't have many of them running
         concurrently, it's safe to set this value significantly larger
         than <varname>work_mem</varname>.  Larger settings might improve
@@ -1991,7 +1964,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-autovacuum-work-mem" xreflabel="autovacuum_work_mem">
-      <term><varname>autovacuum_work_mem</varname> (<type>integer</type>)
+      <term><varname>autovacuum_work_mem</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>autovacuum_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -2001,8 +1974,7 @@ include_dir 'conf.d'
         Specifies the maximum amount of memory to be used by each
         autovacuum worker process.
         If this value is specified without units, it is taken as kilobytes.
-        It defaults to -1, indicating that
-        the value of <xref linkend="guc-maintenance-work-mem"/> should
+        Value of -1 indicates <xref linkend="guc-maintenance-work-mem"/> should
         be used instead.  The setting has no effect on the behavior of
         <command>VACUUM</command> when run in other contexts.
         This parameter can only be set in the
@@ -2014,7 +1986,7 @@ include_dir 'conf.d'
 
      <varlistentry id="guc-vacuum-buffer-usage-limit" xreflabel="vacuum_buffer_usage_limit">
       <term>
-       <varname>vacuum_buffer_usage_limit</varname> (<type>integer</type>)
+       <varname>vacuum_buffer_usage_limit</varname> (<type>integer</type>) - default is 2MB
        <indexterm>
         <primary><varname>vacuum_buffer_usage_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -2029,8 +2001,7 @@ include_dir 'conf.d'
         valid sizes range from <literal>128 kB</literal> to
         <literal>16 GB</literal>.  If the specified size would exceed 1/8 the
         size of <varname>shared_buffers</varname>, the size is silently capped
-        to that value.  The default value is <literal>2MB</literal>.  If
-        this value is specified without units, it is taken as kilobytes.  This
+        to that value.  If this value is specified without units, it is taken as kilobytes.  This
         parameter can be set at any time.  It can be overridden for
         <xref linkend="sql-vacuum"/> and <xref linkend="sql-analyze"/>
         when passing the <option>BUFFER_USAGE_LIMIT</option> option.  Higher
@@ -2043,7 +2014,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-logical-decoding-work-mem" xreflabel="logical_decoding_work_mem">
-      <term><varname>logical_decoding_work_mem</varname> (<type>integer</type>)
+      <term><varname>logical_decoding_work_mem</varname> (<type>integer</type>) - default is 64MB
       <indexterm>
        <primary><varname>logical_decoding_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -2052,8 +2023,7 @@ include_dir 'conf.d'
        <para>
         Specifies the maximum amount of memory to be used by logical decoding,
         before some of the decoded changes are written to local disk. This
-        limits the amount of memory used by logical streaming replication
-        connections. It defaults to 64 megabytes (<literal>64MB</literal>).
+        limits the amount of memory used by logical streaming replication connections. 
         Since each replication connection only uses a single buffer of this size,
         and an installation normally doesn't have many such connections
         concurrently (as limited by <varname>max_wal_senders</varname>), it's
@@ -2064,7 +2034,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-timestamp-buffers" xreflabel="commit_timestamp_buffers">
-      <term><varname>commit_timestamp_buffers</varname> (<type>integer</type>)
+      <term><varname>commit_timestamp_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>commit_timestamp_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2076,7 +2046,7 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>0</literal>, which requests
+        With value of <literal>0</literal> requests
         <varname>shared_buffers</varname>/512 up to 1024 blocks,
         but not fewer than 16 blocks.
         This parameter can only be set at server start.
@@ -2085,7 +2055,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-multixact-member-buffers" xreflabel="multixact_member_buffers">
-      <term><varname>multixact_member_buffers</varname> (<type>integer</type>)
+      <term><varname>multixact_member_buffers</varname> (<type>integer</type>) - default is 32
       <indexterm>
        <primary><varname>multixact_member_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2097,14 +2067,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>32</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-multixact-offset-buffers" xreflabel="multixact_offset_buffers">
-      <term><varname>multixact_offset_buffers</varname> (<type>integer</type>)
+      <term><varname>multixact_offset_buffers</varname> (<type>integer</type>) - default is 16
       <indexterm>
        <primary><varname>multixact_offset_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2116,14 +2085,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>16</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-notify-buffers" xreflabel="notify_buffers">
-      <term><varname>notify_buffers</varname> (<type>integer</type>)
+      <term><varname>notify_buffers</varname> (<type>integer</type>) - default is 16
       <indexterm>
        <primary><varname>notify_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2135,14 +2103,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>16</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-serializable-buffers" xreflabel="serializable_buffers">
-      <term><varname>serializable_buffers</varname> (<type>integer</type>)
+      <term><varname>serializable_buffers</varname> (<type>integer</type>) - default is 32
       <indexterm>
        <primary><varname>serializable_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2154,14 +2121,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>32</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-subtransaction-buffers" xreflabel="subtransaction_buffers">
-      <term><varname>subtransaction_buffers</varname> (<type>integer</type>)
+      <term><varname>subtransaction_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>subtransaction_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2173,7 +2139,7 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>0</literal>, which requests
+        Value of <literal>0</literal> requests
         <varname>shared_buffers</varname>/512 up to 1024 blocks,
         but not fewer than 16 blocks.
         This parameter can only be set at server start.
@@ -2182,7 +2148,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-transaction-buffers" xreflabel="transaction_buffers">
-      <term><varname>transaction_buffers</varname> (<type>integer</type>)
+      <term><varname>transaction_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>transaction_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2194,7 +2160,7 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>0</literal>, which requests
+        Value of <literal>0</literal> requests
         <varname>shared_buffers</varname>/512 up to 1024 blocks,
         but not fewer than 16 blocks.
         This parameter can only be set at server start.
@@ -2203,7 +2169,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-stack-depth" xreflabel="max_stack_depth">
-      <term><varname>max_stack_depth</varname> (<type>integer</type>)
+      <term><varname>max_stack_depth</varname> (<type>integer</type>) - default is 2MB
       <indexterm>
        <primary><varname>max_stack_depth</varname> configuration parameter</primary>
       </indexterm>
@@ -2217,7 +2183,7 @@ include_dir 'conf.d'
         margin is needed because the stack depth is not checked in every
         routine in the server, but only in key potentially-recursive routines.
         If this value is specified without units, it is taken as kilobytes.
-        The default setting is two megabytes (<literal>2MB</literal>), which
+        Setting this value to (<literal>2MB</literal>), which
         is conservatively small and unlikely to risk crashes.  However,
         it might be too small to allow execution of complex functions.
         Only superusers and users with the appropriate <literal>SET</literal>
@@ -2237,7 +2203,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-type" xreflabel="shared_memory_type">
-      <term><varname>shared_memory_type</varname> (<type>enum</type>)
+      <term><varname>shared_memory_type</varname> (<type>enum</type>) - default is first supported option for that platform
       <indexterm>
        <primary><varname>shared_memory_type</varname> configuration parameter</primary>
       </indexterm>
@@ -2251,8 +2217,7 @@ include_dir 'conf.d'
         anonymous shared memory allocated using <function>mmap</function>),
         <literal>sysv</literal> (for System V shared memory allocated via
         <function>shmget</function>) and <literal>windows</literal> (for Windows
-        shared memory).  Not all values are supported on all platforms; the
-        first supported option is the default for that platform.  The use of
+        shared memory).  Not all values are supported on all platforms.  The use of
         the <literal>sysv</literal> option, which is not the default on any
         platform, is generally discouraged because it typically requires
         non-default kernel settings to allow for large allocations (see <xref
@@ -2262,7 +2227,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-dynamic-shared-memory-type" xreflabel="dynamic_shared_memory_type">
-      <term><varname>dynamic_shared_memory_type</varname> (<type>enum</type>)
+      <term><varname>dynamic_shared_memory_type</varname> (<type>enum</type>) - default is first supported option for that platform
       <indexterm>
        <primary><varname>dynamic_shared_memory_type</varname> configuration parameter</primary>
       </indexterm>
@@ -2276,8 +2241,7 @@ include_dir 'conf.d'
         <literal>windows</literal> (for Windows shared memory),
         and <literal>mmap</literal> (to simulate shared memory using
         memory-mapped files stored in the data directory).
-        Not all values are supported on all platforms; the first supported
-        option is usually the default for that platform.  The use of the
+        Not all values are supported on all platforms.  The use of the
         <literal>mmap</literal> option, which is not the default on any platform,
         is generally discouraged because the operating system may write
         modified pages back to disk repeatedly, increasing system I/O load;
@@ -2289,7 +2253,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-min-dynamic-shared-memory" xreflabel="min_dynamic_shared_memory">
-      <term><varname>min_dynamic_shared_memory</varname> (<type>integer</type>)
+      <term><varname>min_dynamic_shared_memory</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>min_dynamic_shared_memory</varname> configuration parameter</primary>
       </indexterm>
@@ -2307,8 +2271,7 @@ include_dir 'conf.d'
         the <varname>huge_pages</varname> setting on operating systems where
         that is supported, and may be more likely to benefit from larger pages
         on operating systems where that is managed automatically.
-        The default value is <literal>0</literal> (none). This parameter can
-        only be set at server start.
+        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
@@ -2321,7 +2284,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-temp-file-limit" xreflabel="temp_file_limit">
-      <term><varname>temp_file_limit</varname> (<type>integer</type>)
+      <term><varname>temp_file_limit</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>temp_file_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -2333,7 +2296,7 @@ include_dir 'conf.d'
         storage file for a held cursor.  A transaction attempting to exceed
         this limit will be canceled.
         If this value is specified without units, it is taken as kilobytes.
-        <literal>-1</literal> (the default) means no limit.
+        Value of <literal>-1</literal> means no limit.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -2386,7 +2349,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-notify-queue-pages" xreflabel="max_notify_queue_pages">
-      <term><varname>max_notify_queue_pages</varname> (<type>integer</type>)
+      <term><varname>max_notify_queue_pages</varname> (<type>integer</type>) - default is 1048576
       <indexterm>
        <primary><varname>max_notify_queue_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -2395,8 +2358,7 @@ include_dir 'conf.d'
        <para>
         Specifies the maximum amount of allocated pages for
         <xref linkend="sql-notify"/> / <xref linkend="sql-listen"/> queue.
-        The default value is 1048576. For 8 KB pages it allows to consume
-        up to 8 GB of disk space.
+        For 8 KB pages it allows to consume up to 8 GB of disk space.
        </para>
       </listitem>
      </varlistentry>
@@ -2409,7 +2371,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-max-files-per-process" xreflabel="max_files_per_process">
-      <term><varname>max_files_per_process</varname> (<type>integer</type>)
+      <term><varname>max_files_per_process</varname> (<type>integer</type>) - default is 1000 files
       <indexterm>
        <primary><varname>max_files_per_process</varname> configuration parameter</primary>
       </indexterm>
@@ -2418,8 +2380,7 @@ include_dir 'conf.d'
        <para>
         Sets the maximum number of open files each server subprocess is
         allowed to open simultaneously;  files already opened in the
-        postmaster are not counted toward this limit. The default is one
-        thousand files.
+        postmaster are not counted toward this limit. 
        </para>
        <para>
         If the kernel is enforcing
@@ -2459,7 +2420,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-bgwriter-delay" xreflabel="bgwriter_delay">
-       <term><varname>bgwriter_delay</varname> (<type>integer</type>)
+       <term><varname>bgwriter_delay</varname> (<type>integer</type>) - default is 200ms
        <indexterm>
         <primary><varname>bgwriter_delay</varname> configuration parameter</primary>
        </indexterm>
@@ -2475,8 +2436,7 @@ include_dir 'conf.d'
          buffer pool, though, it goes into a longer sleep regardless of
          <varname>bgwriter_delay</varname>.
          If this value is specified without units, it is taken as milliseconds.
-         The default value is 200
-         milliseconds (<literal>200ms</literal>). Note that on some systems, the
+         Note that on some systems, the
          effective resolution of sleep delays is 10 milliseconds; setting
          <varname>bgwriter_delay</varname> to a value that is not a multiple of 10
          might have the same results as setting it to the next higher multiple
@@ -2487,7 +2447,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-lru-maxpages" xreflabel="bgwriter_lru_maxpages">
-       <term><varname>bgwriter_lru_maxpages</varname> (<type>integer</type>)
+       <term><varname>bgwriter_lru_maxpages</varname> (<type>integer</type>) - default is 100 buffers
        <indexterm>
         <primary><varname>bgwriter_lru_maxpages</varname> configuration parameter</primary>
        </indexterm>
@@ -2498,7 +2458,6 @@ include_dir 'conf.d'
          by the background writer.  Setting this to zero disables
          background writing.  (Note that checkpoints, which are managed by
          a separate, dedicated auxiliary process, are unaffected.)
-         The default value is 100 buffers.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
@@ -2506,7 +2465,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-lru-multiplier" xreflabel="bgwriter_lru_multiplier">
-       <term><varname>bgwriter_lru_multiplier</varname> (<type>floating point</type>)
+       <term><varname>bgwriter_lru_multiplier</varname> (<type>floating point</type>) - default is 2.0
        <indexterm>
         <primary><varname>bgwriter_lru_multiplier</varname> configuration parameter</primary>
        </indexterm>
@@ -2526,7 +2485,6 @@ include_dir 'conf.d'
          Larger values provide some cushion against spikes in demand,
          while smaller values intentionally leave writes to be done by
          server processes.
-         The default is 2.0.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
@@ -2534,7 +2492,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-flush-after" xreflabel="bgwriter_flush_after">
-       <term><varname>bgwriter_flush_after</varname> (<type>integer</type>)
+       <term><varname>bgwriter_flush_after</varname> (<type>integer</type>) - default is 512kB on Linux, 0 elsewhere
        <indexterm>
         <primary><varname>bgwriter_flush_after</varname> configuration parameter</primary>
        </indexterm>
@@ -2556,8 +2514,7 @@ include_dir 'conf.d'
          that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
          The valid range is between
          <literal>0</literal>, which disables forced writeback, and
-         <literal>2MB</literal>.  The default is <literal>512kB</literal> on Linux,
-         <literal>0</literal> elsewhere.  (If <symbol>BLCKSZ</symbol> is not 8kB,
+         <literal>2MB</literal>.  (If <symbol>BLCKSZ</symbol> is not 8kB,
          the default and maximum values scale proportionally to it.)
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
@@ -2580,7 +2537,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-backend-flush-after" xreflabel="backend_flush_after">
-       <term><varname>backend_flush_after</varname> (<type>integer</type>)
+       <term><varname>backend_flush_after</varname> (<type>integer</type>) - default is 0
        <indexterm>
         <primary><varname>backend_flush_after</varname> configuration parameter</primary>
        </indexterm>
@@ -2602,7 +2559,7 @@ include_dir 'conf.d'
          that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
          The valid range is
          between <literal>0</literal>, which disables forced writeback,
-         and <literal>2MB</literal>.  The default is <literal>0</literal>, i.e., no
+         and <literal>2MB</literal>.  If <literal>0</literal> is used then no
          forced writeback.  (If <symbol>BLCKSZ</symbol> is not 8kB,
          the maximum value scales proportionally to it.)
         </para>
@@ -2649,7 +2606,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-maintenance-io-concurrency" xreflabel="maintenance_io_concurrency">
-       <term><varname>maintenance_io_concurrency</varname> (<type>integer</type>)
+       <term><varname>maintenance_io_concurrency</varname> (<type>integer</type>) - default is 16 on supported systems, otherwise 0
        <indexterm>
         <primary><varname>maintenance_io_concurrency</varname> configuration parameter</primary>
        </indexterm>
@@ -2689,7 +2646,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-io-combine-limit" xreflabel="io_combine_limit">
-       <term><varname>io_combine_limit</varname> (<type>integer</type>)
+       <term><varname>io_combine_limit</varname> (<type>integer</type>) - default is 128kb
        <indexterm>
         <primary><varname>io_combine_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -2797,7 +2754,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-max-worker-processes" xreflabel="max_worker_processes">
-       <term><varname>max_worker_processes</varname> (<type>integer</type>)
+       <term><varname>max_worker_processes</varname> (<type>integer</type>) - default is 8
        <indexterm>
         <primary><varname>max_worker_processes</varname> configuration parameter</primary>
        </indexterm>
@@ -2805,8 +2762,7 @@ include_dir 'conf.d'
        <listitem>
         <para>
          Sets the maximum number of background processes that the cluster
-         can support.  This parameter can only be set at server start.  The
-         default is 8.
+         can support.  This parameter can only be set at server start.  
         </para>
 
         <para>
@@ -2825,7 +2781,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-workers-per-gather" xreflabel="max_parallel_workers_per_gather">
-       <term><varname>max_parallel_workers_per_gather</varname> (<type>integer</type>)
+       <term><varname>max_parallel_workers_per_gather</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>max_parallel_workers_per_gather</varname> configuration parameter</primary>
        </indexterm>
@@ -2839,8 +2795,7 @@ include_dir 'conf.d'
          <xref linkend="guc-max-parallel-workers"/>.  Note that the requested
          number of workers may not actually be available at run time.  If this
          occurs, the plan will run with fewer workers than expected, which may
-         be inefficient.  The default value is 2.  Setting this value to 0
-         disables parallel query execution.
+         be inefficient.  Setting this value to 0 disables parallel query execution.
         </para>
 
         <para>
@@ -2867,7 +2822,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-maintenance-workers" xreflabel="max_parallel_maintenance_workers">
-       <term><varname>max_parallel_maintenance_workers</varname> (<type>integer</type>)
+       <term><varname>max_parallel_maintenance_workers</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>max_parallel_maintenance_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -2884,7 +2839,7 @@ include_dir 'conf.d'
          by <xref linkend="guc-max-parallel-workers"/>.  Note that the requested
          number of workers may not actually be available at run time.
          If this occurs, the utility operation will run with fewer
-         workers than expected.  The default value is 2.  Setting this
+         workers than expected.  Setting this
          value to 0 disables the use of parallel workers by utility
          commands.
         </para>
@@ -2905,7 +2860,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-workers" xreflabel="max_parallel_workers">
-       <term><varname>max_parallel_workers</varname> (<type>integer</type>)
+       <term><varname>max_parallel_workers</varname> (<type>integer</type>) - default is 8
        <indexterm>
         <primary><varname>max_parallel_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -2913,7 +2868,7 @@ include_dir 'conf.d'
        <listitem>
         <para>
          Sets the maximum number of workers that the cluster can support for
-         parallel operations.  The default value is 8.  When increasing or
+         parallel operations.  When increasing or
          decreasing this value, consider also adjusting
          <xref linkend="guc-max-parallel-maintenance-workers"/> and
          <xref linkend="guc-max-parallel-workers-per-gather"/>.
@@ -2927,7 +2882,7 @@ include_dir 'conf.d'
 
       <varlistentry id="guc-parallel-leader-participation" xreflabel="parallel_leader_participation">
        <term>
-       <varname>parallel_leader_participation</varname> (<type>boolean</type>)
+       <varname>parallel_leader_participation</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>parallel_leader_participation</varname> configuration parameter</primary>
        </indexterm>
@@ -2936,8 +2891,7 @@ include_dir 'conf.d'
         <para>
          Allows the leader process to execute the query plan under
          <literal>Gather</literal> and <literal>Gather Merge</literal> nodes
-         instead of waiting for worker processes.  The default is
-         <literal>on</literal>.  Setting this value to <literal>off</literal>
+         instead of waiting for worker processes.  Setting this value to <literal>off</literal>
          reduces the likelihood that workers will become blocked because the
          leader is not reading tuples fast enough, but requires the leader
          process to wait for worker processes to start up before the first
@@ -2964,7 +2918,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-wal-level" xreflabel="wal_level">
-      <term><varname>wal_level</varname> (<type>enum</type>)
+      <term><varname>wal_level</varname> (<type>enum</type>) - default is replica
       <indexterm>
        <primary><varname>wal_level</varname> configuration parameter</primary>
       </indexterm>
@@ -2972,7 +2926,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         <varname>wal_level</varname> determines how much information is written to
-        the WAL. The default value is <literal>replica</literal>, which writes enough
+        the WAL. When value is <literal>replica</literal> then it is written enough
         data to support WAL archiving and replication, including running
         read-only queries on a standby server. <literal>minimal</literal> removes all
         logging except the information required to recover from a crash or
@@ -3025,7 +2979,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-fsync" xreflabel="fsync">
-      <term><varname>fsync</varname> (<type>boolean</type>)
+      <term><varname>fsync</varname> (<type>boolean</type>) - has no default value
       <indexterm>
        <primary><varname>fsync</varname> configuration parameter</primary>
       </indexterm>
@@ -3087,7 +3041,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-synchronous-commit" xreflabel="synchronous_commit">
-      <term><varname>synchronous_commit</varname> (<type>enum</type>)
+      <term><varname>synchronous_commit</varname> (<type>enum</type>) - default is on
       <indexterm>
        <primary><varname>synchronous_commit</varname> configuration parameter</primary>
       </indexterm>
@@ -3097,8 +3051,7 @@ include_dir 'conf.d'
         Specifies how much WAL processing must complete before
         the database server returns a <quote>success</quote>
         indication to the client.  Valid values are
-        <literal>remote_apply</literal>, <literal>on</literal>
-        (the default), <literal>remote_write</literal>,
+        <literal>remote_apply</literal>, <literal>on</literal>, <literal>remote_write</literal>,
         <literal>local</literal>, and <literal>off</literal>.
        </para>
 
@@ -3242,7 +3195,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-sync-method" xreflabel="wal_sync_method">
-      <term><varname>wal_sync_method</varname> (<type>enum</type>)
+      <term><varname>wal_sync_method</varname> (<type>enum</type>) - default is the first method supported by the platform
       <indexterm>
        <primary><varname>wal_sync_method</varname> configuration parameter</primary>
       </indexterm>
@@ -3297,7 +3250,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-full-page-writes" xreflabel="full_page_writes">
-      <term><varname>full_page_writes</varname> (<type>boolean</type>)
+      <term><varname>full_page_writes</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>full_page_writes</varname> configuration parameter</primary>
       </indexterm>
@@ -3338,13 +3291,12 @@ include_dir 'conf.d'
        <para>
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-wal-log-hints" xreflabel="wal_log_hints">
-      <term><varname>wal_log_hints</varname> (<type>boolean</type>)
+      <term><varname>wal_log_hints</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>wal_log_hints</varname> configuration parameter</primary>
       </indexterm>
@@ -3365,13 +3317,13 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        This parameter can only be set at server start. The default value is <literal>off</literal>.
+        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-wal-compression" xreflabel="wal_compression">
-      <term><varname>wal_compression</varname> (<type>enum</type>)
+      <term><varname>wal_compression</varname> (<type>enum</type>) - default is off
       <indexterm>
        <primary><varname>wal_compression</varname> configuration parameter</primary>
       </indexterm>
@@ -3389,7 +3341,6 @@ include_dir 'conf.d'
         was compiled with <option>--with-lz4</option>) and
         <literal>zstd</literal> (if <productname>PostgreSQL</productname>
         was compiled with <option>--with-zstd</option>).
-        The default value is <literal>off</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -3404,14 +3355,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-init-zero" xreflabel="wal_init_zero">
-      <term><varname>wal_init_zero</varname> (<type>boolean</type>)
+      <term><varname>wal_init_zero</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>wal_init_zero</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If set to <literal>on</literal> (the default), this option causes new
+        When this value is set to <literal>on</literal>, causes new
         WAL files to be filled with zeroes.  On some file systems, this ensures
         that space is allocated before we need to write WAL records.  However,
         <firstterm>Copy-On-Write</firstterm> (COW) file systems may not benefit
@@ -3423,14 +3374,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-recycle" xreflabel="wal_recycle">
-      <term><varname>wal_recycle</varname> (<type>boolean</type>)
+      <term><varname>wal_recycle</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>wal_recycle</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If set to <literal>on</literal> (the default), this option causes WAL
+        If this value is <literal>on</literal>, this option causes WAL
         files to be recycled by renaming them, avoiding the need to create new
         ones.  On COW file systems, it may be faster to create new ones, so the
         option is given to disable this behavior.
@@ -3439,7 +3390,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-buffers" xreflabel="wal_buffers">
-      <term><varname>wal_buffers</varname> (<type>integer</type>)
+      <term><varname>wal_buffers</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>wal_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -3447,7 +3398,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         The amount of shared memory used for WAL data that has not yet been
-        written to disk.  The default setting of -1 selects a size equal to
+        written to disk.  Value of -1 selects a size equal to
         1/32nd (about 3%) of <xref linkend="guc-shared-buffers"/>, but not less
         than <literal>64kB</literal> nor more than the size of one WAL
         segment, typically <literal>16MB</literal>.  This value can be set
@@ -3473,7 +3424,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-writer-delay" xreflabel="wal_writer_delay">
-      <term><varname>wal_writer_delay</varname> (<type>integer</type>)
+      <term><varname>wal_writer_delay</varname> (<type>integer</type>) - default is 200ms
       <indexterm>
        <primary><varname>wal_writer_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -3489,8 +3440,7 @@ include_dir 'conf.d'
         produced since, then WAL is only written to the operating system, not
         flushed to disk.
         If this value is specified without units, it is taken as milliseconds.
-        The default value is 200 milliseconds (<literal>200ms</literal>).  Note that
-        on some systems, the effective resolution of sleep delays is 10
+        Note that on some systems, the effective resolution of sleep delays is 10
         milliseconds; setting <varname>wal_writer_delay</varname> to a value that is
         not a multiple of 10 might have the same results as setting it to the
         next higher multiple of 10. This parameter can only be set in the
@@ -3500,7 +3450,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-writer-flush-after" xreflabel="wal_writer_flush_after">
-      <term><varname>wal_writer_flush_after</varname> (<type>integer</type>)
+      <term><varname>wal_writer_flush_after</varname> (<type>integer</type>) - default is 1MB
       <indexterm>
        <primary><varname>wal_writer_flush_after</varname> configuration parameter</primary>
       </indexterm>
@@ -3516,7 +3466,6 @@ include_dir 'conf.d'
         to <literal>0</literal> then WAL data is always flushed immediately.
         If this value is specified without units, it is taken as WAL blocks,
         that is <symbol>XLOG_BLCKSZ</symbol> bytes, typically 8kB.
-        The default is <literal>1MB</literal>.
         This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
        </para>
@@ -3524,7 +3473,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-skip-threshold" xreflabel="wal_skip_threshold">
-      <term><varname>wal_skip_threshold</varname> (<type>integer</type>)
+      <term><varname>wal_skip_threshold</varname> (<type>integer</type>) - default is 2MB
       <indexterm>
        <primary><varname>wal_skip_threshold</varname> configuration parameter</primary>
       </indexterm>
@@ -3538,14 +3487,13 @@ include_dir 'conf.d'
         fsync of affected files.  Depending on the properties of your storage,
         raising or lowering this value might help if such commits are slowing
         concurrent transactions.  If this value is specified without units, it
-        is taken as kilobytes.  The default is two megabytes
-        (<literal>2MB</literal>).
+        is taken as kilobytes.  
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-commit-delay" xreflabel="commit_delay">
-      <term><varname>commit_delay</varname> (<type>integer</type>)
+      <term><varname>commit_delay</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>commit_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -3565,7 +3513,7 @@ include_dir 'conf.d'
         when a flush is about to be initiated.  Also, no delays are
         performed if <varname>fsync</varname> is disabled.
         If this value is specified without units, it is taken as microseconds.
-        The default <varname>commit_delay</varname> is zero (no delay).
+        Setting this value to <varname>0</varname> means no delay.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -3583,7 +3531,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-siblings" xreflabel="commit_siblings">
-      <term><varname>commit_siblings</varname> (<type>integer</type>)
+      <term><varname>commit_siblings</varname> (<type>integer</type>) - default is 5 transactions
       <indexterm>
        <primary><varname>commit_siblings</varname> configuration parameter</primary>
       </indexterm>
@@ -3593,8 +3541,7 @@ include_dir 'conf.d'
         Minimum number of concurrent open transactions to require
         before performing the <varname>commit_delay</varname> delay. A larger
         value makes it more probable that at least one other
-        transaction will become ready to commit during the delay
-        interval. The default is five transactions.
+        transaction will become ready to commit during the delay interval. 
        </para>
       </listitem>
      </varlistentry>
@@ -3606,7 +3553,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-checkpoint-timeout" xreflabel="checkpoint_timeout">
-      <term><varname>checkpoint_timeout</varname> (<type>integer</type>)
+      <term><varname>checkpoint_timeout</varname> (<type>integer</type>) - default is 5 minutes
       <indexterm>
        <primary><varname>checkpoint_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -3616,7 +3563,6 @@ include_dir 'conf.d'
         Maximum time between automatic WAL checkpoints.
         If this value is specified without units, it is taken as seconds.
         The valid range is between 30 seconds and one day.
-        The default is five minutes (<literal>5min</literal>).
         Increasing this parameter can increase the amount of time needed
         for crash recovery.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -3626,7 +3572,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-completion-target" xreflabel="checkpoint_completion_target">
-      <term><varname>checkpoint_completion_target</varname> (<type>floating point</type>)
+      <term><varname>checkpoint_completion_target</varname> (<type>floating point</type>) - default is 0.9
       <indexterm>
        <primary><varname>checkpoint_completion_target</varname> configuration parameter</primary>
       </indexterm>
@@ -3634,8 +3580,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Specifies the target of checkpoint completion, as a fraction of
-        total time between checkpoints. The default is 0.9, which spreads the
-        checkpoint across almost all of the available interval, providing fairly
+        total time between checkpoints. Value of 0.9 spreads the
+        checkpoint across to almost all of the available interval, providing fairly
         consistent I/O load while also leaving some time for checkpoint
         completion overhead.  Reducing this parameter is not recommended because
         it causes the checkpoint to complete faster.  This results in a higher
@@ -3648,7 +3594,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-flush-after" xreflabel="checkpoint_flush_after">
-      <term><varname>checkpoint_flush_after</varname> (<type>integer</type>)
+      <term><varname>checkpoint_flush_after</varname> (<type>integer</type>) - default is 256kb on Linux, elsewhere 0
       <indexterm>
        <primary><varname>checkpoint_flush_after</varname> configuration parameter</primary>
       </indexterm>
@@ -3670,8 +3616,7 @@ include_dir 'conf.d'
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
         The valid range is
         between <literal>0</literal>, which disables forced writeback,
-        and <literal>2MB</literal>.  The default is <literal>256kB</literal> on
-        Linux, <literal>0</literal> elsewhere.  (If <symbol>BLCKSZ</symbol> is not
+        and <literal>2MB</literal>.  (If <symbol>BLCKSZ</symbol> is not
         8kB, the default and maximum values scale proportionally to it.)
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
@@ -3680,7 +3625,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-warning" xreflabel="checkpoint_warning">
-      <term><varname>checkpoint_warning</varname> (<type>integer</type>)
+      <term><varname>checkpoint_warning</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>checkpoint_warning</varname> configuration parameter</primary>
       </indexterm>
@@ -3692,7 +3637,6 @@ include_dir 'conf.d'
         than this amount of time (which suggests that
         <varname>max_wal_size</varname> ought to be raised).
         If this value is specified without units, it is taken as seconds.
-        The default is 30 seconds (<literal>30s</literal>).
         Zero disables the warning.
         No warnings will be generated if <varname>checkpoint_timeout</varname>
         is less than <varname>checkpoint_warning</varname>.
@@ -3703,7 +3647,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-wal-size" xreflabel="max_wal_size">
-      <term><varname>max_wal_size</varname> (<type>integer</type>)
+      <term><varname>max_wal_size</varname> (<type>integer</type>) - default is 1GB
       <indexterm>
        <primary><varname>max_wal_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3716,7 +3660,6 @@ include_dir 'conf.d'
         heavy load, a failing <varname>archive_command</varname> or <varname>archive_library</varname>, or a high
         <varname>wal_keep_size</varname> setting.
         If this value is specified without units, it is taken as megabytes.
-        The default is 1 GB.
         Increasing this parameter can increase the amount of time needed for
         crash recovery.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -3726,7 +3669,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-min-wal-size" xreflabel="min_wal_size">
-      <term><varname>min_wal_size</varname> (<type>integer</type>)
+      <term><varname>min_wal_size</varname> (<type>integer</type>) - default is 80MB
       <indexterm>
        <primary><varname>min_wal_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3739,7 +3682,6 @@ include_dir 'conf.d'
         handle spikes in WAL usage, for example when running large batch
         jobs.
         If this value is specified without units, it is taken as megabytes.
-        The default is 80 MB.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -3753,7 +3695,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-archive-mode" xreflabel="archive_mode">
-      <term><varname>archive_mode</varname> (<type>enum</type>)
+      <term><varname>archive_mode</varname> (<type>enum</type>) - default if off
       <indexterm>
        <primary><varname>archive_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -3787,7 +3729,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-command" xreflabel="archive_command">
-      <term><varname>archive_command</varname> (<type>string</type>)
+      <term><varname>archive_command</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>archive_command</varname> configuration parameter</primary>
       </indexterm>
@@ -3812,7 +3754,7 @@ include_dir 'conf.d'
         <varname>archive_library</varname> is set to an empty string.  If both
         <varname>archive_command</varname> and <varname>archive_library</varname>
         are set, an error will be raised.
-        If <varname>archive_command</varname> is an empty string (the default) while
+        If <varname>archive_command</varname> is an empty string while
         <varname>archive_mode</varname> is enabled (and <varname>archive_library</varname>
         is set to an empty string), WAL archiving is temporarily
         disabled, but the server continues to accumulate WAL segment files in
@@ -3827,7 +3769,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-library" xreflabel="archive_library">
-      <term><varname>archive_library</varname> (<type>string</type>)
+      <term><varname>archive_library</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>archive_library</varname> configuration parameter</primary>
       </indexterm>
@@ -3835,7 +3777,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         The library to use for archiving completed WAL file segments.  If set to
-        an empty string (the default), archiving via shell is enabled, and
+        an empty string, archiving via shell is enabled, and
         <xref linkend="guc-archive-command"/> is used.  If both
         <varname>archive_command</varname> and <varname>archive_library</varname>
         are set, an error will be raised.  Otherwise, the specified
@@ -3852,7 +3794,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-timeout" xreflabel="archive_timeout">
-      <term><varname>archive_timeout</varname> (<type>integer</type>)
+      <term><varname>archive_timeout</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>archive_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -3907,7 +3849,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-recovery-prefetch" xreflabel="recovery_prefetch">
-      <term><varname>recovery_prefetch</varname> (<type>enum</type>)
+      <term><varname>recovery_prefetch</varname> (<type>enum</type>) - default is try
       <indexterm>
        <primary><varname>recovery_prefetch</varname> configuration parameter</primary>
       </indexterm>
@@ -3917,8 +3859,7 @@ include_dir 'conf.d'
         Whether to try to prefetch blocks that are referenced in the WAL that
         are not yet in the buffer pool, during recovery.  Valid values are
         <literal>off</literal>, <literal>on</literal> and
-        <literal>try</literal> (the default).  The setting
-        <literal>try</literal> enables
+        <literal>try</literal>.  The setting <literal>try</literal> enables
         prefetching only if the operating system provides support for issuing
         read-ahead advice.
        </para>
@@ -3933,7 +3874,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-decode-buffer-size" xreflabel="wal_decode_buffer_size">
-      <term><varname>wal_decode_buffer_size</varname> (<type>integer</type>)
+      <term><varname>wal_decode_buffer_size</varname> (<type>integer</type>) - default is 512kb
       <indexterm>
        <primary><varname>wal_decode_buffer_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3943,7 +3884,6 @@ include_dir 'conf.d'
         A limit on how far ahead the server can look in the WAL, to find
         blocks to prefetch.  If this value is specified without units, it is
         taken as bytes.
-        The default is 512kB.
        </para>
       </listitem>
      </varlistentry>
@@ -4001,7 +3941,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-restore-command" xreflabel="restore_command">
-      <term><varname>restore_command</varname> (<type>string</type>)
+      <term><varname>restore_command</varname> (<type>string</type>) - default is ''
       <indexterm>
         <primary><varname>restore_command</varname> configuration parameter</primary>
       </indexterm>
@@ -4050,7 +3990,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-archive-cleanup-command" xreflabel="archive_cleanup_command">
-      <term><varname>archive_cleanup_command</varname> (<type>string</type>)
+      <term><varname>archive_cleanup_command</varname> (<type>string</type>) - default is ''
       <indexterm>
         <primary><varname>archive_cleanup_command</varname> configuration parameter</primary>
       </indexterm>
@@ -4095,7 +4035,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-recovery-end-command" xreflabel="recovery_end_command">
-      <term><varname>recovery_end_command</varname> (<type>string</type>)
+      <term><varname>recovery_end_command</varname> (<type>string</type>) - default is ''
       <indexterm>
         <primary><varname>recovery_end_command</varname> configuration parameter</primary>
       </indexterm>
@@ -4144,7 +4084,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
      <variablelist>
      <varlistentry id="guc-recovery-target" xreflabel="recovery_target">
-      <term><varname>recovery_target</varname><literal> = 'immediate'</literal>
+      <term><varname>recovery_target</varname> (<type>string</type>) - The only possible value is <literal>'immediate'</literal>
       <indexterm>
         <primary><varname>recovery_target</varname> configuration parameter</primary>
       </indexterm>
@@ -4164,7 +4104,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-recovery-target-name" xreflabel="recovery_target_name">
-      <term><varname>recovery_target_name</varname> (<type>string</type>)
+      <term><varname>recovery_target_name</varname> (<type>string</type>) - default is ''
       <indexterm>
         <primary><varname>recovery_target_name</varname> configuration parameter</primary>
       </indexterm>
@@ -4178,7 +4118,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-recovery-target-time" xreflabel="recovery_target_time">
-      <term><varname>recovery_target_time</varname> (<type>timestamp</type>)
+      <term><varname>recovery_target_time</varname> (<type>timestamp</type>) - default is ''
       <indexterm>
         <primary><varname>recovery_target_time</varname> configuration parameter</primary>
       </indexterm>
@@ -4204,7 +4144,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-recovery-target-xid" xreflabel="recovery_target_xid">
-      <term><varname>recovery_target_xid</varname> (<type>string</type>)
+      <term><varname>recovery_target_xid</varname> (<type>string</type>) - default is ''
       <indexterm>
         <primary><varname>recovery_target_xid</varname> configuration parameter</primary>
       </indexterm>
@@ -4224,7 +4164,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-recovery-target-lsn" xreflabel="recovery_target_lsn">
-      <term><varname>recovery_target_lsn</varname> (<type>pg_lsn</type>)
+      <term><varname>recovery_target_lsn</varname> (<type>pg_lsn</type>) - default is ''
       <indexterm>
         <primary><varname>recovery_target_lsn</varname> configuration parameter</primary>
       </indexterm>
@@ -4249,7 +4189,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      <variablelist>
      <varlistentry id="guc-recovery-target-inclusive"
                    xreflabel="recovery_target_inclusive">
-      <term><varname>recovery_target_inclusive</varname> (<type>boolean</type>)
+      <term><varname>recovery_target_inclusive</varname> (<type>boolean</type>) - default is on
       <indexterm>
         <primary><varname>recovery_target_inclusive</varname> configuration parameter</primary>
       </indexterm>
@@ -4264,14 +4204,14 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         <xref linkend="guc-recovery-target-xid"/> is specified.
         This setting controls whether transactions
         having exactly the target WAL location (LSN), commit time, or transaction ID, respectively, will
-        be included in the recovery.  Default is <literal>on</literal>.
+        be included in the recovery.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-recovery-target-timeline"
                    xreflabel="recovery_target_timeline">
-      <term><varname>recovery_target_timeline</varname> (<type>string</type>)
+      <term><varname>recovery_target_timeline</varname> (<type>string</type>) - default is latest
       <indexterm>
         <primary><varname>recovery_target_timeline</varname> configuration parameter</primary>
       </indexterm>
@@ -4284,7 +4224,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         current when the base backup was taken.  The
         value <literal>latest</literal> recovers
         to the latest timeline found in the archive, which is useful in
-        a standby server.  <literal>latest</literal> is the default.
+        a standby server.
        </para>
 
        <para>
@@ -4306,7 +4246,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
      <varlistentry id="guc-recovery-target-action"
                    xreflabel="recovery_target_action">
-      <term><varname>recovery_target_action</varname> (<type>enum</type>)
+      <term><varname>recovery_target_action</varname> (<type>enum</type>) - default is pause
       <indexterm>
         <primary><varname>recovery_target_action</varname> configuration parameter</primary>
       </indexterm>
@@ -4314,7 +4254,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       <listitem>
        <para>
         Specifies what action the server should take once the recovery target is
-        reached. The default is <literal>pause</literal>, which means recovery will
+        reached. Value of <literal>pause</literal> means recovery will
         be paused. <literal>promote</literal> means the recovery process will finish
         and the server will start to accept connections.
         Finally <literal>shutdown</literal> will stop the server after reaching the
@@ -4375,7 +4315,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
     <variablelist>
      <varlistentry id="guc-summarize-wal" xreflabel="summarize_wal">
-      <term><varname>summarize_wal</varname> (<type>boolean</type>)
+      <term><varname>summarize_wal</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>summarize_wal</varname> configuration parameter</primary>
       </indexterm>
@@ -4385,7 +4325,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
        Enables the WAL summarizer process. Note that WAL summarization can
        be enabled either on a primary or on a standby.  This parameter can only
        be set in the <filename>postgresql.conf</filename> file or on the server
-       command line.  The default is <literal>off</literal>.
+       command line.
       </para>
       <para>
        The server cannot be started with <literal>summarize_wal=on</literal>
@@ -4399,7 +4339,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-wal-summary-keep-time" xreflabel="wal_summary_keep_time">
-      <term><varname>wal_summary_keep_time</varname> (<type>integer</type>)
+      <term><varname>wal_summary_keep_time</varname> (<type>integer</type>) - default is 10 days
       <indexterm>
        <primary><varname>wal_summary_keep_time</varname> configuration parameter</primary>
       </indexterm>
@@ -4419,7 +4359,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
        This parameter can only be set in the
        <filename>postgresql.conf</filename> file or on the server command line.
        If this value is specified without units, it is taken as minutes.
-       The default is 10 days. If <literal>summarize_wal = off</literal>,
+       If <literal>summarize_wal = off</literal>,
        existing WAL summaries will not be removed regardless of the value of
        this parameter, because the WAL summarizer will not run.
       </para>
@@ -4479,7 +4419,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
 
      <variablelist>
       <varlistentry id="guc-max-wal-senders" xreflabel="max_wal_senders">
-       <term><varname>max_wal_senders</varname> (<type>integer</type>)
+       <term><varname>max_wal_senders</varname> (<type>integer</type>) - default is 10
        <indexterm>
         <primary><varname>max_wal_senders</varname> configuration parameter</primary>
        </indexterm>
@@ -4488,8 +4428,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
        <para>
         Specifies the maximum number of concurrent connections from standby
         servers or streaming base backup clients (i.e., the maximum number of
-        simultaneously running WAL sender processes). The default is
-        <literal>10</literal>.  The value <literal>0</literal> means
+        simultaneously running WAL sender processes).  The value <literal>0</literal> means
         replication is disabled.  Abrupt disconnection of a streaming client might
         leave an orphaned connection slot behind until a timeout is reached,
         so this parameter should be set slightly higher than the maximum
@@ -4509,7 +4448,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
       <varlistentry id="guc-max-replication-slots" xreflabel="max_replication_slots">
-       <term><varname>max_replication_slots</varname> (<type>integer</type>)
+       <term><varname>max_replication_slots</varname> (<type>integer</type>) - default is 10
        <indexterm>
         <primary><varname>max_replication_slots</varname> configuration parameter</primary>
        </indexterm>
@@ -4518,8 +4457,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         <para>
          Specifies the maximum number of replication slots
          (see <xref linkend="streaming-replication-slots"/>) that the server
-         can support. The default is 10.  This parameter can only be set at
-         server start.
+         can support. This parameter can only be set at server start.
          Setting it to a lower value than the number of currently
          existing replication slots will prevent the server from starting.
          Also, <varname>wal_level</varname> must be set
@@ -4530,7 +4468,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
       <varlistentry id="guc-wal-keep-size" xreflabel="wal_keep_size">
-       <term><varname>wal_keep_size</varname> (<type>integer</type>)
+       <term><varname>wal_keep_size</varname> (<type>integer</type>) - default is 0
        <indexterm>
         <primary><varname>wal_keep_size</varname> configuration parameter</primary>
        </indexterm>
@@ -4554,7 +4492,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         This sets only the minimum size of segments retained in
         <filename>pg_wal</filename>; the system might need to retain more segments
         for WAL archival or to recover from a checkpoint. If
-        <varname>wal_keep_size</varname> is zero (the default), the system
+        Using value <varname>wal_keep_size</varname>, the system
         doesn't keep any extra segments for standby purposes, so the number
         of old WAL segments available to standby servers is a function of
         the location of the previous checkpoint and status of WAL
@@ -4567,7 +4505,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </varlistentry>
 
       <varlistentry id="guc-max-slot-wal-keep-size" xreflabel="max_slot_wal_keep_size">
-       <term><varname>max_slot_wal_keep_size</varname> (<type>integer</type>)
+       <term><varname>max_slot_wal_keep_size</varname> (<type>integer</type>) - default is -1
        <indexterm>
         <primary><varname>max_slot_wal_keep_size</varname> configuration parameter</primary>
        </indexterm>
@@ -4578,7 +4516,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         that <link linkend="streaming-replication-slots">replication
         slots</link> are allowed to retain in the <filename>pg_wal</filename>
         directory at checkpoint time.
-        If <varname>max_slot_wal_keep_size</varname> is -1 (the default),
+        If <varname>max_slot_wal_keep_size</varname> is set to -1,
         replication slots may retain an unlimited amount of WAL files.  Otherwise, if
         restart_lsn of a replication slot falls behind the current LSN by more
         than the given size, the standby using the slot may no longer be able
@@ -4633,7 +4571,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-wal-sender-timeout" xreflabel="wal_sender_timeout">
-      <term><varname>wal_sender_timeout</varname> (<type>integer</type>)
+      <term><varname>wal_sender_timeout</varname> (<type>integer</type>) - default is 60 seconds
       <indexterm>
        <primary><varname>wal_sender_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -4644,7 +4582,6 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         than this amount of time. This is useful for
         the sending server to detect a standby crash or network outage.
         If this value is specified without units, it is taken as milliseconds.
-        The default value is 60 seconds.
         A value of zero disables the timeout mechanism.
        </para>
        <para>
@@ -4660,7 +4597,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
      </varlistentry>
 
      <varlistentry id="guc-track-commit-timestamp" xreflabel="track_commit_timestamp">
-      <term><varname>track_commit_timestamp</varname> (<type>boolean</type>)
+      <term><varname>track_commit_timestamp</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>track_commit_timestamp</varname> configuration parameter</primary>
       </indexterm>
@@ -4669,13 +4606,13 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
        <para>
         Record commit time of transactions. This parameter
         can only be set in <filename>postgresql.conf</filename> file or on the server
-        command line. The default value is <literal>off</literal>.
+        command line.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-synchronized-standby-slots" xreflabel="synchronized_standby_slots">
-      <term><varname>synchronized_standby_slots</varname> (<type>string</type>)
+      <term><varname>synchronized_standby_slots</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>synchronized_standby_slots</varname> configuration parameter</primary>
       </indexterm>
@@ -4734,7 +4671,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
     <variablelist>
 
      <varlistentry id="guc-synchronous-standby-names" xreflabel="synchronous_standby_names">
-      <term><varname>synchronous_standby_names</varname> (<type>string</type>)
+      <term><varname>synchronous_standby_names</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>synchronous_standby_names</varname> configuration parameter</primary>
       </indexterm>
@@ -4880,7 +4817,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
     <variablelist>
 
        <varlistentry id="guc-primary-conninfo" xreflabel="primary_conninfo">
-        <term><varname>primary_conninfo</varname> (<type>string</type>)
+        <term><varname>primary_conninfo</varname> (<type>string</type>) - default is ''
         <indexterm>
           <primary><varname>primary_conninfo</varname> configuration parameter</primary>
         </indexterm>
@@ -4950,7 +4887,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        </varlistentry>
 
      <varlistentry id="guc-hot-standby" xreflabel="hot_standby">
-      <term><varname>hot_standby</varname> (<type>boolean</type>)
+      <term><varname>hot_standby</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>hot_standby</varname> configuration parameter</primary>
       </indexterm>
@@ -4959,7 +4896,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Specifies whether or not you can connect and run queries during
         recovery, as described in <xref linkend="hot-standby"/>.
-        The default value is <literal>on</literal>.
         This parameter can only be set at server start. It only has effect
         during archive recovery or in standby mode.
        </para>
@@ -4967,7 +4903,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-standby-archive-delay" xreflabel="max_standby_archive_delay">
-      <term><varname>max_standby_archive_delay</varname> (<type>integer</type>)
+      <term><varname>max_standby_archive_delay</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>max_standby_archive_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -4981,7 +4917,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <varname>max_standby_archive_delay</varname> applies when WAL data is
         being read from WAL archive (and is therefore not current).
         If this value is specified without units, it is taken as milliseconds.
-        The default is 30 seconds.
         A value of -1 allows the standby to wait forever for conflicting
         queries to complete.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -4999,7 +4934,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-standby-streaming-delay" xreflabel="max_standby_streaming_delay">
-      <term><varname>max_standby_streaming_delay</varname> (<type>integer</type>)
+      <term><varname>max_standby_streaming_delay</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>max_standby_streaming_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -5013,7 +4948,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <varname>max_standby_streaming_delay</varname> applies when WAL data is
         being received via streaming replication.
         If this value is specified without units, it is taken as milliseconds.
-        The default is 30 seconds.
         A value of -1 allows the standby to wait forever for conflicting
         queries to complete.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -5032,7 +4966,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-receiver-create-temp-slot" xreflabel="wal_receiver_create_temp_slot">
-      <term><varname>wal_receiver_create_temp_slot</varname> (<type>boolean</type>)
+      <term><varname>wal_receiver_create_temp_slot</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>wal_receiver_create_temp_slot</varname> configuration parameter</primary>
       </indexterm>
@@ -5042,7 +4976,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Specifies whether the WAL receiver process should create a temporary replication
         slot on the remote instance when no permanent replication slot to use
         has been configured (using <xref linkend="guc-primary-slot-name"/>).
-        The default is off.  This parameter can only be set in the
+        This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
         If this parameter is changed while the WAL receiver process is running,
         that process is signaled to shut down and expected to restart with
@@ -5052,7 +4986,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-receiver-status-interval" xreflabel="wal_receiver_status_interval">
-      <term><varname>wal_receiver_status_interval</varname> (<type>integer</type>)
+      <term><varname>wal_receiver_status_interval</varname> (<type>integer</type>) - default is 10 seconds
       <indexterm>
        <primary><varname>wal_receiver_status_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -5076,15 +5010,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <literal>remote_apply</literal>.
        Thus, the apply position may lag slightly behind the true position.
        If this value is specified without units, it is taken as seconds.
-       The default value is 10 seconds. This parameter can only be set in
-       the <filename>postgresql.conf</filename> file or on the server
-       command line.
+       This parameter can only be set in the <filename>postgresql.conf</filename>
+	   file or on the server command line.
       </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-hot-standby-feedback" xreflabel="hot_standby_feedback">
-      <term><varname>hot_standby_feedback</varname> (<type>boolean</type>)
+      <term><varname>hot_standby_feedback</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>hot_standby_feedback</varname> configuration parameter</primary>
       </indexterm>
@@ -5097,8 +5030,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         be used to eliminate query cancels caused by cleanup records, but
         can cause database bloat on the primary for some workloads.
         Feedback messages will not be sent more frequently than once per
-        <varname>wal_receiver_status_interval</varname>. The default value is
-        <literal>off</literal>. This parameter can only be set in the
+        <varname>wal_receiver_status_interval</varname>.  This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
        </para>
        <para>
@@ -5117,7 +5049,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-receiver-timeout" xreflabel="wal_receiver_timeout">
-      <term><varname>wal_receiver_timeout</varname> (<type>integer</type>)
+      <term><varname>wal_receiver_timeout</varname> (<type>integer</type>) - default is 60 seconds
       <indexterm>
        <primary><varname>wal_receiver_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -5129,7 +5061,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         the receiving standby server to detect a primary node crash or network
         outage.
         If this value is specified without units, it is taken as milliseconds.
-        The default value is 60 seconds.
         A value of zero disables the timeout mechanism.
         This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server
@@ -5139,7 +5070,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-wal-retrieve-retry-interval" xreflabel="wal_retrieve_retry_interval">
-      <term><varname>wal_retrieve_retry_interval</varname> (<type>integer</type>)
+      <term><varname>wal_retrieve_retry_interval</varname> (<type>integer</type>) - default is 5 seconds
       <indexterm>
        <primary><varname>wal_retrieve_retry_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -5151,7 +5082,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         local <filename>pg_wal</filename> or WAL archive) before trying
         again to retrieve WAL data.
         If this value is specified without units, it is taken as milliseconds.
-        The default value is 5 seconds.
         This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server
         command line.
@@ -5176,7 +5106,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-recovery-min-apply-delay" xreflabel="recovery_min_apply_delay">
-      <term><varname>recovery_min_apply_delay</varname> (<type>integer</type>)
+      <term><varname>recovery_min_apply_delay</varname> (<type>integer</type>) - default is 0
       <indexterm>
         <primary><varname>recovery_min_apply_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -5192,7 +5122,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         replay each transaction commit only when the system time on the standby
         is at least five minutes past the commit time reported by the primary.
         If this value is specified without units, it is taken as milliseconds.
-        The default is zero, adding no delay.
+        If value <literal>0</literal> is used, no delay is added.
        </para>
        <para>
         It is possible that the replication delay between servers exceeds the
@@ -5247,7 +5177,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-sync-replication-slots" xreflabel="sync_replication_slots">
-      <term><varname>sync_replication_slots</varname> (<type>boolean</type>)
+      <term><varname>sync_replication_slots</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>sync_replication_slots</varname> configuration parameter</primary>
       </indexterm>
@@ -5259,7 +5189,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         replication from the new primary server after failover.
        </para>
        <para>
-        It is disabled by default. This parameter can only be set in the
+        This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
        </para>
       </listitem>
@@ -5279,7 +5209,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-max-active-replication-origins" xreflabel="max_active_replication_origins">
-      <term><varname>max_active_replication_origins</varname> (<type>integer</type>)
+      <term><varname>max_active_replication_origins</varname> (<type>integer</type>) - default is 10
        <indexterm>
         <primary><varname>max_active_replication_origins</varname> configuration parameter</primary>
        </indexterm>
@@ -5303,7 +5233,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-max-logical-replication-workers" xreflabel="max_logical_replication_workers">
-      <term><varname>max_logical_replication_workers</varname> (<type>integer</type>)
+      <term><varname>max_logical_replication_workers</varname> (<type>integer</type>) - default is 4
       <indexterm>
        <primary><varname>max_logical_replication_workers</varname> configuration parameter</primary>
       </indexterm>
@@ -5319,14 +5249,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <varname>max_worker_processes</varname>.
        </para>
        <para>
-        The default value is 4. This parameter can only be set at server
-        start.
+        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-max-sync-workers-per-subscription" xreflabel="max_sync_workers_per_subscription">
-      <term><varname>max_sync_workers_per_subscription</varname> (<type>integer</type>)
+      <term><varname>max_sync_workers_per_subscription</varname> (<type>integer</type>) - default is 2
       <indexterm>
        <primary><varname>max_sync_workers_per_subscription</varname> configuration parameter</primary>
       </indexterm>
@@ -5345,15 +5274,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <varname>max_logical_replication_workers</varname>.
        </para>
        <para>
-        The default value is 2. This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command
-        line.
+        This parameter can only be set in the <filename>postgresql.conf</filename> file or on the server command line.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-max-parallel-apply-workers-per-subscription" xreflabel="max_parallel_apply_workers_per_subscription">
-      <term><varname>max_parallel_apply_workers_per_subscription</varname> (<type>integer</type>)
+      <term><varname>max_parallel_apply_workers_per_subscription</varname> (<type>integer</type>) - default is 2
       <indexterm>
        <primary><varname>max_parallel_apply_workers_per_subscription</varname> configuration parameter</primary>
       </indexterm>
@@ -5370,9 +5297,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <varname>max_logical_replication_workers</varname>.
        </para>
        <para>
-        The default value is 2. This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command
-        line.
+        This parameter can only be set in the <filename>postgresql.conf</filename> file or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -5408,21 +5333,20 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
      <variablelist>
      <varlistentry id="guc-enable-async-append" xreflabel="enable_async_append">
-      <term><varname>enable_async_append</varname> (<type>boolean</type>)
+      <term><varname>enable_async_append</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_async_append</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of async-aware
-        append plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of async-aware append plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-bitmapscan" xreflabel="enable_bitmapscan">
-      <term><varname>enable_bitmapscan</varname> (<type>boolean</type>)
+      <term><varname>enable_bitmapscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>bitmap scan</primary>
       </indexterm>
@@ -5432,8 +5356,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of bitmap-scan plan
-        types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of bitmap-scan plan types. 
        </para>
       </listitem>
      </varlistentry>
@@ -5453,21 +5376,20 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-gathermerge" xreflabel="enable_gathermerge">
-      <term><varname>enable_gathermerge</varname> (<type>boolean</type>)
+      <term><varname>enable_gathermerge</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_gathermerge</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of gather
-        merge plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of gather merge plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-groupby-reordering" xreflabel="enable_group_by_reordering">
-      <term><varname>enable_group_by_reordering</varname> (<type>boolean</type>)
+      <term><varname>enable_group_by_reordering</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_group_by_reordering</varname> configuration parameter</primary>
       </indexterm>
@@ -5479,42 +5401,39 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         a child node of the plan, such as an index scan.  When disabled, the
         query planner will produce a plan with <literal>GROUP BY</literal>
         keys only sorted to match the <literal>ORDER BY</literal> clause,
-        if any. When enabled, the planner will try to produce a more
-        efficient plan. The default value is <literal>on</literal>.
+        if any. When enabled, the planner will try to produce a more efficient plan. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-hashagg" xreflabel="enable_hashagg">
-      <term><varname>enable_hashagg</varname> (<type>boolean</type>)
+      <term><varname>enable_hashagg</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_hashagg</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of hashed
-        aggregation plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of hashed aggregation plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-hashjoin" xreflabel="enable_hashjoin">
-      <term><varname>enable_hashjoin</varname> (<type>boolean</type>)
+      <term><varname>enable_hashjoin</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_hashjoin</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of hash-join plan
-        types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of hash-join plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-incremental-sort" xreflabel="enable_incremental_sort">
-      <term><varname>enable_incremental_sort</varname> (<type>boolean</type>)
+      <term><varname>enable_incremental_sort</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_incremental_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -5522,13 +5441,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Enables or disables the query planner's use of incremental sort steps.
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-indexscan" xreflabel="enable_indexscan">
-      <term><varname>enable_indexscan</varname> (<type>boolean</type>)
+      <term><varname>enable_indexscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>index scan</primary>
       </indexterm>
@@ -5538,15 +5456,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of index-scan and
-        index-only-scan plan types.  The default is <literal>on</literal>.
+        Enables or disables the query planner's use of index-scan and index-only-scan plan types.  
         Also see <xref linkend="guc-enable-indexonlyscan"/>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-indexonlyscan" xreflabel="enable_indexonlyscan">
-      <term><varname>enable_indexonlyscan</varname> (<type>boolean</type>)
+      <term><varname>enable_indexonlyscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_indexonlyscan</varname> configuration parameter</primary>
       </indexterm>
@@ -5555,15 +5472,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Enables or disables the query planner's use of index-only-scan plan
         types (see <xref linkend="indexes-index-only-scans"/>).
-        The default is <literal>on</literal>.  The
-        <xref linkend="guc-enable-indexscan"/> setting must also be
+        The <xref linkend="guc-enable-indexscan"/> setting must also be
         enabled to have the query planner consider index-only-scans.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-material" xreflabel="enable_material">
-      <term><varname>enable_material</varname> (<type>boolean</type>)
+      <term><varname>enable_material</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_material</varname> configuration parameter</primary>
       </indexterm>
@@ -5574,13 +5490,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         It is impossible to suppress materialization entirely,
         but turning this variable off prevents the planner from inserting
         materialize nodes except in cases where it is required for correctness.
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-memoize" xreflabel="enable_memoize">
-      <term><varname>enable_memoize</varname> (<type>boolean</type>)
+      <term><varname>enable_memoize</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_memoize</varname> configuration parameter</primary>
       </indexterm>
@@ -5592,28 +5507,26 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         This plan type allows scans to the underlying plans to be skipped when
         the results for the current parameters are already in the cache.  Less
         commonly looked up results may be evicted from the cache when more
-        space is required for new entries. The default is
-        <literal>on</literal>.
+        space is required for new entries. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-mergejoin" xreflabel="enable_mergejoin">
-      <term><varname>enable_mergejoin</varname> (<type>boolean</type>)
+      <term><varname>enable_mergejoin</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_mergejoin</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of merge-join plan
-        types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of merge-join plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-nestloop" xreflabel="enable_nestloop">
-      <term><varname>enable_nestloop</varname> (<type>boolean</type>)
+      <term><varname>enable_nestloop</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_nestloop</varname> configuration parameter</primary>
       </indexterm>
@@ -5623,28 +5536,26 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's use of nested-loop join
         plans. It is impossible to suppress nested-loop joins entirely,
         but turning this variable off discourages the planner from using
-        one if there are other methods available. The default is
-        <literal>on</literal>.
+        one if there are other methods available. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-parallel-append" xreflabel="enable_parallel_append">
-      <term><varname>enable_parallel_append</varname> (<type>boolean</type>)
+      <term><varname>enable_parallel_append</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_parallel_append</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of parallel-aware
-        append plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of parallel-aware append plan types. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-parallel-hash" xreflabel="enable_parallel_hash">
-      <term><varname>enable_parallel_hash</varname> (<type>boolean</type>)
+      <term><varname>enable_parallel_hash</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>enable_parallel_hash</varname> configuration parameter</primary>
        </indexterm>
@@ -5652,14 +5563,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Enables or disables the query planner's use of hash-join plan
-        types with parallel hash. Has no effect if hash-join plans are not
-        also enabled. The default is <literal>on</literal>.
+        types with parallel hash. Has no effect if hash-join plans are not also enabled. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-partition-pruning" xreflabel="enable_partition_pruning">
-      <term><varname>enable_partition_pruning</varname> (<type>boolean</type>)
+      <term><varname>enable_partition_pruning</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>enable_partition_pruning</varname> configuration parameter</primary>
        </indexterm>
@@ -5669,15 +5579,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's ability to eliminate a
         partitioned table's partitions from query plans.  This also controls
         the planner's ability to generate query plans which allow the query
-        executor to remove (ignore) partitions during query execution.  The
-        default is <literal>on</literal>.
+        executor to remove (ignore) partitions during query execution.  
         See <xref linkend="ddl-partition-pruning"/> for details.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-partitionwise-join" xreflabel="enable_partitionwise_join">
-      <term><varname>enable_partitionwise_join</varname> (<type>boolean</type>)
+      <term><varname>enable_partitionwise_join</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_partitionwise_join</varname> configuration parameter</primary>
       </indexterm>
@@ -5695,13 +5604,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         number of partitions being scanned.  This can result in a large
         increase in overall memory consumption during the execution of the
         query.  Query planning also becomes significantly more expensive in
-        terms of memory and CPU.  The default value is <literal>off</literal>.
+        terms of memory and CPU.  
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-partitionwise-aggregate" xreflabel="enable_partitionwise_aggregate">
-      <term><varname>enable_partitionwise_aggregate</varname> (<type>boolean</type>)
+      <term><varname>enable_partitionwise_aggregate</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_partitionwise_aggregate</varname> configuration parameter</primary>
       </indexterm>
@@ -5719,14 +5628,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         linearly according to the number of partitions being scanned.  This
         can result in a large increase in overall memory consumption during
         the execution of the query.  Query planning also becomes significantly
-        more expensive in terms of memory and CPU.  The default value is
-        <literal>off</literal>.
+        more expensive in terms of memory and CPU.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-presorted-aggregate" xreflabel="enable_presorted_aggregate">
-      <term><varname>enable_presorted_aggregate</varname> (<type>boolean</type>)
+      <term><varname>enable_presorted_aggregate</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_presorted_aggregate</varname> configuration parameter</primary>
       </indexterm>
@@ -5742,8 +5650,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <literal>ORDER BY</literal> or <literal>DISTINCT</literal> clause.
         When enabled, the planner will try to produce a more efficient plan
         which provides input to the aggregate functions which is presorted in
-        the order they require for aggregation.  The default value is
-        <literal>on</literal>.
+        the order they require for aggregation.  
        </para>
       </listitem>
      </varlistentry>
@@ -5765,7 +5672,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-seqscan" xreflabel="enable_seqscan">
-      <term><varname>enable_seqscan</varname> (<type>boolean</type>)
+      <term><varname>enable_seqscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>sequential scan</primary>
       </indexterm>
@@ -5778,14 +5685,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's use of sequential scan
         plan types. It is impossible to suppress sequential scans
         entirely, but turning this variable off discourages the planner
-        from using one if there are other methods available. The
-        default is <literal>on</literal>.
+        from using one if there are other methods available.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-sort" xreflabel="enable_sort">
-      <term><varname>enable_sort</varname> (<type>boolean</type>)
+      <term><varname>enable_sort</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -5795,22 +5701,20 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Enables or disables the query planner's use of explicit sort
         steps. It is impossible to suppress explicit sorts entirely,
         but turning this variable off discourages the planner from
-        using one if there are other methods available. The default
-        is <literal>on</literal>.
+        using one if there are other methods available.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-enable-tidscan" xreflabel="enable_tidscan">
-      <term><varname>enable_tidscan</varname> (<type>boolean</type>)
+      <term><varname>enable_tidscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_tidscan</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables or disables the query planner's use of <acronym>TID</acronym>
-        scan plan types. The default is <literal>on</literal>.
+        Enables or disables the query planner's use of <acronym>TID</acronym> scan plan types. 
        </para>
       </listitem>
      </varlistentry>
@@ -5845,7 +5749,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-seq-page-cost" xreflabel="seq_page_cost">
-      <term><varname>seq_page_cost</varname> (<type>floating point</type>)
+      <term><varname>seq_page_cost</varname> (<type>floating point</type>) - default is 1.0
       <indexterm>
        <primary><varname>seq_page_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5853,7 +5757,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Sets the planner's estimate of the cost of a disk page fetch
-        that is part of a series of sequential fetches.  The default is 1.0.
+        that is part of a series of sequential fetches.  
         This value can be overridden for tables and indexes in a particular
         tablespace by setting the tablespace parameter of the same name
         (see <xref linkend="sql-altertablespace"/>).
@@ -5862,7 +5766,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-random-page-cost" xreflabel="random_page_cost">
-      <term><varname>random_page_cost</varname> (<type>floating point</type>)
+      <term><varname>random_page_cost</varname> (<type>floating point</type>) - default is 4.0
       <indexterm>
        <primary><varname>random_page_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5870,7 +5774,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Sets the planner's estimate of the cost of a
-        non-sequentially-fetched disk page.  The default is 4.0.
+        non-sequentially-fetched disk page.  
         This value can be overridden for tables and indexes in a particular
         tablespace by setting the tablespace parameter of the same name
         (see <xref linkend="sql-altertablespace"/>).
@@ -5887,8 +5791,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
 
        <para>
         Random access to mechanical disk storage is normally much more expensive
-        than four times sequential access.  However, a lower default is used
-        (4.0) because the majority of random accesses to disk, such as indexed
+        than four times sequential access.  However, a value of 4.0 is used
+        because the majority of random accesses to disk, such as indexed
         reads, are assumed to be in cache.  The default value can be thought of
         as modeling random access as 40 times slower than sequential, while
         expecting 90% of random reads to be cached.
@@ -5922,7 +5826,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-cpu-tuple-cost" xreflabel="cpu_tuple_cost">
-      <term><varname>cpu_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_tuple_cost</varname> (<type>floating point</type>) - default is 0.01
       <indexterm>
        <primary><varname>cpu_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5931,13 +5835,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of processing
         each row during a query.
-        The default is 0.01.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-cpu-index-tuple-cost" xreflabel="cpu_index_tuple_cost">
-      <term><varname>cpu_index_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_index_tuple_cost</varname> (<type>floating point</type>) - default is 0.005
       <indexterm>
        <primary><varname>cpu_index_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5946,13 +5849,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of processing
         each index entry during an index scan.
-        The default is 0.005.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-cpu-operator-cost" xreflabel="cpu_operator_cost">
-      <term><varname>cpu_operator_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_operator_cost</varname> (<type>floating point</type>) - default is 0.0025
       <indexterm>
        <primary><varname>cpu_operator_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5961,28 +5863,25 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of processing each
         operator or function executed during a query.
-        The default is 0.0025.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-parallel-setup-cost" xreflabel="parallel_setup_cost">
-      <term><varname>parallel_setup_cost</varname> (<type>floating point</type>)
+      <term><varname>parallel_setup_cost</varname> (<type>floating point</type>) - default is 1000
       <indexterm>
        <primary><varname>parallel_setup_cost</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Sets the planner's estimate of the cost of launching parallel worker
-        processes.
-        The default is 1000.
+        Sets the planner's estimate of the cost of launching parallel worker processes.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-parallel-tuple-cost" xreflabel="parallel_tuple_cost">
-      <term><varname>parallel_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>parallel_tuple_cost</varname> (<type>floating point</type>) - default is 0.1
       <indexterm>
        <primary><varname>parallel_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5991,13 +5890,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Sets the planner's estimate of the cost of transferring one tuple
         from a parallel worker process to another process.
-        The default is 0.1.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-min-parallel-table-scan-size" xreflabel="min_parallel_table_scan_size">
-      <term><varname>min_parallel_table_scan_size</varname> (<type>integer</type>)
+      <term><varname>min_parallel_table_scan_size</varname> (<type>integer</type>) - default is 8MB
       <indexterm>
        <primary><varname>min_parallel_table_scan_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6011,13 +5909,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         scanned will normally be less.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is 8 megabytes (<literal>8MB</literal>).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-min-parallel-index-scan-size" xreflabel="min_parallel_index_scan_size">
-      <term><varname>min_parallel_index_scan_size</varname> (<type>integer</type>)
+      <term><varname>min_parallel_index_scan_size</varname> (<type>integer</type>) - default is 512kb
       <indexterm>
        <primary><varname>min_parallel_index_scan_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6033,13 +5930,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <xref linkend="sql-vacuum"/>.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is 512 kilobytes (<literal>512kB</literal>).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-effective-cache-size" xreflabel="effective_cache_size">
-      <term><varname>effective_cache_size</varname> (<type>integer</type>)
+      <term><varname>effective_cache_size</varname> (<type>integer</type>) - default is 4GB
       <indexterm>
        <primary><varname>effective_cache_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6065,7 +5961,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         the disk cache between queries.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is 4 gigabytes (<literal>4GB</literal>).
         (If <symbol>BLCKSZ</symbol> is not 8kB, the default value scales
         proportionally to it.)
        </para>
@@ -6073,7 +5968,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-jit-above-cost" xreflabel="jit_above_cost">
-      <term><varname>jit_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_above_cost</varname> (<type>floating point</type>) - default is 100000
       <indexterm>
        <primary><varname>jit_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -6085,13 +5980,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Performing <acronym>JIT</acronym> costs planning time but can
         accelerate query execution.
         Setting this to <literal>-1</literal> disables JIT compilation.
-        The default is <literal>100000</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-inline-above-cost" xreflabel="jit_inline_above_cost">
-      <term><varname>jit_inline_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_inline_above_cost</varname> (<type>floating point</type>) - default is 500000
       <indexterm>
        <primary><varname>jit_inline_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -6103,13 +5997,12 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         improve execution speed.  It is not meaningful to set this to less
         than <varname>jit_above_cost</varname>.
         Setting this to <literal>-1</literal> disables inlining.
-        The default is <literal>500000</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-optimize-above-cost" xreflabel="jit_optimize_above_cost">
-      <term><varname>jit_optimize_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_optimize_above_cost</varname> (<type>floating point</type>) - default is 500000
       <indexterm>
        <primary><varname>jit_optimize_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -6123,7 +6016,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         beneficial to set it to more
         than <varname>jit_inline_above_cost</varname>.
         Setting this to <literal>-1</literal> disables expensive optimizations.
-        The default is <literal>500000</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -6146,7 +6038,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-geqo" xreflabel="geqo">
-      <term><varname>geqo</varname> (<type>boolean</type>)
+      <term><varname>geqo</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>genetic query optimization</primary>
       </indexterm>
@@ -6161,7 +6053,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       <listitem>
        <para>
         Enables or disables genetic query optimization.
-        This is on by default.  It is usually best not to turn it off in
+        It is usually best not to turn it off in
         production; the <varname>geqo_threshold</varname> variable provides
         more granular control of GEQO.
        </para>
@@ -6169,7 +6061,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-threshold" xreflabel="geqo_threshold">
-      <term><varname>geqo_threshold</varname> (<type>integer</type>)
+      <term><varname>geqo_threshold</varname> (<type>integer</type>) - default is 12
       <indexterm>
        <primary><varname>geqo_threshold</varname> configuration parameter</primary>
       </indexterm>
@@ -6179,7 +6071,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Use genetic query optimization to plan queries with at least
         this many <literal>FROM</literal> items involved. (Note that a
         <literal>FULL OUTER JOIN</literal> construct counts as only one <literal>FROM</literal>
-        item.) The default is 12. For simpler queries it is usually best
+        item.) For simpler queries it is usually best
         to use the regular, exhaustive-search planner, but for queries with
         many tables the exhaustive search takes too long, often
         longer than the penalty of executing a suboptimal plan.  Thus,
@@ -6190,7 +6082,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-effort" xreflabel="geqo_effort">
-      <term><varname>geqo_effort</varname> (<type>integer</type>)
+      <term><varname>geqo_effort</varname> (<type>integer</type>) - default is 5
       <indexterm>
        <primary><varname>geqo_effort</varname> configuration parameter</primary>
       </indexterm>
@@ -6199,7 +6091,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Controls the trade-off between planning time and query plan
         quality in GEQO. This variable must be an integer in the
-        range from 1 to 10. The default value is five. Larger values
+        range from 1 to 10. Larger values
         increase the time spent doing query planning, but also
         increase the likelihood that an efficient query plan will be
         chosen.
@@ -6216,7 +6108,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-pool-size" xreflabel="geqo_pool_size">
-      <term><varname>geqo_pool_size</varname> (<type>integer</type>)
+      <term><varname>geqo_pool_size</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>geqo_pool_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6226,7 +6118,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Controls the pool size used by GEQO, that is the
         number of individuals in the genetic population.  It must be
         at least two, and useful values are typically 100 to 1000.  If
-        it is set to zero (the default setting) then a suitable
+        it is set to zero then a suitable
         value is chosen based on <varname>geqo_effort</varname> and
         the number of tables in the query.
        </para>
@@ -6234,7 +6126,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-generations" xreflabel="geqo_generations">
-      <term><varname>geqo_generations</varname> (<type>integer</type>)
+      <term><varname>geqo_generations</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>geqo_generations</varname> configuration parameter</primary>
       </indexterm>
@@ -6244,15 +6136,14 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Controls the number of generations used by GEQO, that is
         the number of iterations of the algorithm.  It must
         be at least one, and useful values are in the same range as
-        the pool size.  If it is set to zero (the default setting)
-        then a suitable value is chosen based on
+        the pool size.  If it is set to 0 then a suitable value is chosen based on
         <varname>geqo_pool_size</varname>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-geqo-selection-bias" xreflabel="geqo_selection_bias">
-      <term><varname>geqo_selection_bias</varname> (<type>floating point</type>)
+      <term><varname>geqo_selection_bias</varname> (<type>floating point</type>) - default is 2.00
       <indexterm>
        <primary><varname>geqo_selection_bias</varname> configuration parameter</primary>
       </indexterm>
@@ -6261,13 +6152,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Controls the selection bias used by GEQO. The selection bias
         is the selective pressure within the population. Values can be
-        from 1.50 to 2.00; the latter is the default.
+        from 1.50 to 2.00.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-geqo-seed" xreflabel="geqo_seed">
-      <term><varname>geqo_seed</varname> (<type>floating point</type>)
+      <term><varname>geqo_seed</varname> (<type>floating point</type>) - default is 0
       <indexterm>
        <primary><varname>geqo_seed</varname> configuration parameter</primary>
       </indexterm>
@@ -6276,7 +6167,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         Controls the initial value of the random number generator used
         by GEQO to select random paths through the join order search space.
-        The value can range from zero (the default) to one.  Varying the
+        The value can range from 0 to 1.  Varying the
         value changes the set of join paths explored, and may result in a
         better or worse best path being found.
        </para>
@@ -6291,7 +6182,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-default-statistics-target" xreflabel="default_statistics_target">
-      <term><varname>default_statistics_target</varname> (<type>integer</type>)
+      <term><varname>default_statistics_target</varname> (<type>integer</type>) - default is 100
       <indexterm>
        <primary><varname>default_statistics_target</varname> configuration parameter</primary>
       </indexterm>
@@ -6302,7 +6193,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         a column-specific target set via <command>ALTER TABLE
         SET STATISTICS</command>.  Larger values increase the time needed to
         do <command>ANALYZE</command>, but might improve the quality of the
-        planner's estimates. The default is 100. For more information
+        planner's estimates. For more information
         on the use of statistics by the <productname>PostgreSQL</productname>
         query planner, refer to <xref linkend="planner-stats"/>.
        </para>
@@ -6310,7 +6201,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-constraint-exclusion" xreflabel="constraint_exclusion">
-      <term><varname>constraint_exclusion</varname> (<type>enum</type>)
+      <term><varname>constraint_exclusion</varname> (<type>enum</type>) - default is partition
       <indexterm>
        <primary>constraint exclusion</primary>
       </indexterm>
@@ -6327,7 +6218,6 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <literal>off</literal> (never examine constraints), and
         <literal>partition</literal> (examine constraints only for inheritance
         child tables and <literal>UNION ALL</literal> subqueries).
-        <literal>partition</literal> is the default setting.
         It is often used with traditional inheritance trees to improve
         performance.
       </para>
@@ -6371,7 +6261,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-cursor-tuple-fraction" xreflabel="cursor_tuple_fraction">
-      <term><varname>cursor_tuple_fraction</varname> (<type>floating point</type>)
+      <term><varname>cursor_tuple_fraction</varname> (<type>floating point</type>) - default is 0.1
       <indexterm>
        <primary><varname>cursor_tuple_fraction</varname> configuration parameter</primary>
       </indexterm>
@@ -6379,7 +6269,7 @@ SELECT * FROM parent WHERE key = 2400;
       <listitem>
        <para>
         Sets the planner's estimate of the fraction of a cursor's rows that
-        will be retrieved.  The default is 0.1.  Smaller values of this
+        will be retrieved.  Smaller values of this
         setting bias the planner towards using <quote>fast start</quote> plans
         for cursors, which will retrieve the first few rows quickly while
         perhaps taking a long time to fetch all rows.  Larger values
@@ -6392,7 +6282,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-from-collapse-limit" xreflabel="from_collapse_limit">
-      <term><varname>from_collapse_limit</varname> (<type>integer</type>)
+      <term><varname>from_collapse_limit</varname> (<type>integer</type>) - default is 8
       <indexterm>
        <primary><varname>from_collapse_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -6402,7 +6292,7 @@ SELECT * FROM parent WHERE key = 2400;
         The planner will merge sub-queries into upper queries if the
         resulting <literal>FROM</literal> list would have no more than
         this many items.  Smaller values reduce planning time but might
-        yield inferior query plans.  The default is eight.
+        yield inferior query plans.
         For more information see <xref linkend="explicit-joins"/>.
        </para>
 
@@ -6415,7 +6305,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-jit" xreflabel="jit">
-      <term><varname>jit</varname> (<type>boolean</type>)
+      <term><varname>jit</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>jit</varname> configuration parameter</primary>
       </indexterm>
@@ -6425,13 +6315,12 @@ SELECT * FROM parent WHERE key = 2400;
         Determines whether <acronym>JIT</acronym> compilation may be used by
         <productname>PostgreSQL</productname>, if available (see <xref
         linkend="jit"/>).
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-join-collapse-limit" xreflabel="join_collapse_limit">
-      <term><varname>join_collapse_limit</varname> (<type>integer</type>)
+      <term><varname>join_collapse_limit</varname> (<type>integer</type>) - default is the same as from_collapse_limit
       <indexterm>
        <primary><varname>join_collapse_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -6446,8 +6335,7 @@ SELECT * FROM parent WHERE key = 2400;
        </para>
 
        <para>
-        By default, this variable is set the same as
-        <varname>from_collapse_limit</varname>, which is appropriate
+        Being this value the same as <varname>from_collapse_limit</varname> is appropriate
         for most uses. Setting it to 1 prevents any reordering of
         explicit <literal>JOIN</literal>s. Thus, the explicit join order
         specified in the query will be the actual order in which the
@@ -6467,7 +6355,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-plan-cache-mode" xreflabel="plan_cache_mode">
-      <term><varname>plan_cache_mode</varname> (<type>enum</type>)
+      <term><varname>plan_cache_mode</varname> (<type>enum</type>) - default is auto
       <indexterm>
        <primary><varname>plan_cache_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -6484,7 +6372,7 @@ SELECT * FROM parent WHERE key = 2400;
         generic plan may be inefficient.  The choice between these options
         is normally made automatically, but it can be overridden
         with <varname>plan_cache_mode</varname>.
-        The allowed values are <literal>auto</literal> (the default),
+        The allowed values are <literal>auto</literal>,
         <literal>force_custom_plan</literal> and
         <literal>force_generic_plan</literal>.
         This setting is considered when a cached plan is to be executed,
@@ -6495,7 +6383,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-recursive-worktable-factor" xreflabel="recursive_worktable_factor">
-      <term><varname>recursive_worktable_factor</varname> (<type>floating point</type>)
+      <term><varname>recursive_worktable_factor</varname> (<type>floating point</type>) - default is 10.0
       <indexterm>
        <primary><varname>recursive_worktable_factor</varname> configuration parameter</primary>
       </indexterm>
@@ -6508,8 +6396,7 @@ SELECT * FROM parent WHERE key = 2400;
         non-recursive term of the query.  This helps the planner choose
         the most appropriate method for joining the working table to the
         query's other tables.
-        The default value is <literal>10.0</literal>.  A smaller value
-        such as <literal>1.0</literal> can be helpful when the recursion
+        A smaller value than the default, such as <literal>1.0</literal>, can be helpful when the recursion
         has low <quote>fan-out</quote> from one step to the next, as for
         example in shortest-path queries.  Graph analytics queries may
         benefit from larger-than-default values.
@@ -6543,7 +6430,7 @@ SELECT * FROM parent WHERE key = 2400;
      <variablelist>
 
      <varlistentry id="guc-log-destination" xreflabel="log_destination">
-      <term><varname>log_destination</varname> (<type>string</type>)
+      <term><varname>log_destination</varname> (<type>string</type>) - default is stderr
       <indexterm>
        <primary><varname>log_destination</varname> configuration parameter</primary>
       </indexterm>
@@ -6557,8 +6444,7 @@ SELECT * FROM parent WHERE key = 2400;
          <systemitem>syslog</systemitem>. On Windows,
          <systemitem>eventlog</systemitem> is also supported. Set this
          parameter to a list of desired log destinations separated by
-         commas. The default is to log to <systemitem>stderr</systemitem>
-         only.
+         commas. 
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
        </para>
@@ -6633,7 +6519,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-logging-collector" xreflabel="logging_collector">
-      <term><varname>logging_collector</varname> (<type>boolean</type>)
+      <term><varname>logging_collector</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>logging_collector</varname> configuration parameter</primary>
       </indexterm>
@@ -6680,7 +6566,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-directory" xreflabel="log_directory">
-      <term><varname>log_directory</varname> (<type>string</type>)
+      <term><varname>log_directory</varname> (<type>string</type>) - default is log
       <indexterm>
        <primary><varname>log_directory</varname> configuration parameter</primary>
       </indexterm>
@@ -6693,13 +6579,12 @@ local0.*    /var/log/postgresql
         cluster data directory.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>log</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-filename" xreflabel="log_filename">
-      <term><varname>log_filename</varname> (<type>string</type>)
+      <term><varname>log_filename</varname> (<type>string</type>) - default is postgresql-%Y-%m-%d_%H%M%S.log
       <indexterm>
        <primary><varname>log_filename</varname> configuration parameter</primary>
       </indexterm>
@@ -6720,7 +6605,6 @@ local0.*    /var/log/postgresql
         </ulink> specification.
         Note that the system's <function>strftime</function> is not used
         directly, so platform-specific (nonstandard) extensions do not work.
-        The default is <literal>postgresql-%Y-%m-%d_%H%M%S.log</literal>.
        </para>
        <para>
         If you specify a file name without escapes, you should plan to
@@ -6753,7 +6637,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-file-mode" xreflabel="log_file_mode">
-      <term><varname>log_file_mode</varname> (<type>integer</type>)
+      <term><varname>log_file_mode</varname> (<type>integer</type>) - default is 0600
       <indexterm>
        <primary><varname>log_file_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -6770,7 +6654,7 @@ local0.*    /var/log/postgresql
         must start with a <literal>0</literal> (zero).)
        </para>
        <para>
-        The default permissions are <literal>0600</literal>, meaning only the
+        Value of <literal>0600</literal>, meaning only the
         server owner can read or write the log files.  The other commonly
         useful setting is <literal>0640</literal>, allowing members of the owner's
         group to read the files.  Note however that to make use of such a
@@ -6787,7 +6671,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-rotation-age" xreflabel="log_rotation_age">
-      <term><varname>log_rotation_age</varname> (<type>integer</type>)
+      <term><varname>log_rotation_age</varname> (<type>integer</type>) - default is 24hours
       <indexterm>
        <primary><varname>log_rotation_age</varname> configuration parameter</primary>
       </indexterm>
@@ -6798,7 +6682,6 @@ local0.*    /var/log/postgresql
         this parameter determines the maximum amount of time to use an
         individual log file, after which a new log file will be created.
         If this value is specified without units, it is taken as minutes.
-        The default is 24 hours.
         Set to zero to disable time-based creation of new log files.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
@@ -6807,7 +6690,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-rotation-size" xreflabel="log_rotation_size">
-      <term><varname>log_rotation_size</varname> (<type>integer</type>)
+      <term><varname>log_rotation_size</varname> (<type>integer</type>) - default is 10MB
       <indexterm>
        <primary><varname>log_rotation_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6819,7 +6702,6 @@ local0.*    /var/log/postgresql
         After this amount of data has been emitted into a log file,
         a new log file will be created.
         If this value is specified without units, it is taken as kilobytes.
-        The default is 10 megabytes.
         Set to zero to disable size-based creation of new log files.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
@@ -6828,7 +6710,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-truncate-on-rotation" xreflabel="log_truncate_on_rotation">
-      <term><varname>log_truncate_on_rotation</varname> (<type>boolean</type>)
+      <term><varname>log_truncate_on_rotation</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_truncate_on_rotation</varname> configuration parameter</primary>
       </indexterm>
@@ -6871,7 +6753,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-syslog-facility" xreflabel="syslog_facility">
-      <term><varname>syslog_facility</varname> (<type>enum</type>)
+      <term><varname>syslog_facility</varname> (<type>enum</type>) - default is LOCAL0
       <indexterm>
        <primary><varname>syslog_facility</varname> configuration parameter</primary>
       </indexterm>
@@ -6884,9 +6766,7 @@ local0.*    /var/log/postgresql
         from <literal>LOCAL0</literal>, <literal>LOCAL1</literal>,
         <literal>LOCAL2</literal>, <literal>LOCAL3</literal>, <literal>LOCAL4</literal>,
         <literal>LOCAL5</literal>, <literal>LOCAL6</literal>, <literal>LOCAL7</literal>;
-        the default is <literal>LOCAL0</literal>. See also the
-        documentation of your system's
-        <application>syslog</application> daemon.
+        See also the documentation of your system's <application>syslog</application> daemon.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -6894,7 +6774,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-syslog-ident" xreflabel="syslog_ident">
-      <term><varname>syslog_ident</varname> (<type>string</type>)
+      <term><varname>syslog_ident</varname> (<type>string</type>) - default is postgres
       <indexterm>
        <primary><varname>syslog_ident</varname> configuration parameter</primary>
       </indexterm>
@@ -6904,8 +6784,7 @@ local0.*    /var/log/postgresql
          When logging to <application>syslog</application> is enabled, this parameter
          determines the program name used to identify
          <productname>PostgreSQL</productname> messages in
-         <application>syslog</application> logs. The default is
-         <literal>postgres</literal>.
+         <application>syslog</application> logs.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
@@ -6913,7 +6792,7 @@ local0.*    /var/log/postgresql
       </varlistentry>
 
       <varlistentry id="guc-syslog-sequence-numbers" xreflabel="syslog_sequence_numbers">
-       <term><varname>syslog_sequence_numbers</varname> (<type>boolean</type>)
+       <term><varname>syslog_sequence_numbers</varname> (<type>boolean</type>) - default is on
         <indexterm>
          <primary><varname>syslog_sequence_numbers</varname> configuration parameter</primary>
         </indexterm>
@@ -6921,8 +6800,8 @@ local0.*    /var/log/postgresql
 
        <listitem>
         <para>
-         When logging to <application>syslog</application> and this is on (the
-         default), then each message will be prefixed by an increasing
+         When logging to <application>syslog</application> and this is on, 
+		 then each message will be prefixed by an increasing
          sequence number (such as <literal>[2]</literal>).  This circumvents
          the <quote>--- last message repeated N times ---</quote> suppression
          that many syslog implementations perform by default.  In more modern
@@ -6941,7 +6820,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-syslog-split-messages" xreflabel="syslog_split_messages">
-      <term><varname>syslog_split_messages</varname> (<type>boolean</type>)
+      <term><varname>syslog_split_messages</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>syslog_split_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -6949,8 +6828,8 @@ local0.*    /var/log/postgresql
       <listitem>
        <para>
         When logging to <application>syslog</application> is enabled, this parameter
-        determines how messages are delivered to syslog.  When on (the
-        default), messages are split by lines, and long lines are split so
+        determines how messages are delivered to syslog.  When this value is on, 
+		messages are split by lines, and long lines are split so
         that they will fit into 1024 bytes, which is a typical size limit for
         traditional syslog implementations.  When off, PostgreSQL server log
         messages are delivered to the syslog service as is, and it is up to
@@ -6974,7 +6853,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-event-source" xreflabel="event_source">
-      <term><varname>event_source</varname> (<type>string</type>)
+      <term><varname>event_source</varname> (<type>string</type>) - default is PostgreSQL
       <indexterm>
        <primary><varname>event_source</varname> configuration parameter</primary>
       </indexterm>
@@ -6984,7 +6863,7 @@ local0.*    /var/log/postgresql
         When logging to <application>event log</application> is enabled, this parameter
         determines the program name used to identify
         <productname>PostgreSQL</productname> messages in
-        the log. The default is <literal>PostgreSQL</literal>.
+        the log. 
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -6999,7 +6878,7 @@ local0.*    /var/log/postgresql
      <variablelist>
 
      <varlistentry id="guc-log-min-messages" xreflabel="log_min_messages">
-      <term><varname>log_min_messages</varname> (<type>enum</type>)
+      <term><varname>log_min_messages</varname> (<type>enum</type>) - default is WARNING
       <indexterm>
        <primary><varname>log_min_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -7014,8 +6893,7 @@ local0.*    /var/log/postgresql
         <literal>ERROR</literal>, <literal>LOG</literal>, <literal>FATAL</literal>, and
         <literal>PANIC</literal>.  Each level includes all the levels that
         follow it.  The later the level, the fewer messages are sent
-        to the log.  The default is <literal>WARNING</literal>.  Note that
-        <literal>LOG</literal> has a different rank here than in
+        to the log.  Note that <literal>LOG</literal> has a different rank here than in
         <xref linkend="guc-client-min-messages"/>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
@@ -7024,7 +6902,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-min-error-statement" xreflabel="log_min_error_statement">
-      <term><varname>log_min_error_statement</varname> (<type>enum</type>)
+      <term><varname>log_min_error_statement</varname> (<type>enum</type>) - default is ERROR
       <indexterm>
        <primary><varname>log_min_error_statement</varname> configuration parameter</primary>
       </indexterm>
@@ -7044,7 +6922,7 @@ local0.*    /var/log/postgresql
         <literal>WARNING</literal>, <literal>ERROR</literal>,
         <literal>LOG</literal>,
         <literal>FATAL</literal>, and <literal>PANIC</literal>.
-        The default is <literal>ERROR</literal>, which means statements
+        Using <literal>ERROR</literal>, which means statements
         causing errors, log messages, fatal errors, or panics will be logged.
         To effectively turn off logging of failing statements,
         set this parameter to <literal>PANIC</literal>.
@@ -7055,7 +6933,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-min-duration-statement" xreflabel="log_min_duration_statement">
-      <term><varname>log_min_duration_statement</varname> (<type>integer</type>)
+      <term><varname>log_min_duration_statement</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>log_min_duration_statement</varname> configuration parameter</primary>
       </indexterm>
@@ -7070,8 +6948,7 @@ local0.*    /var/log/postgresql
          unoptimized queries in your applications.
          If this value is specified without units, it is taken as milliseconds.
          Setting this to zero prints all statement durations.
-         <literal>-1</literal> (the default) disables logging statement
-         durations.
+         <literal>-1</literal> disables logging statement durations.
          Only superusers and users with the appropriate <literal>SET</literal>
          privilege can change this setting.
         </para>
@@ -7105,7 +6982,7 @@ local0.*    /var/log/postgresql
       </varlistentry>
 
      <varlistentry id="guc-log-min-duration-sample" xreflabel="log_min_duration_sample">
-      <term><varname>log_min_duration_sample</varname> (<type>integer</type>)
+      <term><varname>log_min_duration_sample</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>log_min_duration_sample</varname> configuration parameter</primary>
       </indexterm>
@@ -7124,8 +7001,7 @@ local0.*    /var/log/postgresql
          traffic is too high to log all queries.
          If this value is specified without units, it is taken as milliseconds.
          Setting this to zero samples all statement durations.
-         <literal>-1</literal> (the default) disables sampling statement
-         durations.
+         <literal>-1</literal> disables sampling statement durations.
          Only superusers and users with the appropriate <literal>SET</literal>
          privilege can change this setting.
         </para>
@@ -7146,7 +7022,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-statement-sample-rate" xreflabel="log_statement_sample_rate">
-      <term><varname>log_statement_sample_rate</varname> (<type>floating point</type>)
+      <term><varname>log_statement_sample_rate</varname> (<type>floating point</type>) - default is 1.0
       <indexterm>
        <primary><varname>log_statement_sample_rate</varname> configuration parameter</primary>
       </indexterm>
@@ -7158,7 +7034,7 @@ local0.*    /var/log/postgresql
          Sampling is stochastic, for example <literal>0.5</literal> means
          there is statistically one chance in two that any given statement
          will be logged.
-         The default is <literal>1.0</literal>, meaning to log all sampled
+         Value of <literal>1.0</literal>, meaning to log all sampled
          statements.
          Setting this to zero disables sampled statement-duration logging,
          the same as setting
@@ -7171,7 +7047,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-transaction-sample-rate" xreflabel="log_transaction_sample_rate">
-      <term><varname>log_transaction_sample_rate</varname> (<type>floating point</type>)
+      <term><varname>log_transaction_sample_rate</varname> (<type>floating point</type>) - default is 0
       <indexterm>
        <primary><varname>log_transaction_sample_rate</varname> configuration parameter</primary>
       </indexterm>
@@ -7186,7 +7062,7 @@ local0.*    /var/log/postgresql
          will be logged.
          <varname>log_transaction_sample_rate</varname> can be helpful to
          construct a sample of transactions.
-         The default is <literal>0</literal>, meaning not to log
+         If this value is set to <literal>0</literal> means not to log
          statements from any additional transactions.  Setting this
          to <literal>1</literal> logs all statements of all transactions.
          Only superusers and users with the appropriate <literal>SET</literal>
@@ -7202,7 +7078,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-startup-progress-interval" xreflabel="log_startup_progress_interval">
-      <term><varname>log_startup_progress_interval</varname> (<type>integer</type>)
+      <term><varname>log_startup_progress_interval</varname> (<type>integer</type>) - default is 10 seconds
       <indexterm>
        <primary><varname>log_startup_progress_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -7212,7 +7088,7 @@ local0.*    /var/log/postgresql
          Sets the amount of time after which the startup process will log
          a message about a long-running operation that is still in progress,
          as well as the interval between further progress messages for that
-         operation. The default is 10 seconds. A setting of <literal>0</literal>
+         operation. A setting of <literal>0</literal>
          disables the feature.  If this value is specified without units,
          it is taken as milliseconds.  This setting is applied separately to
          each operation.
@@ -7223,7 +7099,7 @@ local0.*    /var/log/postgresql
         <para>
          For example, if syncing the data directory takes 25 seconds and
          thereafter resetting unlogged relations takes 8 seconds, and if this
-         setting has the default value of 10 seconds, then a messages will be
+         value is set to 10 seconds, then a messages will be
          logged for syncing the data directory after it has been in progress
          for 10 seconds and again after it has been in progress for 20 seconds,
          but nothing will be logged for resetting unlogged relations.
@@ -7360,17 +7236,17 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-debug-print-parse">
-      <term><varname>debug_print_parse</varname> (<type>boolean</type>)
+      <term><varname>debug_print_parse</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_parse</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>debug_print_rewritten</varname> (<type>boolean</type>)
+      <term><varname>debug_print_rewritten</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_rewritten</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>debug_print_plan</varname> (<type>boolean</type>)
+      <term><varname>debug_print_plan</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_plan</varname> configuration parameter</primary>
       </indexterm>
@@ -7385,13 +7261,12 @@ local0.*    /var/log/postgresql
         client.  You can change that by adjusting
         <xref linkend="guc-client-min-messages"/> and/or
         <xref linkend="guc-log-min-messages"/>.
-        These parameters are off by default.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-debug-pretty-print">
-      <term><varname>debug_pretty_print</varname> (<type>boolean</type>)
+      <term><varname>debug_pretty_print</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>debug_pretty_print</varname> configuration parameter</primary>
       </indexterm>
@@ -7403,13 +7278,13 @@ local0.*    /var/log/postgresql
         <varname>debug_print_rewritten</varname>, or
         <varname>debug_print_plan</varname>.  This results in more readable
         but much longer output than the <quote>compact</quote> format used when
-        it is off.  It is on by default.
+        it is off.  
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-autovacuum-min-duration" xreflabel="log_autovacuum_min_duration">
-      <term><varname>log_autovacuum_min_duration</varname> (<type>integer</type>)
+      <term><varname>log_autovacuum_min_duration</varname> (<type>integer</type>) - default is 10 minutes
       <indexterm>
        <primary><varname>log_autovacuum_min_duration</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -7426,7 +7301,7 @@ local0.*    /var/log/postgresql
         250ms or longer will be logged.  In addition, when this parameter is
         set to any value other than <literal>-1</literal>, a message will be
         logged if an autovacuum action is skipped due to a conflicting lock or a
-        concurrently dropped relation. The default is <literal>10min</literal>.
+        concurrently dropped relation. 
         Enabling this parameter can be helpful in tracking autovacuum activity.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line; but the setting can be overridden for
@@ -7436,7 +7311,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-checkpoints" xreflabel="log_checkpoints">
-      <term><varname>log_checkpoints</varname> (<type>boolean</type>)
+      <term><varname>log_checkpoints</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>log_checkpoints</varname> configuration parameter</primary>
       </indexterm>
@@ -7447,13 +7322,13 @@ local0.*    /var/log/postgresql
         Some statistics are included in the log messages, including the number
         of buffers written and the time spent writing them.
         This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line. The default is on.
+        file or on the server command line. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-connections" xreflabel="log_connections">
-      <term><varname>log_connections</varname> (<type>string</type>)
+      <term><varname>log_connections</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -7566,7 +7441,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-disconnections" xreflabel="log_disconnections">
-      <term><varname>log_disconnections</varname> (<type>boolean</type>)
+      <term><varname>log_disconnections</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_disconnections</varname> configuration parameter</primary>
       </indexterm>
@@ -7579,14 +7454,13 @@ local0.*    /var/log/postgresql
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this parameter at session start,
         and it cannot be changed at all within a session.
-        The default is <literal>off</literal>.
        </para>
       </listitem>
      </varlistentry>
 
 
      <varlistentry id="guc-log-duration" xreflabel="log_duration">
-      <term><varname>log_duration</varname> (<type>boolean</type>)
+      <term><varname>log_duration</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_duration</varname> configuration parameter</primary>
       </indexterm>
@@ -7594,7 +7468,6 @@ local0.*    /var/log/postgresql
       <listitem>
        <para>
         Causes the duration of every completed statement to be logged.
-        The default is <literal>off</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -7621,7 +7494,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-error-verbosity" xreflabel="log_error_verbosity">
-      <term><varname>log_error_verbosity</varname> (<type>enum</type>)
+      <term><varname>log_error_verbosity</varname> (<type>enum</type>) - default is DEFAULT
       <indexterm>
        <primary><varname>log_error_verbosity</varname> configuration parameter</primary>
       </indexterm>
@@ -7644,7 +7517,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-hostname" xreflabel="log_hostname">
-      <term><varname>log_hostname</varname> (<type>boolean</type>)
+      <term><varname>log_hostname</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_hostname</varname> configuration parameter</primary>
       </indexterm>
@@ -7662,7 +7535,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-line-prefix" xreflabel="log_line_prefix">
-      <term><varname>log_line_prefix</varname> (<type>string</type>)
+      <term><varname>log_line_prefix</varname> (<type>string</type>) - default is %m [%p] %q%u@%d 
       <indexterm>
        <primary><varname>log_line_prefix</varname> configuration parameter</primary>
       </indexterm>
@@ -7687,8 +7560,8 @@ local0.*    /var/log/postgresql
 
        <para>
          This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line. The default is
-         <literal>'%m [%p] '</literal> which logs a time stamp and the process ID.
+         file or on the server command line. If this value is set to its default then
+         log will have a time stamp and the process ID.
        </para>
 
          <informaltable>
@@ -7890,7 +7763,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-lock-waits" xreflabel="log_lock_waits">
-      <term><varname>log_lock_waits</varname> (<type>boolean</type>)
+      <term><varname>log_lock_waits</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_lock_waits</varname> configuration parameter</primary>
       </indexterm>
@@ -7900,7 +7773,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Controls whether a log message is produced when a session waits
         longer than <xref linkend="guc-deadlock-timeout"/> to acquire a
         lock.  This is useful in determining if lock waits are causing
-        poor performance.  The default is <literal>off</literal>.
+        poor performance.  
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -7928,7 +7801,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
 
 
      <varlistentry id="guc-log-recovery-conflict-waits" xreflabel="log_recovery_conflict_waits">
-      <term><varname>log_recovery_conflict_waits</varname> (<type>boolean</type>)
+      <term><varname>log_recovery_conflict_waits</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_recovery_conflict_waits</varname> configuration parameter</primary>
       </indexterm>
@@ -7942,7 +7815,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
        </para>
 
        <para>
-        The default is <literal>off</literal>.  This parameter can only be set
+        This parameter can only be set
         in the <filename>postgresql.conf</filename> file or on the server
         command line.
        </para>
@@ -7950,7 +7823,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-parameter-max-length" xreflabel="log_parameter_max_length">
-      <term><varname>log_parameter_max_length</varname> (<type>integer</type>)
+      <term><varname>log_parameter_max_length</varname> (<type>integer</type>)  - default is -1
       <indexterm>
        <primary><varname>log_parameter_max_length</varname> configuration parameter</primary>
       </indexterm>
@@ -7960,7 +7833,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         If greater than zero, each bind parameter value logged with a
         non-error statement-logging message is trimmed to this many bytes.
         Zero disables logging of bind parameters for non-error statement logs.
-        <literal>-1</literal> (the default) allows bind parameters to be
+        Value of <literal>-1</literal> allows bind parameters to be
         logged in full.
         If this value is specified without units, it is taken as bytes.
         Only superusers and users with the appropriate <literal>SET</literal>
@@ -7978,7 +7851,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-parameter-max-length-on-error" xreflabel="log_parameter_max_length_on_error">
-      <term><varname>log_parameter_max_length_on_error</varname> (<type>integer</type>)
+      <term><varname>log_parameter_max_length_on_error</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>log_parameter_max_length_on_error</varname> configuration parameter</primary>
       </indexterm>
@@ -7987,8 +7860,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
        <para>
         If greater than zero, each bind parameter value reported in error
         messages is trimmed to this many bytes.
-        Zero (the default) disables including bind parameters in error
-        messages.
+        Value of 0 disables including bind parameters in error messages.
         <literal>-1</literal> allows bind parameters to be printed in full.
         If this value is specified without units, it is taken as bytes.
        </para>
@@ -8006,7 +7878,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-statement" xreflabel="log_statement">
-      <term><varname>log_statement</varname> (<type>enum</type>)
+      <term><varname>log_statement</varname> (<type>enum</type>) - default is none
       <indexterm>
        <primary><varname>log_statement</varname> configuration parameter</primary>
       </indexterm>
@@ -8031,7 +7903,6 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
        </para>
 
        <para>
-        The default is <literal>none</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -8056,7 +7927,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-replication-commands" xreflabel="log_replication_commands">
-      <term><varname>log_replication_commands</varname> (<type>boolean</type>)
+      <term><varname>log_replication_commands</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_replication_commands</varname> configuration parameter</primary>
       </indexterm>
@@ -8066,15 +7937,14 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Causes each replication command and <literal>walsender</literal>
         process's replication slot acquisition/release to be logged in the
         server log. See <xref linkend="protocol-replication"/> for more
-        information about replication command. The default value is
-        <literal>off</literal>. Only superusers and users with the appropriate
+        information about replication command. Only superusers and users with the appropriate
         <literal>SET</literal> privilege can change this setting.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-log-temp-files" xreflabel="log_temp_files">
-      <term><varname>log_temp_files</varname> (<type>integer</type>)
+      <term><varname>log_temp_files</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>log_temp_files</varname> configuration parameter</primary>
       </indexterm>
@@ -8090,7 +7960,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         values log only files whose size is greater than or equal to
         the specified amount of data.
         If this value is specified without units, it is taken as kilobytes.
-        The default setting is -1, which disables such logging.
+        Setting this value to -1 disables such logging.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -8098,7 +7968,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-timezone" xreflabel="log_timezone">
-      <term><varname>log_timezone</varname> (<type>string</type>)
+      <term><varname>log_timezone</varname> (<type>string</type>) - default is GMT
       <indexterm>
        <primary><varname>log_timezone</varname> configuration parameter</primary>
       </indexterm>
@@ -8119,7 +7989,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-md5-password-warnings" xreflabel="md5_password_warnings">
-      <term><varname>md5_password_warnings</varname> (<type>boolean</type>)
+      <term><varname>md5_password_warnings</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>md5_password_warnings</varname> configuration parameter</primary>
       </indexterm>
@@ -8129,7 +7999,6 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Controls whether a <literal>WARNING</literal> about MD5 password
         deprecation is produced when a <command>CREATE ROLE</command> or
         <command>ALTER ROLE</command> statement sets an MD5-encrypted password.
-        The default value is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -8460,7 +8329,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
     <variablelist>
      <varlistentry id="guc-cluster-name" xreflabel="cluster_name">
-      <term><varname>cluster_name</varname> (<type>string</type>)
+      <term><varname>cluster_name</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>cluster_name</varname> configuration parameter</primary>
       </indexterm>
@@ -8481,15 +8350,14 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <varname>cluster_name</varname> value.
         Other characters are replaced with <link
         linkend="sql-syntax-strings-escape">C-style hexadecimal escapes</link>.
-        No name is shown if this parameter is set to the empty string
-        <literal>''</literal> (which is the default).
+        No name is shown if this parameter is set to an empty string.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-update-process-title" xreflabel="update_process_title">
-      <term><varname>update_process_title</varname> (<type>boolean</type>)
+      <term><varname>update_process_title</varname> (<type>boolean</type>) - default is on on Windows, otherwise off
       <indexterm>
        <primary><varname>update_process_title</varname> configuration parameter</primary>
       </indexterm>
@@ -8498,7 +8366,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         Enables updating of the process title every time a new SQL command
         is received by the server.
-        This setting defaults to <literal>on</literal> on most platforms, but it
+        Usual value is <literal>on</literal> on most platforms, but it
         defaults to <literal>off</literal> on Windows due to that platform's larger
         overhead for updating the process title.
         Only superusers and users with the appropriate <literal>SET</literal>
@@ -8527,7 +8395,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
      <varlistentry id="guc-track-activities" xreflabel="track_activities">
-      <term><varname>track_activities</varname> (<type>boolean</type>)
+      <term><varname>track_activities</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>track_activities</varname> configuration parameter</primary>
       </indexterm>
@@ -8536,8 +8404,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         Enables the collection of information on the currently
         executing command of each session, along with its identifier and the
-        time when that command began execution. This parameter is on by
-        default. Note that even when enabled, this information is only
+        time when that command began execution. Note that even when enabled, this information is only
         visible to superusers, roles with privileges of the
         <literal>pg_read_all_stats</literal> role and the user owning the
         sessions being reported on (including sessions belonging to a role they
@@ -8549,7 +8416,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-activity-query-size" xreflabel="track_activity_query_size">
-      <term><varname>track_activity_query_size</varname> (<type>integer</type>)
+      <term><varname>track_activity_query_size</varname> (<type>integer</type>) - default is 1024 bytes
       <indexterm>
        <primary><varname>track_activity_query_size</varname> configuration parameter</primary>
       </indexterm>
@@ -8560,14 +8427,13 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        currently executing command for each active session, for the
        <structname>pg_stat_activity</structname>.<structfield>query</structfield> field.
        If this value is specified without units, it is taken as bytes.
-       The default value is 1024 bytes.
        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-track-counts" xreflabel="track_counts">
-      <term><varname>track_counts</varname> (<type>boolean</type>)
+      <term><varname>track_counts</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>track_counts</varname> configuration parameter</primary>
       </indexterm>
@@ -8575,7 +8441,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       <listitem>
        <para>
         Enables collection of statistics on database activity.
-        This parameter is on by default, because the autovacuum
+        This parameter is usually on because the autovacuum
         daemon needs the collected information.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
@@ -8584,7 +8450,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-cost-delay-timing" xreflabel="track_cost_delay_timing">
-      <term><varname>track_cost_delay_timing</varname> (<type>boolean</type>)
+      <term><varname>track_cost_delay_timing</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>track_cost_delay_timing</varname> configuration parameter</primary>
       </indexterm>
@@ -8592,8 +8458,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       <listitem>
        <para>
         Enables timing of cost-based vacuum delay (see
-        <xref linkend="runtime-config-resource-vacuum-cost"/>).  This parameter
-        is off by default, as it will repeatedly query the operating system for
+        <xref linkend="runtime-config-resource-vacuum-cost"/>). If it's set to off,
+		as it will repeatedly query the operating system for
         the current time, which may cause significant overhead on some
         platforms.  You can use the <xref linkend="pgtesttiming"/> tool to
         measure the overhead of timing on your system.  Cost-based vacuum delay
@@ -8611,15 +8477,15 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-io-timing" xreflabel="track_io_timing">
-      <term><varname>track_io_timing</varname> (<type>boolean</type>)
+      <term><varname>track_io_timing</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>track_io_timing</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables timing of database I/O waits.  This parameter is off by
-        default, as it will repeatedly query the operating system for
+        Enables timing of database I/O waits. If it's set to off,
+        as it will repeatedly query the operating system for
         the current time, which may cause significant overhead on some
         platforms.  You can use the <xref linkend="pgtesttiming"/> tool to
         measure the overhead of timing on your system.
@@ -8645,15 +8511,15 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-wal-io-timing" xreflabel="track_wal_io_timing">
-      <term><varname>track_wal_io_timing</varname> (<type>boolean</type>)
+      <term><varname>track_wal_io_timing</varname> (<type>boolean</type>) - default is none
       <indexterm>
        <primary><varname>track_wal_io_timing</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Enables timing of WAL I/O waits. This parameter is off by default,
-        as it will repeatedly query the operating system for the current time,
+        Enables timing of WAL I/O waits. If default is used, 
+        it will repeatedly query the operating system for the current time,
         which may cause significant overhead on some platforms.
         You can use the <application>pg_test_timing</application> tool to
         measure the overhead of timing on your system.
@@ -8671,7 +8537,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-track-functions" xreflabel="track_functions">
-      <term><varname>track_functions</varname> (<type>enum</type>)
+      <term><varname>track_functions</varname> (<type>enum</type>) - default is none
       <indexterm>
        <primary><varname>track_functions</varname> configuration parameter</primary>
       </indexterm>
@@ -8681,7 +8547,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         Enables tracking of function call counts and time used. Specify
         <literal>pl</literal> to track only procedural-language functions,
         <literal>all</literal> to also track SQL and C language functions.
-        The default is <literal>none</literal>, which disables function
+        If <literal>none</literal> is used, which disables function
         statistics tracking.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
@@ -8698,7 +8564,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-stats-fetch-consistency" xreflabel="stats_fetch_consistency">
-      <term><varname>stats_fetch_consistency</varname> (<type>enum</type>)
+      <term><varname>stats_fetch_consistency</varname> (<type>enum</type>) - default is cache
       <indexterm>
        <primary><varname>stats_fetch_consistency</varname> configuration parameter</primary>
       </indexterm>
@@ -8716,7 +8582,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         the end of the transaction unless
         <function>pg_stat_clear_snapshot()</function> is called. Changing this
         parameter in a transaction discards the statistics snapshot.
-        The default is <literal>cache</literal>.
        </para>
        <note>
         <para>
@@ -8740,7 +8605,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
      <varlistentry id="guc-compute-query-id" xreflabel="compute_query_id">
-      <term><varname>compute_query_id</varname> (<type>enum</type>)
+      <term><varname>compute_query_id</varname> (<type>enum</type>) - default is auto
       <indexterm>
        <primary><varname>compute_query_id</varname> configuration parameter</primary>
       </indexterm>
@@ -8764,7 +8629,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         has the same effect as <literal>auto</literal>, except that the
         query identifier is not shown in the <literal>EXPLAIN</literal> output
         in order to facilitate automated regression testing.
-        The default is <literal>auto</literal>.
        </para>
        <note>
         <para>
@@ -8776,23 +8640,53 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </listitem>
      </varlistentry>
 
+     <varlistentry id="guc-query-id-squash-values" xreflabel="query_id_squash_values">
+      <term><varname>query_id_squash_values</varname> (<type>bool</type>)
+      <indexterm>
+       <primary><varname>query_id_squash_values</varname> configuration parameter</primary>
+      </indexterm>
+      </term>
+      <listitem>
+       <para>
+        Specifies how a list of constants (e.g., for an <literal>IN</literal>
+        clause) contributes to the query identifier computation.
+        Normally, every element of such a list contributes to the query
+        identifier separately, which means that two queries that only differ
+        in the number of elements in such a list would get different query
+        identifiers.
+        If this parameter is on, a list of constants will not contribute
+        to the query identifier. This means that two queries whose only
+        difference is the number of constants in such a list are going to get the
+        same query identifier.
+       </para>
+       <para>
+        Only constants are affected; bind parameters do not benefit from this
+        functionality. The default value is <literal>off</literal>.
+       </para>
+       <para>
+        This parameter also affects how <xref linkend="pgstatstatements"/>
+        generates normalized query texts.
+       </para>
+      </listitem>
+     </varlistentry>
+
      <varlistentry id="guc-log-statement-stats">
-      <term><varname>log_statement_stats</varname> (<type>boolean</type>)
+      <term><varname>log_statement_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_statement_stats</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>log_parser_stats</varname> (<type>boolean</type>)
+      <term><varname>log_parser_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_parser_stats</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>log_planner_stats</varname> (<type>boolean</type>)
+      <term><varname>log_planner_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_planner_stats</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>log_executor_stats</varname> (<type>boolean</type>)
+      <term><varname>log_executor_stats</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_executor_stats</varname> configuration parameter</primary>
       </indexterm>
@@ -8805,8 +8699,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         system facility.  <varname>log_statement_stats</varname> reports total
         statement statistics, while the others report per-module statistics.
         <varname>log_statement_stats</varname> cannot be enabled together with
-        any of the per-module options.  All of these options are disabled by
-        default.
+        any of the per-module options. 
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change these settings.
        </para>
@@ -8844,7 +8737,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
       <varlistentry id="guc-autovacuum" xreflabel="autovacuum">
-       <term><varname>autovacuum</varname> (<type>boolean</type>)
+       <term><varname>autovacuum</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>autovacuum</varname> configuration parameter</primary>
        </indexterm>
@@ -8852,7 +8745,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <listitem>
         <para>
          Controls whether the server should run the
-         autovacuum launcher daemon.  This is on by default; however,
+         autovacuum launcher daemon. Even if this is on,
          <xref linkend="guc-track-counts"/> must also be enabled for
          autovacuum to work.
          This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -8889,7 +8782,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-max-workers" xreflabel="autovacuum_max_workers">
-       <term><varname>autovacuum_max_workers</varname> (<type>integer</type>)
+       <term><varname>autovacuum_max_workers</varname> (<type>integer</type>) - default is 3
        <indexterm>
         <primary><varname>autovacuum_max_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -8911,7 +8804,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-naptime" xreflabel="autovacuum_naptime">
-       <term><varname>autovacuum_naptime</varname> (<type>integer</type>)
+       <term><varname>autovacuum_naptime</varname> (<type>integer</type>) - default is 1 minute
        <indexterm>
         <primary><varname>autovacuum_naptime</varname> configuration parameter</primary>
        </indexterm>
@@ -8923,7 +8816,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          database and issues <command>VACUUM</command> and <command>ANALYZE</command> commands
          as needed for tables in that database.
          If this value is specified without units, it is taken as seconds.
-         The default is one minute (<literal>1min</literal>).
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
@@ -8931,7 +8823,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-threshold" xreflabel="autovacuum_vacuum_threshold">
-       <term><varname>autovacuum_vacuum_threshold</varname> (<type>integer</type>)
+       <term><varname>autovacuum_vacuum_threshold</varname> (<type>integer</type>) - default is 50 tuples
        <indexterm>
         <primary><varname>autovacuum_vacuum_threshold</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -8941,7 +8833,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the minimum number of updated or deleted tuples needed
          to trigger a <command>VACUUM</command> in any one table.
-         The default is 50 tuples.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line;
          but the setting can be overridden for individual tables by
@@ -8951,7 +8842,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-insert-threshold" xreflabel="autovacuum_vacuum_insert_threshold">
-       <term><varname>autovacuum_vacuum_insert_threshold</varname> (<type>integer</type>)
+       <term><varname>autovacuum_vacuum_insert_threshold</varname> (<type>integer</type>) - default is 1000 tuples
        <indexterm>
         <primary><varname>autovacuum_vacuum_insert_threshold</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -8961,7 +8852,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the number of inserted tuples needed to trigger a
          <command>VACUUM</command> in any one table.
-         The default is 1000 tuples.  If -1 is specified, autovacuum will not
+         If -1 is specified, autovacuum will not
          trigger a <command>VACUUM</command> operation on any tables based on
          the number of inserts.
          This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -8973,7 +8864,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-analyze-threshold" xreflabel="autovacuum_analyze_threshold">
-       <term><varname>autovacuum_analyze_threshold</varname> (<type>integer</type>)
+       <term><varname>autovacuum_analyze_threshold</varname> (<type>integer</type>) - default is 50 tuples
        <indexterm>
         <primary><varname>autovacuum_analyze_threshold</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -8983,7 +8874,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the minimum number of inserted, updated or deleted tuples
          needed to trigger an <command>ANALYZE</command> in any one table.
-         The default is 50 tuples.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line;
          but the setting can be overridden for individual tables by
@@ -8993,7 +8883,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-scale-factor" xreflabel="autovacuum_vacuum_scale_factor">
-       <term><varname>autovacuum_vacuum_scale_factor</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_vacuum_scale_factor</varname> (<type>floating point</type>) - default is 0.2
        <indexterm>
         <primary><varname>autovacuum_vacuum_scale_factor</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9001,20 +8891,19 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </term>
        <listitem>
         <para>
-         Specifies a fraction of the table size to add to
-         <varname>autovacuum_vacuum_threshold</varname>
-         when deciding whether to trigger a <command>VACUUM</command>.
-         The default is <literal>0.2</literal> (20% of table size).
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line;
-         but the setting can be overridden for individual tables by
-         changing table storage parameters.
+         Specifies a fraction of the unfrozen pages in the table to add to
+         <varname>autovacuum_vacuum_insert_threshold</varname> when deciding
+         whether to trigger a <command>VACUUM</command>. Value of 
+         <literal>0.2</literal> means (20% of unfrozen pages in table). This
+         parameter can only be set in the <filename>postgresql.conf</filename>
+         file or on the server command line; but the setting can be overridden
+         for individual tables by changing table storage parameters.
         </para>
        </listitem>
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-insert-scale-factor" xreflabel="autovacuum_vacuum_insert_scale_factor">
-       <term><varname>autovacuum_vacuum_insert_scale_factor</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_vacuum_insert_scale_factor</varname> (<type>floating point</type>) - default is 0.2
        <indexterm>
         <primary><varname>autovacuum_vacuum_insert_scale_factor</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9024,8 +8913,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies a fraction of the unfrozen pages in the table to add to
          <varname>autovacuum_vacuum_insert_threshold</varname> when deciding
-         whether to trigger a <command>VACUUM</command>. The default is
-         <literal>0.2</literal> (20% of unfrozen pages in table). This
+         whether to trigger a <command>VACUUM</command>. Value of 
+         <literal>0.2</literal> means (20% of unfrozen pages in table). This
          parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line; but the setting can be overridden
          for individual tables by changing table storage parameters.
@@ -9034,7 +8923,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-analyze-scale-factor" xreflabel="autovacuum_analyze_scale_factor">
-       <term><varname>autovacuum_analyze_scale_factor</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_analyze_scale_factor</varname> (<type>floating point</type>) - default is 0.1
        <indexterm>
         <primary><varname>autovacuum_analyze_scale_factor</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9045,7 +8934,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          Specifies a fraction of the table size to add to
          <varname>autovacuum_analyze_threshold</varname>
          when deciding whether to trigger an <command>ANALYZE</command>.
-         The default is <literal>0.1</literal> (10% of table size).
+         Value of <literal>0.1</literal> means (10% of table size).
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line;
          but the setting can be overridden for individual tables by
@@ -9054,30 +8943,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </listitem>
       </varlistentry>
 
-      <varlistentry id="guc-autovacuum-vacuum-max-threshold" xreflabel="autovacuum_vacuum_max_threshold">
-       <term><varname>autovacuum_vacuum_max_threshold</varname> (<type>integer</type>)
-       <indexterm>
-        <primary><varname>autovacuum_vacuum_max_threshold</varname></primary>
-        <secondary>configuration parameter</secondary>
-       </indexterm>
-       </term>
-       <listitem>
-        <para>
-         Specifies the maximum number of updated or deleted tuples needed to
-         trigger a <command>VACUUM</command> in any one table, i.e., a limit on
-         the value calculated with
-         <varname>autovacuum_vacuum_threshold</varname> and
-         <varname>autovacuum_vacuum_scale_factor</varname>.  The default is
-         100,000,000 tuples.  If -1 is specified, autovacuum will not enforce a
-         maximum number of updated or deleted tuples that will trigger a
-         <command>VACUUM</command> operation.  This parameter can only be set
-         in the <filename>postgresql.conf</filename> file or on the server
-         command line; but the setting can be overridden for individual tables
-         by changing storage parameters.
-        </para>
-       </listitem>
-      </varlistentry>
-
       <varlistentry id="guc-autovacuum-freeze-max-age" xreflabel="autovacuum_freeze_max_age">
        <term><varname>autovacuum_freeze_max_age</varname> (<type>integer</type>)
        <indexterm>
@@ -9137,7 +9002,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-cost-delay" xreflabel="autovacuum_vacuum_cost_delay">
-       <term><varname>autovacuum_vacuum_cost_delay</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_vacuum_cost_delay</varname> (<type>floating point</type>) - default is 2 miliseconds
        <indexterm>
         <primary><varname>autovacuum_vacuum_cost_delay</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9159,7 +9024,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-cost-limit" xreflabel="autovacuum_vacuum_cost_limit">
-       <term><varname>autovacuum_vacuum_cost_limit</varname> (<type>integer</type>)
+       <term><varname>autovacuum_vacuum_cost_limit</varname> (<type>integer</type>) - default is -1
        <indexterm>
         <primary><varname>autovacuum_vacuum_cost_limit</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9222,7 +9087,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
      <variablelist>
       <varlistentry id="guc-vacuum-cost-delay" xreflabel="vacuum_cost_delay">
-       <term><varname>vacuum_cost_delay</varname> (<type>floating point</type>)
+       <term><varname>vacuum_cost_delay</varname> (<type>floating point</type>) - default is 0
        <indexterm>
         <primary><varname>vacuum_cost_delay</varname> configuration parameter</primary>
        </indexterm>
@@ -9252,7 +9117,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-page-hit" xreflabel="vacuum_cost_page_hit">
-       <term><varname>vacuum_cost_page_hit</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_page_hit</varname> (<type>integer</type>) - default is 1
        <indexterm>
         <primary><varname>vacuum_cost_page_hit</varname> configuration parameter</primary>
        </indexterm>
@@ -9268,7 +9133,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-page-miss" xreflabel="vacuum_cost_page_miss">
-       <term><varname>vacuum_cost_page_miss</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_page_miss</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>vacuum_cost_page_miss</varname> configuration parameter</primary>
        </indexterm>
@@ -9285,7 +9150,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-page-dirty" xreflabel="vacuum_cost_page_dirty">
-       <term><varname>vacuum_cost_page_dirty</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_page_dirty</varname> (<type>integer</type>) - default is 20
        <indexterm>
         <primary><varname>vacuum_cost_page_dirty</varname> configuration parameter</primary>
        </indexterm>
@@ -9301,7 +9166,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-limit" xreflabel="vacuum_cost_limit">
-       <term><varname>vacuum_cost_limit</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_limit</varname> (<type>integer</type>) - default is 200
        <indexterm>
         <primary><varname>vacuum_cost_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -9309,8 +9174,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <listitem>
         <para>
          This is the accumulated cost that will cause the vacuuming
-         process to sleep for <varname>vacuum_cost_delay</varname>.  The
-         default is <literal>200</literal>.
+         process to sleep for <varname>vacuum_cost_delay</varname>.
         </para>
        </listitem>
       </varlistentry>
@@ -9336,7 +9200,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
      <variablelist>
       <varlistentry id="guc-vacuum-truncate" xreflabel="vacuum_truncate">
-       <term><varname>vacuum_truncate</varname> (<type>boolean</type>)
+       <term><varname>vacuum_truncate</varname> (<type>boolean</type>) default is true
        <indexterm>
         <primary><varname>vacuum_truncate</varname> configuration parameter</primary>
        </indexterm>
@@ -9344,8 +9208,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <listitem>
         <para>
          Enables or disables vacuum to try to truncate off any empty pages at
-         the end of the table.  The default value is <literal>true</literal>.
-         If <literal>true</literal>, <command>VACUUM</command> and autovacuum
+         the end of the table. 
+		 If <literal>true</literal>, <command>VACUUM</command> and autovacuum
          do the truncation and the disk space for the truncated pages is
          returned to the operating system.  Note that the truncation requires
          an <literal>ACCESS EXCLUSIVE</literal> lock on the table.  The
@@ -9378,7 +9242,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
      <variablelist>
       <varlistentry id="guc-vacuum-freeze-table-age" xreflabel="vacuum_freeze_table_age">
-       <term><varname>vacuum_freeze_table_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_freeze_table_age</varname> (<type>integer</type>) default is 150 million transactions
        <indexterm>
         <primary><varname>vacuum_freeze_table_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9390,7 +9254,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          the age specified by this setting.  An aggressive scan differs from
          a regular <command>VACUUM</command> in that it visits every page that might
          contain unfrozen XIDs or MXIDs, not just those that might contain dead
-         tuples.  The default is 150 million transactions.  Although users can
+         tuples.  Although users can
          set this value anywhere from zero to two billion, <command>VACUUM</command>
          will silently limit the effective value to 95% of
          <xref linkend="guc-autovacuum-freeze-max-age"/>, so that a
@@ -9403,7 +9267,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-freeze-min-age" xreflabel="vacuum_freeze_min_age">
-       <term><varname>vacuum_freeze_min_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_freeze_min_age</varname> (<type>integer</type>) default is 50 million transactions
        <indexterm>
         <primary><varname>vacuum_freeze_min_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9413,7 +9277,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          Specifies the cutoff age (in transactions) that
          <command>VACUUM</command> should use to decide whether to
          trigger freezing of pages that have an older XID.
-         The default is 50 million transactions.  Although
+         Although
          users can set this value anywhere from zero to one billion,
          <command>VACUUM</command> will silently limit the effective value to half
          the value of <xref linkend="guc-autovacuum-freeze-max-age"/>, so
@@ -9425,7 +9289,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-failsafe-age" xreflabel="vacuum_failsafe_age">
-       <term><varname>vacuum_failsafe_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_failsafe_age</varname> (<type>integer</type>) default is 1.6 billion transactions
        <indexterm>
         <primary><varname>vacuum_failsafe_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9452,7 +9316,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>.
         </para>
         <para>
-         The default is 1.6 billion transactions.  Although users can
+         Although users can
          set this value anywhere from zero to 2.1 billion,
          <command>VACUUM</command> will silently adjust the effective
          value to no less than 105% of <xref
@@ -9462,7 +9326,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-multixact-freeze-table-age" xreflabel="vacuum_multixact_freeze_table_age">
-       <term><varname>vacuum_multixact_freeze_table_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_multixact_freeze_table_age</varname> (<type>integer</type>) default is 150 million multixacts
        <indexterm>
         <primary><varname>vacuum_multixact_freeze_table_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9474,7 +9338,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          the age specified by this setting.  An aggressive scan differs from
          a regular <command>VACUUM</command> in that it visits every page that might
          contain unfrozen XIDs or MXIDs, not just those that might contain dead
-         tuples.  The default is 150 million multixacts.
+         tuples.  
          Although users can set this value anywhere from zero to two billion,
          <command>VACUUM</command> will silently limit the effective value to 95% of
          <xref linkend="guc-autovacuum-multixact-freeze-max-age"/>, so that a
@@ -9486,7 +9350,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-multixact-freeze-min-age" xreflabel="vacuum_multixact_freeze_min_age">
-       <term><varname>vacuum_multixact_freeze_min_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_multixact_freeze_min_age</varname> (<type>integer</type>) default is 5 million multixacts
        <indexterm>
         <primary><varname>vacuum_multixact_freeze_min_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9495,7 +9359,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the cutoff age (in multixacts) that <command>VACUUM</command>
          should use to decide whether to trigger freezing of pages with
-         an older multixact ID.  The default is 5 million multixacts.
+         an older multixact ID.
          Although users can set this value anywhere from zero to one billion,
          <command>VACUUM</command> will silently limit the effective value to half
          the value of <xref linkend="guc-autovacuum-multixact-freeze-max-age"/>,
@@ -9507,7 +9371,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-multixact-failsafe-age" xreflabel="vacuum_multixact_failsafe_age">
-       <term><varname>vacuum_multixact_failsafe_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_multixact_failsafe_age</varname> (<type>integer</type>) default is 1.6 billion multixacts
        <indexterm>
         <primary><varname>vacuum_multixact_failsafe_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9530,7 +9394,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          maintenance tasks (such as index vacuuming) are bypassed.
         </para>
         <para>
-         The default is 1.6 billion multixacts.  Although users can set
+         Although users can set
          this value anywhere from zero to 2.1 billion,
          <command>VACUUM</command> will silently adjust the effective
          value to no less than 105% of <xref
@@ -9540,7 +9404,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
      <varlistentry id="guc-vacuum-max-eager-freeze-failure-rate" xreflabel="vacuum_max_eager_freeze_failure_rate">
-      <term><varname>vacuum_max_eager_freeze_failure_rate</varname> (<type>floating point</type>)
+      <term><varname>vacuum_max_eager_freeze_failure_rate</varname> (<type>floating point</type>) default is 0.03 (3%)
       <indexterm>
        <primary><varname>vacuum_max_eager_freeze_failure_rate</varname> configuration parameter</primary>
       </indexterm>
@@ -9551,8 +9415,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         the relation) that <command>VACUUM</command> may scan and
         <emphasis>fail</emphasis> to set all-frozen in the visibility map
         before disabling eager scanning. A value of <literal>0</literal>
-        disables eager scanning altogether. The default is
-        <literal>0.03</literal> (3%).
+        disables eager scanning altogether.
        </para>
 
        <para>
@@ -9590,7 +9453,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
      <varlistentry id="guc-client-min-messages" xreflabel="client_min_messages">
-      <term><varname>client_min_messages</varname> (<type>enum</type>)
+      <term><varname>client_min_messages</varname> (<type>enum</type>) default is NOTICE  
       <indexterm>
        <primary><varname>client_min_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -9605,8 +9468,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <literal>DEBUG1</literal>, <literal>LOG</literal>, <literal>NOTICE</literal>,
         <literal>WARNING</literal>, and <literal>ERROR</literal>.
         Each level includes all the levels that follow it.  The later the level,
-        the fewer messages are sent.  The default is
-        <literal>NOTICE</literal>.  Note that <literal>LOG</literal> has a different
+        the fewer messages are sent.  Note that <literal>LOG</literal> has a different
         rank here than in <xref linkend="guc-log-min-messages"/>.
        </para>
        <para>
@@ -9616,7 +9478,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-search-path" xreflabel="search_path">
-      <term><varname>search_path</varname> (<type>string</type>)
+      <term><varname>search_path</varname> (<type>string</type>) default is "$user", public
       <indexterm>
        <primary><varname>search_path</varname> configuration parameter</primary>
       </indexterm>
@@ -9679,8 +9541,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </para>
 
        <para>
-        The default value for this parameter is
-        <literal>"$user", public</literal>.
         This setting supports shared use of a database (where no users
         have private schemas, and all share use of <literal>public</literal>),
         private per-user schemas, and combinations of these.  Other
@@ -9710,7 +9570,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-row-security" xreflabel="row_security">
-      <term><varname>row_security</varname> (<type>boolean</type>)
+      <term><varname>row_security</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>row_security</varname> configuration parameter</primary>
       </indexterm>
@@ -9720,7 +9580,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         This variable controls whether to raise an error in lieu of applying a
         row security policy.  When set to <literal>on</literal>, policies apply
         normally.  When set to <literal>off</literal>, queries fail which would
-        otherwise apply at least one policy.  The default is <literal>on</literal>.
+        otherwise apply at least one policy.  
         Change to <literal>off</literal> where limited row visibility could cause
         incorrect results; for example, <application>pg_dump</application> makes that
         change by default.  This variable has no effect on roles which bypass
@@ -9736,7 +9596,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-table-access-method" xreflabel="default_table_access_method">
-      <term><varname>default_table_access_method</varname> (<type>string</type>)
+      <term><varname>default_table_access_method</varname> (<type>string</type>) default is heap
       <indexterm>
        <primary><varname>default_table_access_method</varname> configuration parameter</primary>
       </indexterm>
@@ -9747,7 +9607,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         creating tables or materialized views if the <command>CREATE</command>
         command does not explicitly specify an access method, or when
         <command>SELECT ... INTO</command> is used, which does not allow
-        specifying a table access method. The default is <literal>heap</literal>.
+        specifying a table access method. 
        </para>
       </listitem>
      </varlistentry>
@@ -9803,7 +9663,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-toast-compression" xreflabel="default_toast_compression">
-      <term><varname>default_toast_compression</varname> (<type>enum</type>)
+      <term><varname>default_toast_compression</varname> (<type>enum</type>) default is pglz
       <indexterm>
        <primary><varname>default_toast_compression</varname> configuration parameter</primary>
       </indexterm>
@@ -9820,13 +9680,12 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         The supported compression methods are <literal>pglz</literal> and
         (if <productname>PostgreSQL</productname> was compiled with
         <option>--with-lz4</option>) <literal>lz4</literal>.
-        The default is <literal>pglz</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-temp-tablespaces" xreflabel="temp_tablespaces">
-      <term><varname>temp_tablespaces</varname> (<type>string</type>)
+      <term><varname>temp_tablespaces</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>temp_tablespaces</varname> configuration parameter</primary>
       </indexterm>
@@ -9863,7 +9722,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </para>
 
        <para>
-        The default value is an empty string, which results in all temporary
+        If default is used, which results in all temporary
         objects being created in the default tablespace of the current
         database.
        </para>
@@ -9923,7 +9782,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-transaction-read-only" xreflabel="default_transaction_read_only">
-      <term><varname>default_transaction_read_only</varname> (<type>boolean</type>)
+      <term><varname>default_transaction_read_only</varname> (<type>boolean</type>) default is off (read/write).
       <indexterm>
        <primary>read-only transaction</primary>
        <secondary>setting default</secondary>
@@ -9936,9 +9795,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         A read-only SQL transaction cannot alter non-temporary tables.
         This parameter controls the default read-only status of each new
-        transaction. The default is <literal>off</literal> (read/write).
+        transaction.
        </para>
-
        <para>
         Consult <xref linkend="sql-set-transaction"/> for more information.
        </para>
@@ -9946,7 +9804,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-transaction-deferrable" xreflabel="default_transaction_deferrable">
-      <term><varname>default_transaction_deferrable</varname> (<type>boolean</type>)
+      <term><varname>default_transaction_deferrable</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary>deferrable transaction</primary>
        <secondary>setting default</secondary>
@@ -9970,7 +9828,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         This parameter controls the default deferrable status of each
         new transaction.  It currently has no effect on read-write
         transactions or those operating at isolation levels lower
-        than <literal>serializable</literal>. The default is <literal>off</literal>.
+        than <literal>serializable</literal>. 
        </para>
 
        <para>
@@ -9980,7 +9838,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-isolation" xreflabel="transaction_isolation">
-      <term><varname>transaction_isolation</varname> (<type>enum</type>)
+      <term><varname>transaction_isolation</varname> (<type>enum</type>) default is default_transaction_isolation value
       <indexterm>
        <primary>transaction isolation level</primary>
       </indexterm>
@@ -10000,7 +9858,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-read-only" xreflabel="transaction_read_only">
-      <term><varname>transaction_read_only</varname> (<type>boolean</type>)
+      <term><varname>transaction_read_only</varname> (<type>boolean</type>) default is default_transaction_read_only value
       <indexterm>
        <primary>read-only transaction</primary>
       </indexterm>
@@ -10020,7 +9878,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-deferrable" xreflabel="transaction_deferrable">
-      <term><varname>transaction_deferrable</varname> (<type>boolean</type>)
+      <term><varname>transaction_deferrable</varname> (<type>boolean</type>) default is default_transaction_deferrable value
       <indexterm>
        <primary>deferrable transaction</primary>
       </indexterm>
@@ -10041,7 +9899,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
 
      <varlistentry id="guc-session-replication-role" xreflabel="session_replication_role">
-      <term><varname>session_replication_role</varname> (<type>enum</type>)
+      <term><varname>session_replication_role</varname> (<type>enum</type>) default is origin
       <indexterm>
        <primary><varname>session_replication_role</varname> configuration parameter</primary>
       </indexterm>
@@ -10050,7 +9908,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         Controls firing of replication-related triggers and rules for the
         current session.
-        Possible values are <literal>origin</literal> (the default),
+        Possible values are <literal>origin</literal>,
         <literal>replica</literal> and <literal>local</literal>.
         Setting this parameter results in discarding any previously cached
         query plans.
@@ -10085,7 +9943,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-statement-timeout" xreflabel="statement_timeout">
-      <term><varname>statement_timeout</varname> (<type>integer</type>)
+      <term><varname>statement_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>statement_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10097,7 +9955,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         to <literal>ERROR</literal> or lower, the statement that timed out
         will also be logged.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10121,7 +9978,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-timeout" xreflabel="transaction_timeout">
-      <term><varname>transaction_timeout</varname> (<type>integer</type>)
+      <term><varname>transaction_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>transaction_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10133,7 +9990,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         (started with <command>BEGIN</command>) and to an implicitly started
         transaction corresponding to a single statement.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10157,7 +10013,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-lock-timeout" xreflabel="lock_timeout">
-      <term><varname>lock_timeout</varname> (<type>integer</type>)
+      <term><varname>lock_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>lock_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10172,7 +10028,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         FOR UPDATE</command> without <literal>NOWAIT</literal>) and to implicitly-acquired
         locks.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10194,7 +10049,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-idle-in-transaction-session-timeout" xreflabel="idle_in_transaction_session_timeout">
-      <term><varname>idle_in_transaction_session_timeout</varname> (<type>integer</type>)
+      <term><varname>idle_in_transaction_session_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>idle_in_transaction_session_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10205,7 +10060,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         client query) within an open transaction for longer than the
         specified amount of time.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10220,7 +10074,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-idle-session-timeout" xreflabel="idle_session_timeout">
-      <term><varname>idle_session_timeout</varname> (<type>integer</type>)
+      <term><varname>idle_session_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>idle_session_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10231,7 +10085,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         client query), but not within an open transaction, for longer than
         the specified amount of time.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10252,7 +10105,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-bytea-output" xreflabel="bytea_output">
-      <term><varname>bytea_output</varname> (<type>enum</type>)
+      <term><varname>bytea_output</varname> (<type>enum</type>) default is hex
       <indexterm>
        <primary><varname>bytea_output</varname> configuration parameter</primary>
       </indexterm>
@@ -10260,7 +10113,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       <listitem>
        <para>
         Sets the output format for values of type <type>bytea</type>.
-        Valid values are <literal>hex</literal> (the default)
+        Valid values are <literal>hex</literal> 
         and <literal>escape</literal> (the traditional PostgreSQL
         format).  See <xref linkend="datatype-binary"/> for more
         information.  The <type>bytea</type> type always
@@ -10270,7 +10123,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-xmlbinary" xreflabel="xmlbinary">
-      <term><varname>xmlbinary</varname> (<type>enum</type>)
+      <term><varname>xmlbinary</varname> (<type>enum</type>) default is base64
       <indexterm>
        <primary><varname>xmlbinary</varname> configuration parameter</primary>
       </indexterm>
@@ -10282,8 +10135,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         XML by the functions <function>xmlelement</function> or
         <function>xmlforest</function>.  Possible values are
         <literal>base64</literal> and <literal>hex</literal>, which
-        are both defined in the XML Schema standard.  The default is
-        <literal>base64</literal>.  For further information about
+        are both defined in the XML Schema standard.  For further information about
         XML-related functions, see <xref linkend="functions-xml"/>.
        </para>
 
@@ -10298,7 +10150,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-xmloption" xreflabel="xmloption">
-      <term><varname>xmloption</varname> (<type>enum</type>)
+      <term><varname>xmloption</varname> (<type>enum</type>) default is CONTENT
       <indexterm>
        <primary><varname>xmloption</varname> configuration parameter</primary>
       </indexterm>
@@ -10316,7 +10168,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         XML and character string values.  See <xref
         linkend="datatype-xml"/> for a description of this.  Valid
         values are <literal>DOCUMENT</literal> and
-        <literal>CONTENT</literal>.  The default is
         <literal>CONTENT</literal>.
        </para>
 
@@ -10331,7 +10182,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-gin-pending-list-limit" xreflabel="gin_pending_list_limit">
-      <term><varname>gin_pending_list_limit</varname> (<type>integer</type>)
+      <term><varname>gin_pending_list_limit</varname> (<type>integer</type>) default is 4MB
       <indexterm>
        <primary><varname>gin_pending_list_limit</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10344,8 +10195,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         larger than this maximum size, it is cleaned up by moving
         the entries in it to the index's main GIN data structure in bulk.
         If this value is specified without units, it is taken as kilobytes.
-        The default is four megabytes (<literal>4MB</literal>). This setting
-        can be overridden for individual GIN indexes by changing
+        This setting can be overridden for individual GIN indexes by changing
         index storage parameters.
          See <xref linkend="gin-fast-update"/> and <xref linkend="gin-tips"/>
          for more information.
@@ -10354,7 +10204,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-createrole-self-grant" xreflabel="createrole_self_grant">
-      <term><varname>createrole_self_grant</varname> (<type>string</type>)
+      <term><varname>createrole_self_grant</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>createrole_self_grant</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10367,8 +10217,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         is set to a non-empty value, the newly-created role will be granted
         to the creating user with the options specified. The value must be
         <literal>set</literal>, <literal>inherit</literal>, or a
-        comma-separated list of these. The default value is an empty string,
-        which disables the feature.
+        comma-separated list of these. if an empty string then disables the feature.
        </para>
        <para>
         The purpose of this option is to allow a <literal>CREATEROLE</literal>
@@ -10388,7 +10237,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-event-triggers" xreflabel="event_triggers">
-      <term><varname>event_triggers</varname> (<type>boolean</type>)
+      <term><varname>event_triggers</varname> (<type>boolean</type>) default is true
       <indexterm>
        <primary><varname>event_triggers</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10399,15 +10248,15 @@ SET XML OPTION { DOCUMENT | CONTENT };
        Allow temporarily disabling execution of event triggers in order to
        troubleshoot and repair faulty event triggers. All event triggers will
        be disabled by setting it to <literal>false</literal>. Setting the value
-       to <literal>true</literal> allows all event triggers to fire, this
-       is the default value. Only superusers and users with the appropriate
+       to <literal>true</literal> allows all event triggers to fire.
+	   Only superusers and users with the appropriate
        <literal>SET</literal> privilege can change this setting.
       </para>
      </listitem>
      </varlistentry>
 
      <varlistentry id="guc-restrict-nonsystem-relation-kind" xreflabel="restrict_nonsystem_relation_kind">
-      <term><varname>restrict_nonsystem_relation_kind</varname> (<type>string</type>)
+      <term><varname>restrict_nonsystem_relation_kind</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>restrict_nonsystem_relation_kind</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10431,7 +10280,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      <variablelist>
 
      <varlistentry id="guc-datestyle" xreflabel="DateStyle">
-      <term><varname>DateStyle</varname> (<type>string</type>)
+      <term><varname>DateStyle</varname> (<type>string</type>) - default is ISO, MDY
       <indexterm>
        <primary><varname>DateStyle</varname> configuration parameter</primary>
       </indexterm>
@@ -10450,8 +10299,8 @@ SET XML OPTION { DOCUMENT | CONTENT };
         keywords <literal>US</literal>, <literal>NonEuro</literal>, and
         <literal>NonEuropean</literal> are synonyms for <literal>MDY</literal>. See
         <xref linkend="datatype-datetime"/> for more information. The
-        built-in default is <literal>ISO, MDY</literal>, but
-        <application>initdb</application> will initialize the
+        built-in default can be changed by
+        <application>initdb</application>, which will initialize the
         configuration file with a setting that corresponds to the
         behavior of the chosen <varname>lc_time</varname> locale.
        </para>
@@ -10459,7 +10308,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-intervalstyle" xreflabel="IntervalStyle">
-      <term><varname>IntervalStyle</varname> (<type>enum</type>)
+      <term><varname>IntervalStyle</varname> (<type>enum</type>) - default is postgres
       <indexterm>
        <primary><varname>IntervalStyle</varname> configuration parameter</primary>
       </indexterm>
@@ -10469,7 +10318,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         Sets the display format for interval values.
         The value <literal>sql_standard</literal> will produce
         output matching <acronym>SQL</acronym> standard interval literals.
-        The value <literal>postgres</literal> (which is the default) will produce
+        The value <literal>postgres</literal> will produce
         output matching <productname>PostgreSQL</productname> releases prior to 8.4
         when the <xref linkend="guc-datestyle"/>
         parameter was set to <literal>ISO</literal>.
@@ -10490,7 +10339,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-timezone" xreflabel="TimeZone">
-      <term><varname>TimeZone</varname> (<type>string</type>)
+      <term><varname>TimeZone</varname> (<type>string</type>) - default is GMT
       <indexterm>
        <primary><varname>TimeZone</varname> configuration parameter</primary>
       </indexterm>
@@ -10499,7 +10348,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
       <listitem>
        <para>
         Sets the time zone for displaying and interpreting time stamps.
-        The built-in default is <literal>GMT</literal>, but that is typically
+        The default is typically
         overridden in <filename>postgresql.conf</filename>; <application>initdb</application>
         will install a setting there corresponding to its system environment.
         See <xref linkend="datatype-timezones"/> for more information.
@@ -10508,7 +10357,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-timezone-abbreviations" xreflabel="timezone_abbreviations">
-      <term><varname>timezone_abbreviations</varname> (<type>string</type>)
+      <term><varname>timezone_abbreviations</varname> (<type>string</type>) default is 'Default'
       <indexterm>
        <primary><varname>timezone_abbreviations</varname> configuration parameter</primary>
       </indexterm>
@@ -10519,8 +10368,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         Sets the collection of additional time zone abbreviations that
         will be accepted by the server for datetime input (beyond any
         abbreviations defined by the current <varname>TimeZone</varname>
-        setting).  The default is <literal>'Default'</literal>,
-        which is a collection that works in most of the world; there are
+        setting).  The default value  is a collection that works in most of the world; there are
         also <literal>'Australia'</literal> and <literal>'India'</literal>,
         and other collections can be defined for a particular installation.
         See <xref linkend="datetime-config-files"/> for more information.
@@ -10529,7 +10377,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-extra-float-digits" xreflabel="extra_float_digits">
-      <term><varname>extra_float_digits</varname> (<type>integer</type>)
+      <term><varname>extra_float_digits</varname> (<type>integer</type>) - default is 1
       <indexterm>
        <primary>significant digits</primary>
       </indexterm>
@@ -10548,7 +10396,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         and geometric data types.
        </para>
        <para>
-        If the value is 1 (the default) or above, float values are output in
+        If the value is 1 or above, float values are output in
         shortest-precise format; see <xref linkend="datatype-float"/>. The
         actual number of digits generated depends only on the value being
         output, not on the value of this parameter. At most 17 digits are
@@ -10579,7 +10427,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-client-encoding" xreflabel="client_encoding">
-      <term><varname>client_encoding</varname> (<type>string</type>)
+      <term><varname>client_encoding</varname> (<type>string</type>) - default is the database encoding.
       <indexterm>
        <primary><varname>client_encoding</varname> configuration parameter</primary>
       </indexterm>
@@ -10588,7 +10436,6 @@ SET XML OPTION { DOCUMENT | CONTENT };
       <listitem>
        <para>
         Sets the client-side encoding (character set).
-        The default is to use the database encoding.
         The character sets supported by the <productname>PostgreSQL</productname>
         server are described in <xref linkend="multibyte-charset-supported"/>.
        </para>
@@ -10596,7 +10443,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-messages" xreflabel="lc_messages">
-      <term><varname>lc_messages</varname> (<type>string</type>)
+      <term><varname>lc_messages</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -10606,7 +10453,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         Sets the language in which messages are displayed.  Acceptable
         values are system-dependent; see <xref linkend="locale"/> for
         more information.  If this variable is set to the empty string
-        (which is the default) then the value is inherited from the
+        then the value is inherited from the
         execution environment of the server in a system-dependent way.
        </para>
 
@@ -10626,7 +10473,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-monetary" xreflabel="lc_monetary">
-      <term><varname>lc_monetary</varname> (<type>string</type>)
+      <term><varname>lc_monetary</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_monetary</varname> configuration parameter</primary>
       </indexterm>
@@ -10637,7 +10484,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         example with the <function>to_char</function> family of
         functions.  Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to the empty string then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10645,7 +10492,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-numeric" xreflabel="lc_numeric">
-      <term><varname>lc_numeric</varname> (<type>string</type>)
+      <term><varname>lc_numeric</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_numeric</varname> configuration parameter</primary>
       </indexterm>
@@ -10656,7 +10503,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         with the <function>to_char</function> family of
         functions. Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to the empty string then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10664,7 +10511,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-time" xreflabel="lc_time">
-      <term><varname>lc_time</varname> (<type>string</type>)
+      <term><varname>lc_time</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_time</varname> configuration parameter</primary>
       </indexterm>
@@ -10675,7 +10522,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         with the <function>to_char</function> family of
         functions. Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to the empty string then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10683,7 +10530,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-icu-validation-level" xreflabel="icu_validation_level">
-      <term><varname>icu_validation_level</varname> (<type>enum</type>)
+      <term><varname>icu_validation_level</varname> (<type>enum</type>) - default is WARNING
       <indexterm>
        <primary><varname>icu_validation_level</varname> configuration parameter</primary>
       </indexterm>
@@ -10703,13 +10550,13 @@ SET XML OPTION { DOCUMENT | CONTENT };
        <para>
         If set to <literal>DISABLED</literal>, does not report validation
         problems at all. Otherwise reports problems at the given message
-        level. The default is <literal>WARNING</literal>.
+        level.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-default-text-search-config" xreflabel="default_text_search_config">
-      <term><varname>default_text_search_config</varname> (<type>string</type>)
+      <term><varname>default_text_search_config</varname> (<type>string</type>) - default is pg_catalog.simple
       <indexterm>
        <primary><varname>default_text_search_config</varname> configuration parameter</primary>
       </indexterm>
@@ -10720,8 +10567,8 @@ SET XML OPTION { DOCUMENT | CONTENT };
         of the text search functions that do not have an explicit argument
         specifying the configuration.
         See <xref linkend="textsearch"/> for further information.
-        The built-in default is <literal>pg_catalog.simple</literal>, but
-        <application>initdb</application> will initialize the
+        The built-in default can be changed by
+        <application>initdb</application>, which will initialize the
         configuration file with a setting that corresponds to the
         chosen <varname>lc_ctype</varname> locale, if a configuration
         matching that locale can be identified.
@@ -10771,7 +10618,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
 
      <variablelist>
      <varlistentry id="guc-local-preload-libraries" xreflabel="local_preload_libraries">
-      <term><varname>local_preload_libraries</varname> (<type>string</type>)
+      <term><varname>local_preload_libraries</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>local_preload_libraries</varname> configuration parameter</primary>
       </indexterm>
@@ -10825,7 +10672,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
 
 
      <varlistentry id="guc-session-preload-libraries" xreflabel="session_preload_libraries">
-      <term><varname>session_preload_libraries</varname> (<type>string</type>)
+      <term><varname>session_preload_libraries</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>session_preload_libraries</varname> configuration parameter</primary>
       </indexterm>
@@ -10868,7 +10715,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-shared-preload-libraries" xreflabel="shared_preload_libraries">
-      <term><varname>shared_preload_libraries</varname> (<type>string</type>)
+      <term><varname>shared_preload_libraries</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>shared_preload_libraries</varname> configuration parameter</primary>
       </indexterm>
@@ -10918,7 +10765,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-jit-provider" xreflabel="jit_provider">
-      <term><varname>jit_provider</varname> (<type>string</type>)
+      <term><varname>jit_provider</varname> (<type>string</type>) - default is llvmjit
        <indexterm>
         <primary><varname>jit_provider</varname> configuration parameter</primary>
        </indexterm>
@@ -10927,7 +10774,6 @@ SET XML OPTION { DOCUMENT | CONTENT };
        <para>
         This variable is the name of the JIT provider library to be used
         (see <xref linkend="jit-pluggable"/>).
-        The default is <literal>llvmjit</literal>.
         This parameter can only be set at server start.
        </para>
 
@@ -10949,7 +10795,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      <variablelist>
 
      <varlistentry id="guc-dynamic-library-path" xreflabel="dynamic_library_path">
-      <term><varname>dynamic_library_path</varname> (<type>string</type>)
+      <term><varname>dynamic_library_path</varname> (<type>string</type>) default is '$libdir'
       <indexterm>
        <primary><varname>dynamic_library_path</varname> configuration parameter</primary>
       </indexterm>
@@ -10986,8 +10832,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
        </para>
 
        <para>
-        The default value for this parameter is
-        <literal>'$libdir'</literal>. If the value is set to an empty
+        If the value is set to an empty
         string, the automatic path search is turned off.
        </para>
 
@@ -11004,7 +10849,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
      </varlistentry>
 
      <varlistentry id="guc-extension-control-path" xreflabel="extension_control_path">
-      <term><varname>extension_control_path</varname> (<type>string</type>)
+      <term><varname>extension_control_path</varname> (<type>string</type>) default is '$system'
       <indexterm>
        <primary><varname>extension_control_path</varname> configuration parameter</primary>
       </indexterm>
@@ -11044,8 +10889,7 @@ extension_control_path = 'C:\tools\postgresql;H:\my_project\share;$system'
        </para>
 
        <para>
-        The default value for this parameter is
-        <literal>'$system'</literal>. If the value is set to an empty
+        If the value is set to an empty
         string, the default <literal>'$system'</literal> is also assumed.
        </para>
 
@@ -11073,7 +10917,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-gin-fuzzy-search-limit" xreflabel="gin_fuzzy_search_limit">
-      <term><varname>gin_fuzzy_search_limit</varname> (<type>integer</type>)
+      <term><varname>gin_fuzzy_search_limit</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>gin_fuzzy_search_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -11096,7 +10940,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      <variablelist>
 
      <varlistentry id="guc-deadlock-timeout" xreflabel="deadlock_timeout">
-      <term><varname>deadlock_timeout</varname> (<type>integer</type>)
+      <term><varname>deadlock_timeout</varname> (<type>integer</type>) default is 1s
       <indexterm>
        <primary>deadlock</primary>
        <secondary>timeout during</secondary>
@@ -11121,7 +10965,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         wasted in needless deadlock checks, but slows down reporting of
         real deadlock errors.
         If this value is specified without units, it is taken as milliseconds.
-        The default is one second (<literal>1s</literal>),
         which is probably about the smallest value you would want in
         practice. On a heavily loaded server you might want to raise it.
         Ideally the setting should exceed your typical transaction time,
@@ -11142,7 +10985,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-locks-per-transaction" xreflabel="max_locks_per_transaction">
-      <term><varname>max_locks_per_transaction</varname> (<type>integer</type>)
+      <term><varname>max_locks_per_transaction</varname> (<type>integer</type>) default is 64
       <indexterm>
        <primary><varname>max_locks_per_transaction</varname> configuration parameter</primary>
       </indexterm>
@@ -11157,8 +11000,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         locks used by each transaction; individual transactions
         can lock more objects as long as the locks of all transactions
         fit in the lock table.  This is <emphasis>not</emphasis> the number of
-        rows that can be locked; that value is unlimited.  The default,
-        64, has historically proven sufficient, but you might need to
+        rows that can be locked; that value is unlimited.  The default value
+        has historically proven sufficient, but you might need to
         raise this value if you have queries that touch many different
         tables in a single transaction, e.g., query of a parent table with
         many children.  This parameter can only be set at server start.
@@ -11173,7 +11016,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-pred-locks-per-transaction" xreflabel="max_pred_locks_per_transaction">
-      <term><varname>max_pred_locks_per_transaction</varname> (<type>integer</type>)
+      <term><varname>max_pred_locks_per_transaction</varname> (<type>integer</type>) default is 64
       <indexterm>
        <primary><varname>max_pred_locks_per_transaction</varname> configuration parameter</primary>
       </indexterm>
@@ -11188,8 +11031,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         locks used by each transaction; individual transactions
         can lock more objects as long as the locks of all transactions
         fit in the lock table.  This is <emphasis>not</emphasis> the number of
-        rows that can be locked; that value is unlimited.  The default,
-        64, has historically proven sufficient, but you might need to
+        rows that can be locked; that value is unlimited. The default value
+        has historically proven sufficient, but you might need to
         raise this value if you have clients that touch many different
         tables in a single serializable transaction. This parameter can
         only be set at server start.
@@ -11198,7 +11041,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-pred-locks-per-relation" xreflabel="max_pred_locks_per_relation">
-      <term><varname>max_pred_locks_per_relation</varname> (<type>integer</type>)
+      <term><varname>max_pred_locks_per_relation</varname> (<type>integer</type>) default is -2
       <indexterm>
        <primary><varname>max_pred_locks_per_relation</varname> configuration parameter</primary>
       </indexterm>
@@ -11210,7 +11053,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         relation.  Values greater than or equal to zero mean an absolute
         limit, while negative values
         mean <xref linkend="guc-max-pred-locks-per-transaction"/> divided by
-        the absolute value of this setting.  The default is -2, which keeps
+        the absolute value of this setting.  Value of -2, which keeps
         the behavior from previous versions of <productname>PostgreSQL</productname>.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
@@ -11219,7 +11062,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-pred-locks-per-page" xreflabel="max_pred_locks_per_page">
-      <term><varname>max_pred_locks_per_page</varname> (<type>integer</type>)
+      <term><varname>max_pred_locks_per_page</varname> (<type>integer</type>) default is 2
       <indexterm>
        <primary><varname>max_pred_locks_per_page</varname> configuration parameter</primary>
       </indexterm>
@@ -11227,8 +11070,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         This controls how many rows on a single page can be predicate-locked
-        before the lock is promoted to covering the whole page.  The default
-        is 2.  This parameter can only be set in
+        before the lock is promoted to covering the whole page. 
+		This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server command line.
        </para>
       </listitem>
@@ -11246,7 +11089,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      <variablelist>
 
      <varlistentry id="guc-array-nulls" xreflabel="array_nulls">
-      <term><varname>array_nulls</varname> (<type>boolean</type>)
+      <term><varname>array_nulls</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>array_nulls</varname> configuration parameter</primary>
       </indexterm>
@@ -11255,7 +11098,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         This controls whether the array input parser recognizes
         unquoted <literal>NULL</literal> as specifying a null array element.
-        By default, this is <literal>on</literal>, allowing array values containing
+        Setting this value to on, allowing array values containing
         null values to be entered.  However, <productname>PostgreSQL</productname> versions
         before 8.2 did not support null values in arrays, and therefore would
         treat <literal>NULL</literal> as specifying a normal array element with
@@ -11272,7 +11115,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-backslash-quote" xreflabel="backslash_quote">
-      <term><varname>backslash_quote</varname> (<type>enum</type>)
+      <term><varname>backslash_quote</varname> (<type>enum</type>) default is safe_encoding
       <indexterm><primary>strings</primary><secondary>backslash quotes</secondary></indexterm>
       <indexterm>
        <primary><varname>backslash_quote</varname> configuration parameter</primary>
@@ -11296,7 +11139,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         <literal>off</literal> (reject always), and
         <literal>safe_encoding</literal> (allow only if client encoding does not
         allow ASCII <literal>\</literal> within a multibyte character).
-        <literal>safe_encoding</literal> is the default setting.
        </para>
 
        <para>
@@ -11309,7 +11151,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-escape-string-warning" xreflabel="escape_string_warning">
-      <term><varname>escape_string_warning</varname> (<type>boolean</type>)
+      <term><varname>escape_string_warning</varname> (<type>boolean</type>) default is on
       <indexterm><primary>strings</primary><secondary>escape warning</secondary></indexterm>
       <indexterm>
        <primary><varname>escape_string_warning</varname> configuration parameter</primary>
@@ -11320,7 +11162,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         When on, a warning is issued if a backslash (<literal>\</literal>)
         appears in an ordinary string literal (<literal>'...'</literal>
         syntax) and <varname>standard_conforming_strings</varname> is off.
-        The default is <literal>on</literal>.
        </para>
        <para>
         Applications that wish to use backslash as escape should be
@@ -11333,7 +11174,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-lo-compat-privileges" xreflabel="lo_compat_privileges">
-      <term><varname>lo_compat_privileges</varname> (<type>boolean</type>)
+      <term><varname>lo_compat_privileges</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>lo_compat_privileges</varname> configuration parameter</primary>
       </indexterm>
@@ -11344,8 +11185,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         did not have access privileges and were, therefore, always readable
         and writable by all users.  Setting this variable to <literal>on</literal>
         disables the new privilege checks, for compatibility with prior
-        releases.  The default is <literal>off</literal>.
-        Only superusers and users with the appropriate <literal>SET</literal>
+        releases. Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
        <para>
@@ -11357,7 +11197,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
     <varlistentry id="guc-quote-all-identifiers" xreflabel="quote-all-identifiers">
-      <term><varname>quote_all_identifiers</varname> (<type>boolean</type>)
+      <term><varname>quote_all_identifiers</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>quote_all_identifiers</varname> configuration parameter</primary>
       </indexterm>
@@ -11375,7 +11215,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-standard-conforming-strings" xreflabel="standard_conforming_strings">
-      <term><varname>standard_conforming_strings</varname> (<type>boolean</type>)
+      <term><varname>standard_conforming_strings</varname> (<type>boolean</type>) default is on
       <indexterm><primary>strings</primary><secondary>standard conforming</secondary></indexterm>
       <indexterm>
        <primary><varname>standard_conforming_strings</varname> configuration parameter</primary>
@@ -11386,8 +11226,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         This controls whether ordinary string literals
         (<literal>'...'</literal>) treat backslashes literally, as specified in
         the SQL standard.
-        Beginning in <productname>PostgreSQL</productname> 9.1, the default is
-        <literal>on</literal> (prior releases defaulted to <literal>off</literal>).
+        Beginning in <productname>PostgreSQL</productname> 9.1, 
+		(prior releases defaulted to <literal>off</literal>).
         Applications can check this
         parameter to determine how string literals will be processed.
         The presence of this parameter can also be taken as an indication
@@ -11400,7 +11240,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-synchronize-seqscans" xreflabel="synchronize_seqscans">
-      <term><varname>synchronize_seqscans</varname> (<type>boolean</type>)
+      <term><varname>synchronize_seqscans</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>synchronize_seqscans</varname> configuration parameter</primary>
       </indexterm>
@@ -11416,8 +11256,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         unpredictable changes in the row ordering returned by queries that
         have no <literal>ORDER BY</literal> clause.  Setting this parameter to
         <literal>off</literal> ensures the pre-8.3 behavior in which a sequential
-        scan always starts from the beginning of the table.  The default
-        is <literal>on</literal>.
+        scan always starts from the beginning of the table.
        </para>
       </listitem>
      </varlistentry>
@@ -11430,7 +11269,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      <variablelist>
 
      <varlistentry id="guc-transform-null-equals" xreflabel="transform_null_equals">
-      <term><varname>transform_null_equals</varname> (<type>boolean</type>)
+      <term><varname>transform_null_equals</varname> (<type>boolean</type>) default is off
       <indexterm><primary>IS NULL</primary></indexterm>
       <indexterm>
        <primary><varname>transform_null_equals</varname> configuration parameter</primary>
@@ -11445,8 +11284,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         return true if <replaceable>expr</replaceable> evaluates to the null value,
         and false otherwise. The correct SQL-spec-compliant behavior of
         <literal><replaceable>expr</replaceable> = NULL</literal> is to always
-        return null (unknown). Therefore this parameter defaults to
-        <literal>off</literal>.
+        return null (unknown). 
        </para>
 
        <para>
@@ -11460,7 +11298,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         very useful and do not appear often in normal applications so
         this option does little harm in practice.  But new users are
         frequently confused about the semantics of expressions
-        involving null values, so this option is off by default.
+        involving null values
        </para>
 
        <para>
@@ -11478,7 +11316,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-allow-alter-system" xreflabel="allow_alter_system">
-      <term><varname>allow_alter_system</varname> (<type>boolean</type>)
+      <term><varname>allow_alter_system</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>allow_alter_system</varname> configuration parameter</primary>
       </indexterm>
@@ -11489,7 +11327,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         <literal>off</literal>, an error is returned if the <command>ALTER
         SYSTEM</command> command is executed. This parameter can only be set in
         the <filename>postgresql.conf</filename> file or on the server command
-        line. The default value is <literal>on</literal>.
+        line.
        </para>
 
        <para>
@@ -11535,29 +11373,28 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     <variablelist>
 
      <varlistentry id="guc-exit-on-error" xreflabel="exit_on_error">
-      <term><varname>exit_on_error</varname> (<type>boolean</type>)
+      <term><varname>exit_on_error</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>exit_on_error</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If on, any error will terminate the current session.  By default,
-        this is set to off, so that only FATAL errors will terminate the
-        session.
+        If on, any error will terminate the current session. If default is used,
+        then only FATAL errors will terminate the session.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-restart-after-crash" xreflabel="restart_after_crash">
-      <term><varname>restart_after_crash</varname> (<type>boolean</type>)
+      <term><varname>restart_after_crash</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>restart_after_crash</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        When set to on, which is the default, <productname>PostgreSQL</productname>
+        If this is set to on, <productname>PostgreSQL</productname>
         will automatically reinitialize after a backend crash.  Leaving this
         value set to on is normally the best way to maximize the availability
         of the database.  However, in some circumstances, such as when
@@ -11574,14 +11411,14 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-data-sync-retry" xreflabel="data_sync_retry">
-      <term><varname>data_sync_retry</varname> (<type>boolean</type>)
+      <term><varname>data_sync_retry</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>data_sync_retry</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        When set to off, which is the default, <productname>PostgreSQL</productname>
+        If this is set to off, <productname>PostgreSQL</productname>
         will raise a PANIC-level error on failure to flush modified data files
         to the file system.  This causes the database server to crash.  This
         parameter can only be set at server start.
@@ -11607,14 +11444,14 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-recovery-init-sync-method" xreflabel="recovery_init_sync_method">
-      <term><varname>recovery_init_sync_method</varname> (<type>enum</type>)
+      <term><varname>recovery_init_sync_method</varname> (<type>enum</type>) default is fsync
        <indexterm>
         <primary><varname>recovery_init_sync_method</varname> configuration parameter</primary>
        </indexterm>
       </term>
       <listitem>
        <para>
-        When set to <literal>fsync</literal>, which is the default,
+        When set to <literal>fsync</literal>, 
         <productname>PostgreSQL</productname> will recursively open and
         synchronize all files in the data directory before crash recovery
         begins.  The search for files will follow symbolic links for the WAL
@@ -11666,7 +11503,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
     <variablelist>
 
      <varlistentry id="guc-block-size" xreflabel="block_size">
-      <term><varname>block_size</varname> (<type>integer</type>)
+      <term><varname>block_size</varname> (<type>integer</type>) default is 8192
       <indexterm>
        <primary><varname>block_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11674,8 +11511,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the size of a disk block.  It is determined by the value
-        of <literal>BLCKSZ</literal> when building the server. The default
-        value is 8192 bytes.  The meaning of some configuration
+        of <literal>BLCKSZ</literal> when building the server. 
+		The meaning of some configuration
         variables (such as <xref linkend="guc-shared-buffers"/>) is
         influenced by <varname>block_size</varname>. See <xref
         linkend="runtime-config-resource"/> for information.
@@ -11684,7 +11521,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-data-checksums" xreflabel="data_checksums">
-      <term><varname>data_checksums</varname> (<type>boolean</type>)
+      <term><varname>data_checksums</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>data_checksums</varname> configuration parameter</primary>
       </indexterm>
@@ -11698,7 +11535,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-data-directory-mode" xreflabel="data_directory_mode">
-      <term><varname>data_directory_mode</varname> (<type>integer</type>)
+      <term><varname>data_directory_mode</varname> (<type>integer</type>) default is 0700
       <indexterm>
        <primary><varname>data_directory_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -11718,7 +11555,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-assertions" xreflabel="debug_assertions">
-      <term><varname>debug_assertions</varname> (<type>boolean</type>)
+      <term><varname>debug_assertions</varname> (<type>boolean</type>) default is without assertions.
       <indexterm>
        <primary><varname>debug_assertions</varname> configuration parameter</primary>
       </indexterm>
@@ -11730,15 +11567,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         macro <symbol>USE_ASSERT_CHECKING</symbol> is defined
         when <productname>PostgreSQL</productname> is built (accomplished
         e.g., by the <command>configure</command> option
-        <option>--enable-cassert</option>). By
-        default <productname>PostgreSQL</productname> is built without
-        assertions.
+        <option>--enable-cassert</option>). 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-huge-pages-status" xreflabel="huge_pages_status">
-      <term><varname>huge_pages_status</varname> (<type>enum</type>)
+      <term><varname>huge_pages_status</varname> (<type>enum</type>) default is off
       <indexterm>
        <primary><varname>huge_pages_status</varname> configuration parameter</primary>
       </indexterm>
@@ -11757,7 +11592,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-integer-datetimes" xreflabel="integer_datetimes">
-      <term><varname>integer_datetimes</varname> (<type>boolean</type>)
+      <term><varname>integer_datetimes</varname> (<type>boolean</type>) value is on and cannot be changed by command
       <indexterm>
        <primary><varname>integer_datetimes</varname> configuration parameter</primary>
       </indexterm>
@@ -11772,7 +11607,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-in-hot-standby" xreflabel="in_hot_standby">
-      <term><varname>in_hot_standby</varname> (<type>boolean</type>)
+      <term><varname>in_hot_standby</varname> (<type>boolean</type>) value cannot be changed by command
       <indexterm>
        <primary><varname>in_hot_standby</varname> configuration parameter</primary>
       </indexterm>
@@ -11789,7 +11624,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-function-args" xreflabel="max_function_args">
-      <term><varname>max_function_args</varname> (<type>integer</type>)
+      <term><varname>max_function_args</varname> (<type>integer</type>) value is 100 and cannot be changed by command
       <indexterm>
        <primary><varname>max_function_args</varname> configuration parameter</primary>
       </indexterm>
@@ -11797,14 +11632,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the maximum number of function arguments. It is determined by
-        the value of <literal>FUNC_MAX_ARGS</literal> when building the server. The
-        default value is 100 arguments.
+        the value of <literal>FUNC_MAX_ARGS</literal> when building the server. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-max-identifier-length" xreflabel="max_identifier_length">
-      <term><varname>max_identifier_length</varname> (<type>integer</type>)
+      <term><varname>max_identifier_length</varname> (<type>integer</type>) default is 63
       <indexterm>
        <primary><varname>max_identifier_length</varname> configuration parameter</primary>
       </indexterm>
@@ -11814,15 +11648,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         Reports the maximum identifier length. It is determined as one
         less than the value of <literal>NAMEDATALEN</literal> when building
         the server. The default value of <literal>NAMEDATALEN</literal> is
-        64; therefore the default
-        <varname>max_identifier_length</varname> is 63 bytes, which
-        can be less than 63 characters when using multibyte encodings.
+        64. Its value can be less than 63 characters when using multibyte encodings.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-max-index-keys" xreflabel="max_index_keys">
-      <term><varname>max_index_keys</varname> (<type>integer</type>)
+      <term><varname>max_index_keys</varname> (<type>integer</type>) default is 32 keys
       <indexterm>
        <primary><varname>max_index_keys</varname> configuration parameter</primary>
       </indexterm>
@@ -11830,8 +11662,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the maximum number of index keys. It is determined by
-        the value of <literal>INDEX_MAX_KEYS</literal> when building the server. The
-        default value is 32 keys.
+        the value of <literal>INDEX_MAX_KEYS</literal> when building the server. 
        </para>
       </listitem>
      </varlistentry>
@@ -11855,7 +11686,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-segment-size" xreflabel="segment_size">
-      <term><varname>segment_size</varname> (<type>integer</type>)
+      <term><varname>segment_size</varname> (<type>integer</type>) default is 1GB
       <indexterm>
        <primary><varname>segment_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11866,13 +11697,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         segment.  It is determined by the value of <literal>RELSEG_SIZE</literal>
         when building the server.  The maximum size of a segment file in bytes
         is equal to <varname>segment_size</varname> multiplied by
-        <varname>block_size</varname>; by default this is 1GB.
+        <varname>block_size</varname>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-server-encoding" xreflabel="server_encoding">
-      <term><varname>server_encoding</varname> (<type>string</type>)
+      <term><varname>server_encoding</varname> (<type>string</type>) no default value, its defined on database creation.
       <indexterm>
        <primary><varname>server_encoding</varname> configuration parameter</primary>
       </indexterm>
@@ -11889,7 +11720,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-server-version" xreflabel="server_version">
-      <term><varname>server_version</varname> (<type>string</type>)
+      <term><varname>server_version</varname> (<type>string</type>) no default value
       <indexterm>
        <primary><varname>server_version</varname> configuration parameter</primary>
       </indexterm>
@@ -11903,7 +11734,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-server-version-num" xreflabel="server_version_num">
-      <term><varname>server_version_num</varname> (<type>integer</type>)
+      <term><varname>server_version_num</varname> (<type>integer</type>) no default value and cannot be changed by command
       <indexterm>
        <primary><varname>server_version_num</varname> configuration parameter</primary>
       </indexterm>
@@ -11917,7 +11748,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-size" xreflabel="shared_memory_size">
-      <term><varname>shared_memory_size</varname> (<type>integer</type>)
+      <term><varname>shared_memory_size</varname> (<type>integer</type>) cannot be changed by command
       <indexterm>
        <primary><varname>shared_memory_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11931,7 +11762,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-size-in-huge-pages" xreflabel="shared_memory_size_in_huge_pages">
-      <term><varname>shared_memory_size_in_huge_pages</varname> (<type>integer</type>)
+      <term><varname>shared_memory_size_in_huge_pages</varname> (<type>integer</type>) default is -1 and cannot be changed by command
       <indexterm>
        <primary><varname>shared_memory_size_in_huge_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -11952,7 +11783,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-ssl-library" xreflabel="ssl_library">
-      <term><varname>ssl_library</varname> (<type>string</type>)
+      <term><varname>ssl_library</varname> (<type>string</type>) cannot be changed by command, depends on library server was built
       <indexterm>
        <primary><varname>ssl_library</varname> configuration parameter</primary>
       </indexterm>
@@ -11968,7 +11799,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-wal-block-size" xreflabel="wal_block_size">
-      <term><varname>wal_block_size</varname> (<type>integer</type>)
+      <term><varname>wal_block_size</varname> (<type>integer</type>) default is 8Kbytes and cannot be changed by command
       <indexterm>
        <primary><varname>wal_block_size</varname> configuration parameter</primary>
       </indexterm>
@@ -11976,22 +11807,20 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
       <listitem>
        <para>
         Reports the size of a WAL disk block.  It is determined by the value
-        of <literal>XLOG_BLCKSZ</literal> when building the server. The default value
-        is 8192 bytes.
+        of <literal>XLOG_BLCKSZ</literal> when building the server. 
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-wal-segment-size" xreflabel="wal_segment_size">
-      <term><varname>wal_segment_size</varname> (<type>integer</type>)
+      <term><varname>wal_segment_size</varname> (<type>integer</type>) default is 16MB and cannot be changed by command
       <indexterm>
        <primary><varname>wal_segment_size</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        Reports the size of write ahead log segments.  The default value is
-        16MB. See <xref linkend="wal-configuration"/> for more information.
+        Reports the size of write ahead log segments. See <xref linkend="wal-configuration"/> for more information.
        </para>
       </listitem>
      </varlistentry>
@@ -12042,7 +11871,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
 
     <variablelist>
      <varlistentry id="guc-allow-in-place-tablespaces" xreflabel="allow_in_place_tablespaces">
-      <term><varname>allow_in_place_tablespaces</varname> (<type>boolean</type>)
+      <term><varname>allow_in_place_tablespaces</varname> (<type>boolean</type>) default is off
       <indexterm>
         <primary><varname>allow_in_place_tablespaces</varname> configuration parameter</primary>
       </indexterm>
@@ -12063,7 +11892,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-allow-system-table-mods" xreflabel="allow_system_table_mods">
-      <term><varname>allow_system_table_mods</varname> (<type>boolean</type>)
+      <term><varname>allow_system_table_mods</varname> (<type>boolean</type>) default is off
       <indexterm>
         <primary><varname>allow_system_table_mods</varname> configuration parameter</primary>
       </indexterm>
@@ -12082,7 +11911,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-backtrace-functions" xreflabel="backtrace_functions">
-      <term><varname>backtrace_functions</varname> (<type>string</type>)
+      <term><varname>backtrace_functions</varname> (<type>string</type>) default is ''
       <indexterm>
         <primary><varname>backtrace_functions</varname> configuration parameter</primary>
       </indexterm>
@@ -12109,7 +11938,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-copy-parse-plan-trees" xreflabel="debug_copy_parse_plan_trees">
-      <term><varname>debug_copy_parse_plan_trees</varname> (<type>boolean</type>)
+      <term><varname>debug_copy_parse_plan_trees</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>debug_copy_parse_plan_trees</varname> configuration parameter</primary>
       </indexterm>
@@ -12118,7 +11947,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         Enabling this forces all parse and plan trees to be passed through
         <function>copyObject()</function>, to facilitate catching errors and
-        omissions in <function>copyObject()</function>.  The default is off.
+        omissions in <function>copyObject()</function>.
        </para>
 
        <para>
@@ -12132,7 +11961,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-discard-caches" xreflabel="debug_discard_caches">
-      <term><varname>debug_discard_caches</varname> (<type>integer</type>)
+      <term><varname>debug_discard_caches</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>debug_discard_caches</varname> configuration parameter</primary>
       </indexterm>
@@ -12145,8 +11974,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         system catalogs is effectively disabled as a result, so the server
         will run extremely slowly.  Higher values run the cache invalidation
         recursively, which is even slower and only useful for testing
-        the caching logic itself.  The default value of <literal>0</literal>
-        selects normal catalog caching behavior.
+        the caching logic itself.  Value of 0 selects normal catalog caching behavior.
        </para>
 
        <para>
@@ -12170,7 +11998,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-io-direct" xreflabel="debug_io_direct">
-      <term><varname>debug_io_direct</varname> (<type>string</type>)
+      <term><varname>debug_io_direct</varname> (<type>string</type>) default is ''
       <indexterm>
         <primary><varname>debug_io_direct</varname> configuration parameter</primary>
       </indexterm>
@@ -12183,7 +12011,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         <literal>FILE_FLAG_NO_BUFFERING</literal> (Windows).
        </para>
        <para>
-        May be set to an empty string (the default) to disable use of direct
+        A value of '' is used to to disable use of direct
         I/O, or a comma-separated list of operations that should use direct I/O.
         The valid options are <literal>data</literal> for
         main data files, <literal>wal</literal> for WAL files, and
@@ -12202,7 +12030,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-parallel-query" xreflabel="debug_parallel_query">
-      <term><varname>debug_parallel_query</varname> (<type>enum</type>)
+      <term><varname>debug_parallel_query</varname> (<type>enum</type>) default is off
       <indexterm>
        <primary><varname>debug_parallel_query</varname> configuration parameter</primary>
       </indexterm>
@@ -12247,7 +12075,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-raw-expression-coverage-test" xreflabel="debug_raw_expression_coverage_test">
-      <term><varname>debug_raw_expression_coverage_test</varname> (<type>boolean</type>)
+      <term><varname>debug_raw_expression_coverage_test</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>debug_raw_expression_coverage_test</varname> configuration parameter</primary>
       </indexterm>
@@ -12256,8 +12084,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         Enabling this forces all raw parse trees for DML statements to be
         scanned by <function>raw_expression_tree_walker()</function>, to
-        facilitate catching errors and omissions in that function.  The
-        default is off.
+        facilitate catching errors and omissions in that function.
        </para>
 
        <para>
@@ -12271,7 +12098,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-write-read-parse-plan-trees" xreflabel="debug_write_read_parse_plan_trees">
-      <term><varname>debug_write_read_parse_plan_trees</varname> (<type>boolean</type>)
+      <term><varname>debug_write_read_parse_plan_trees</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>debug_write_read_parse_plan_trees</varname> configuration parameter</primary>
       </indexterm>
@@ -12280,8 +12107,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         Enabling this forces all parse and plan trees to be passed through
         <filename>outfuncs.c</filename>/<filename>readfuncs.c</filename>, to
-        facilitate catching errors and omissions in those modules.  The
-        default is off.
+        facilitate catching errors and omissions in those modules.
        </para>
 
        <para>
@@ -12295,7 +12121,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-ignore-system-indexes" xreflabel="ignore_system_indexes">
-      <term><varname>ignore_system_indexes</varname> (<type>boolean</type>)
+      <term><varname>ignore_system_indexes</varname> (<type>boolean</type>) default is off
       <indexterm>
         <primary><varname>ignore_system_indexes</varname> configuration parameter</primary>
       </indexterm>
@@ -12311,7 +12137,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-post-auth-delay" xreflabel="post_auth_delay">
-      <term><varname>post_auth_delay</varname> (<type>integer</type>)
+      <term><varname>post_auth_delay</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>post_auth_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -12323,14 +12149,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         authentication procedure.  This is intended to give developers an
         opportunity to attach to the server process with a debugger.
         If this value is specified without units, it is taken as seconds.
-        A value of zero (the default) disables the delay.
         This parameter cannot be changed after session start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-pre-auth-delay" xreflabel="pre_auth_delay">
-      <term><varname>pre_auth_delay</varname> (<type>integer</type>)
+      <term><varname>pre_auth_delay</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>pre_auth_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -12343,7 +12168,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         opportunity to attach to the server process with a debugger to
         trace down misbehavior in authentication.
         If this value is specified without units, it is taken as seconds.
-        A value of zero (the default) disables the delay.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -12351,7 +12175,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-trace-notify" xreflabel="trace_notify">
-      <term><varname>trace_notify</varname> (<type>boolean</type>)
+      <term><varname>trace_notify</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_notify</varname> configuration parameter</primary>
       </indexterm>
@@ -12369,7 +12193,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-trace-sort" xreflabel="trace_sort">
-      <term><varname>trace_sort</varname> (<type>boolean</type>)
+      <term><varname>trace_sort</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -12382,7 +12206,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-trace-locks" xreflabel="trace_locks">
-      <term><varname>trace_locks</varname> (<type>boolean</type>)
+      <term><varname>trace_locks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_locks</varname> configuration parameter</primary>
       </indexterm>
@@ -12423,7 +12247,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-lwlocks" xreflabel="trace_lwlocks">
-      <term><varname>trace_lwlocks</varname> (<type>boolean</type>)
+      <term><varname>trace_lwlocks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_lwlocks</varname> configuration parameter</primary>
       </indexterm>
@@ -12443,7 +12267,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-userlocks" xreflabel="trace_userlocks">
-      <term><varname>trace_userlocks</varname> (<type>boolean</type>)
+      <term><varname>trace_userlocks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_userlocks</varname> configuration parameter</primary>
       </indexterm>
@@ -12462,7 +12286,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-lock-oidmin" xreflabel="trace_lock_oidmin">
-      <term><varname>trace_lock_oidmin</varname> (<type>integer</type>)
+      <term><varname>trace_lock_oidmin</varname> (<type>integer</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_lock_oidmin</varname> configuration parameter</primary>
       </indexterm>
@@ -12481,7 +12305,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-lock-table" xreflabel="trace_lock_table">
-      <term><varname>trace_lock_table</varname> (<type>integer</type>)
+      <term><varname>trace_lock_table</varname> (<type>integer</type>) default is 0, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_lock_table</varname> configuration parameter</primary>
       </indexterm>
@@ -12499,7 +12323,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-debug-deadlocks" xreflabel="debug_deadlocks">
-      <term><varname>debug_deadlocks</varname> (<type>boolean</type>)
+      <term><varname>debug_deadlocks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>debug_deadlocks</varname> configuration parameter</primary>
       </indexterm>
@@ -12518,7 +12342,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-log-btree-build-stats" xreflabel="log_btree_build_stats">
-      <term><varname>log_btree_build_stats</varname> (<type>boolean</type>)
+      <term><varname>log_btree_build_stats</varname> (<type>boolean</type>) default is off, but exists only if BTREE_BUILD_STATS was used
       <indexterm>
        <primary><varname>log_btree_build_stats</varname> configuration parameter</primary>
       </indexterm>
@@ -12537,7 +12361,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-wal-consistency-checking" xreflabel="wal_consistency_checking">
-      <term><varname>wal_consistency_checking</varname> (<type>string</type>)
+      <term><varname>wal_consistency_checking</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>wal_consistency_checking</varname> configuration parameter</primary>
       </indexterm>
@@ -12555,8 +12379,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        </para>
 
        <para>
-        The default value of this setting is the empty string, which disables
-        the feature.  It can be set to <literal>all</literal> to check all
+        It can be set to <literal>all</literal> to check all
         records, or to a comma-separated list of resource managers to check
         only records originating from those resource managers.  Currently,
         the supported resource managers are <literal>heap</literal>,
@@ -12570,7 +12393,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-wal-debug" xreflabel="wal_debug">
-      <term><varname>wal_debug</varname> (<type>boolean</type>)
+      <term><varname>wal_debug</varname> (<type>boolean</type>) default is off, but exists only if WAL_DEBUG was used
       <indexterm>
        <primary><varname>wal_debug</varname> configuration parameter</primary>
       </indexterm>
@@ -12586,7 +12409,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
     <varlistentry id="guc-ignore-checksum-failure" xreflabel="ignore_checksum_failure">
-      <term><varname>ignore_checksum_failure</varname> (<type>boolean</type>)
+      <term><varname>ignore_checksum_failure</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>ignore_checksum_failure</varname> configuration parameter</primary>
       </indexterm>
@@ -12604,8 +12427,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         or hide corruption, or other serious problems</emphasis>.  However, it may allow
         you to get past the error and retrieve undamaged tuples that might still be
         present in the table if the block header is still sane. If the header is
-        corrupt an error will be reported even if this option is enabled. The
-        default setting is <literal>off</literal>.
+        corrupt an error will be reported even if this option is enabled.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -12613,7 +12435,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
     <varlistentry id="guc-zero-damaged-pages" xreflabel="zero_damaged_pages">
-      <term><varname>zero_damaged_pages</varname> (<type>boolean</type>)
+      <term><varname>zero_damaged_pages</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>zero_damaged_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -12632,8 +12454,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         generally not set this on until you have given up hope of recovering
         data from the damaged pages of a table.  Zeroed-out pages are not
         forced to disk so it is recommended to recreate the table or
-        the index before turning this parameter off again.  The
-        default setting is <literal>off</literal>.
+        the index before turning this parameter off again.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -12641,14 +12462,14 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-ignore-invalid-pages" xreflabel="ignore_invalid_pages">
-      <term><varname>ignore_invalid_pages</varname> (<type>boolean</type>)
+      <term><varname>ignore_invalid_pages</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>ignore_invalid_pages</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If set to <literal>off</literal> (the default), detection of
+        If set to <literal>off</literal>, detection of
         WAL records having references to invalid pages during
         recovery causes <productname>PostgreSQL</productname> to
         raise a PANIC-level error, aborting the recovery. Setting
@@ -12666,7 +12487,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-jit-debugging-support" xreflabel="jit_debugging_support">
-      <term><varname>jit_debugging_support</varname> (<type>boolean</type>)
+      <term><varname>jit_debugging_support</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>jit_debugging_support</varname> configuration parameter</primary>
       </indexterm>
@@ -12675,14 +12496,13 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        <para>
         If LLVM has the required functionality, register generated functions
         with <productname>GDB</productname>.  This makes debugging easier.
-        The default setting is <literal>off</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-dump-bitcode" xreflabel="jit_dump_bitcode">
-      <term><varname>jit_dump_bitcode</varname> (<type>boolean</type>)
+      <term><varname>jit_dump_bitcode</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>jit_dump_bitcode</varname> configuration parameter</primary>
       </indexterm>
@@ -12692,7 +12512,6 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         Writes the generated <productname>LLVM</productname> IR out to the
         file system, inside <xref linkend="guc-data-directory"/>. This is only
         useful for working on the internals of the JIT implementation.
-        The default setting is <literal>off</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -12700,7 +12519,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-jit-expressions" xreflabel="jit_expressions">
-      <term><varname>jit_expressions</varname> (<type>boolean</type>)
+      <term><varname>jit_expressions</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>jit_expressions</varname> configuration parameter</primary>
       </indexterm>
@@ -12708,14 +12527,13 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
       <listitem>
        <para>
         Determines whether expressions are JIT compiled, when JIT compilation
-        is activated (see <xref linkend="jit-decision"/>).  The default is
-        <literal>on</literal>.
+        is activated (see <xref linkend="jit-decision"/>).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-profiling-support" xreflabel="jit_profiling_support">
-      <term><varname>jit_profiling_support</varname> (<type>boolean</type>)
+      <term><varname>jit_profiling_support</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>jit_profiling_support</varname> configuration parameter</primary>
       </indexterm>
@@ -12726,14 +12544,13 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         <productname>perf</productname> to profile functions generated by JIT.
         This writes out files to <filename>~/.debug/jit/</filename>; the
         user is responsible for performing cleanup when desired.
-        The default setting is <literal>off</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-tuple-deforming" xreflabel="jit_tuple_deforming">
-      <term><varname>jit_tuple_deforming</varname> (<type>boolean</type>)
+      <term><varname>jit_tuple_deforming</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>jit_tuple_deforming</varname> configuration parameter</primary>
       </indexterm>
@@ -12742,20 +12559,19 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        <para>
         Determines whether tuple deforming is JIT compiled, when JIT
         compilation is activated (see <xref linkend="jit-decision"/>).
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-remove-temp-files-after-crash" xreflabel="remove_temp_files_after_crash">
-      <term><varname>remove_temp_files_after_crash</varname> (<type>boolean</type>)
+      <term><varname>remove_temp_files_after_crash</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>remove_temp_files_after_crash</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        When set to <literal>on</literal>, which is the default,
+        When set to <literal>on</literal>, 
         <productname>PostgreSQL</productname> will automatically remove
         temporary files after a backend crash. If disabled, the files will be
         retained and may be used for debugging, for example. Repeated crashes
@@ -12767,7 +12583,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-send-abort-for-crash" xreflabel="send_abort_for_crash">
-      <term><varname>send_abort_for_crash</varname> (<type>boolean</type>)
+      <term><varname>send_abort_for_crash</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>send_abort_for_crash</varname> configuration parameter</primary>
       </indexterm>
@@ -12795,7 +12611,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-send-abort-for-kill" xreflabel="send_abort_for_kill">
-      <term><varname>send_abort_for_kill</varname> (<type>boolean</type>)
+      <term><varname>send_abort_for_kill</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>send_abort_for_kill</varname> configuration parameter</primary>
       </indexterm>
@@ -12823,15 +12639,14 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-debug-logical-replication-streaming" xreflabel="debug_logical_replication_streaming">
-      <term><varname>debug_logical_replication_streaming</varname> (<type>enum</type>)
+      <term><varname>debug_logical_replication_streaming</varname> (<type>enum</type>) default is buffered
       <indexterm>
        <primary><varname>debug_logical_replication_streaming</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        The allowed values are <literal>buffered</literal> and
-        <literal>immediate</literal>. The default is <literal>buffered</literal>.
+        The allowed values are <literal>buffered</literal> and <literal>immediate</literal>. 
         This parameter is intended to be used to test logical decoding and
         replication of large transactions.  The effect of
         <varname>debug_logical_replication_streaming</varname> is different for the
-- 
2.42.0.windows.2

